commit 42110b92e92cb40e82fd736d88b099d096483939
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Aug 29 02:25:21 2019 +0200

    tag as 1.2.2

commit 15867d62e7ce691cb0ba9bee6f0b21c84c309311
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Aug 27 15:12:04 2019 +0200

    Merge pull request #1114 from ailin-nemui/startup-crash
    
    fix crash on startup when resizing before active_win
    
    (cherry picked from commit 570d6714ec3f9a55940eaf953dc7914c2534c3e2)

commit 5b923493de17c45af36a0305b4c80b8f6ec0d03e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Aug 27 23:33:51 2019 +0200

    fix use after free receiving caps
    
    fixes GL#34
    
    (cherry picked from commit 5a4e7ab659aba2855895c9f43e9a7a131f4e89b3)

commit 248a1591a26e0bf3fda3545fe54ebd0c27f4419d
Author: Ailin Nemui <ailin@z30a.localdomain>
Date:   Fri Jun 28 13:52:47 2019 +0200

    tag as 1.2.1

commit 27c02a2d961e83e5c509bbcaca3e01825bfbc9df
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jun 28 11:28:30 2019 +0200

    Merge pull request #1058 from ailin-nemui/sasl-reconnect
    
    copy sasl username and password values
    
    (cherry picked from commit d23b0d22cc611e43c88d99192a59f413f951a955)

commit bb7e81438dd0a0822bb7d140881e858365d392cd
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 18 09:36:34 2019 +0100

    Merge pull request #1013 from ailin-nemui/fix-1012
    
    do not stop autolog_ignore_targets from matching itemless targets
    
    (cherry picked from commit df532d4461fa0e1aba8672fa6d56e3056ce52272)

commit fddcbe56c9c0f97ecea73ab9e39787f02ba72a68
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jun 28 11:29:19 2019 +0200

    Merge pull request #1057 from ailin-nemui/entry-8bit
    
    restore 8bit support in input entry
    
    (cherry picked from commit 8551dd99cc6ad29b1b356acc4f4c92209ed98eed)

commit 309ea8825281b1eb30f78c009df4f11611223513
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon May 13 15:26:21 2019 +0200

    Merge pull request #1043 from ailin-nemui/solaris10
    
    fix realpath on old solaris
    
    (cherry picked from commit 7654f30d04f2b4fae7b49f8b1579bdf77dfca900)

commit 24547829e7c7c9b6cf41d38c672a64cf1b9fd1a2
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Feb 27 13:00:22 2019 +0100

    Merge pull request #1019 from ailin-nemui/configure-utf8proc
    
    make utf8proc configurable
    
    (cherry picked from commit 6242d25055520a0abcdd95cbf969479c99d36700)

commit bb600a65753aa34e7c41b59c3d5dcfdcd48bda4f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Feb 19 07:22:06 2019 +0100

    Merge pull request #1014 from ailin-nemui/fix-be64
    
    fix test on Big Endian 64bit, due to pointer size mismatch
    
    (cherry picked from commit 01ce66c684b66860b9c0dae04912d7cf3ebb9aeb)

commit bd2ff8c99c41f35430a945e888db828a9925dce7
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 11 18:05:57 2019 +0100

    tag as 1.2.0

commit 22fdb94d1b961545e8e35930512b63cf1ff83e2d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 11 18:04:59 2019 +0100

    run syncscripts.sh

commit 48a6d04aded516a8eead31b1e78544efb3b7e367
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 11 18:04:46 2019 +0100

    run syncdocs.sh

commit 6239a8b791ca452a364fb9ec6c475e8c3c1f2a14
Merge: ea41726b 8543b874
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 11 17:33:30 2019 +0100

    Merge pull request #1000 from ailin-nemui/window-bounds-type
    
    Store window bounds type

commit 8543b874a25d0caa2c62db155346a24cdf3c2afa
Author: Ailin Nemui <ailin@devio.us>
Date:   Wed Jan 30 11:17:36 2019 +0100

    store type of window binds

commit ea41726b3e1df0e64eb9621f38494716b94d209f
Merge: a25b4e5d 346211ee
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 11 09:49:04 2019 +0100

    Merge pull request #1011 from ahf/otr-compiler-warning-fix
    
    Use memcpy() instead of strncpy() to silence the compiler warning.

commit 346211eeeb34e73a931b822f1496f696ed3970f5
Author: Alexander Færøy <ahf@irssi.org>
Date:   Sat Feb 9 22:42:13 2019 +0100

    Use memcpy() instead of strncpy() to silence the compiler warning.

commit a25b4e5db25f57706073d77fd5ef741b46ab3f61
Merge: b4ad4309 9f9aada8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Feb 8 14:37:31 2019 +0100

    Merge pull request #999 from ailin-nemui/mad-protocol
    
    do not touch uninitialised protocols on item restore

commit b4ad430939fe127f859d75a8cb24e524c119f7d2
Merge: ee86cc19 034752ad
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Feb 5 01:08:19 2019 +0100

    Merge pull request #1004 from ailin-nemui/fix-get_extent
    
    fix gui_input_get_extent

commit 034752ade3b9d951c716d50d3f4d1e40fe9e110c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 4 14:33:41 2019 +0100

    fix gui_input_get_extent
    
    it was causing a free of data with [transfer=none]

commit ee86cc197ebc7ceb7d59da94d3c7c84035787c42
Merge: ff18e796 5b530737
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Feb 2 18:21:08 2019 +0100

    Merge pull request #1003 from ailin-nemui/fix-1002
    
    correct fix for #997

commit 5b530737d480eaac5943bcf270aa82b592e7ed3b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Feb 2 14:51:09 2019 +0100

    correct fix for #997

commit ff18e79661ecd6c08530f8179faf9b8a7fa71774
Merge: 0cdbb2e8 f9beedd2
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Feb 2 14:34:59 2019 +0100

    Merge pull request #994 from ailin-nemui/fix-993
    
    add more config checks and assertions in statusbar code

commit 0cdbb2e8216a30e019a0dd310038a9c9be9e2c3e
Merge: aa80f1de b1d6cb7f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Feb 1 14:29:21 2019 +0100

    Merge pull request #1001 from ailin-nemui/fix-997
    
    add missing NULL check

commit b1d6cb7f26c521d3d5f9e7da214bc91b89453a93
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Feb 1 13:18:50 2019 +0100

    add missing NULL check

commit 9f9aada83bc3baabdfe70befb78eaf02544a0c7b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 29 21:33:39 2019 +0100

    do not touch uninitialised protocols on item restore

commit aa80f1de6164c2b31c2dfa4568bd851b894eaeca
Merge: 9ec2c8ce 3af2ce87
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 29 00:30:43 2019 +0100

    Merge pull request #990 from ailin-nemui/mainwin_activity
    
    add activity_hide_visible setting

commit f9beedd2d03b7a622e9686c71910e380fab88511
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 22 15:24:52 2019 +0100

    add more config checks and assertions

commit 9ec2c8cee4222c73229cffdf3c342e1f03be251f
Merge: fa9463cb b8cfd9d6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 16 09:47:49 2019 +0100

    Merge pull request #988 from ailin-nemui/version
    
    show output of git describe as PACKAGE_VERSION

commit 3af2ce8731b721616c5c112434a810bca32a62e1
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 15 21:00:43 2019 +0100

    add activity_hide_visible setting

commit fa9463cb026a9ded270d30a3c437ab8217ab751e
Merge: dfe3c312 b080405c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 14 10:17:52 2019 +0100

    Merge pull request #989 from ailin-nemui/split-syntax
    
    update sidewayssplit syntax

commit b080405c6ae2e469c8718f77cf6c3e7fd17a6ac5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 9 23:46:57 2019 +0100

    update sidewayssplit syntax

commit b8cfd9d6affc0f72a82e75a8be5207bb357c76bc
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 9 21:11:01 2019 +0100

    show output of git describe as PACKAGE_VERSION
    
    also fixes GNUism in sed call

commit dfe3c31283df810b4bcdbe2d746a0b3da516689f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 9 15:33:22 2019 +0100

    update issue references

commit 3d1980599a9115c095713f1a82edf67afda64e4f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 9 15:20:45 2019 +0100

    Merge tag '1.1.2' into integrate/1.1.2

commit d57203e926768f592e676d4926f6c5833d4220d0
Merge: c7ce0f32 8c303674
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 9 09:29:29 2019 +0100

    Merge pull request #978 from ailin-nemui/fix-974
    
    Fix inconsistent escaping from expand_escapes

commit 8c30367452dd592027917ce92bcebe9301d2c87a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 8 15:48:12 2019 +0100

    rename function

commit c7ce0f320b86147e2189066c002d8fc1f9a55426
Merge: c044fe39 821e8af9
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 18 20:53:08 2018 +0100

    Merge pull request #985 from ailin-nemui/automake
    
    automake warns that subdir-objects will be enabled in 2.0

commit c044fe397e1c235d91361bc60a74e6d2839f0237
Merge: 40f5edf1 4f26ad74
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 18 16:57:36 2018 +0100

    Merge pull request #982 from yarda/coverity
    
    Fixed problem found by Coverity Scan

commit 35f5e5f278444ecbbd3610292d9569d3a2f51ce1
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Nov 25 13:57:17 2018 +0100

    up abi

commit 7e6e3cd503b3619a22709db66234cd4aeefa866f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Nov 25 13:41:46 2018 +0100

    Add escape_string_escape function for expand_escapes
    
    To avoid expanding, tab completion escapes the completion list. But the
    escape_string function escapes too much for the expand_escapes code. Add
    a function that only escapes the backslashes.

commit 821e8af9fecdda2f25f18d5cc0be965b06e05362
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Dec 7 09:52:23 2018 +0100

    automake warns that subdir-objects will be enabled in 2.0

commit 4f26ad74f50b6d68bee0b75d69507cb8a9c413aa
Author: Jaroslav Škarvada <jskarvad@redhat.com>
Date:   Tue Dec 4 16:03:04 2018 +0100

    Fixed problem found by Coverity Scan
    
    Fixes #981
    
    Signed-off-by: Jaroslav Škarvada <jskarvad@redhat.com>

commit 40f5edf1059fab4c2f4b23356994c2e1c37a083c
Merge: 1c6f2560 10f41e06
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 4 17:01:33 2018 +0100

    Merge pull request #979 from ailin-nemui/completion-keep-word
    
    add keep_word setting to completion

commit 1c6f2560989f49197cbc5c3cd41bd46ade11cc20
Merge: dcb412eb 288f220f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Nov 29 10:18:16 2018 +0100

    Merge pull request #973 from ailin-nemui/perl-wcwidth
    
    expose wcwidth and related to perl

commit dcb412eb8b0add3cfb6e3bc015886f795abb92ef
Merge: 257cb2f5 482a3a5b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Nov 26 18:52:02 2018 +0100

    Merge pull request #975 from NattyNarwhal/ibmi
    
    Fix irssi build on IBM i and AIX

commit 482a3a5bdd7bf3755c67d678b7e74f72cfbaaecb
Author: Calvin Buckley <calvin@cmpct.info>
Date:   Mon Nov 26 09:56:04 2018 -0400

    Remove unneeded comment

commit bed0a3309f4f452f5ebf6d5d5becf869da190d7a
Author: Calvin Buckley <calvin@cmpct.info>
Date:   Sun Nov 25 15:00:34 2018 +0000

    Revert back to using original version of the configure script
    
            * IBM i rpmbuild environments set the magic variables for
              building w/ 64-bit binutils automatically, and one can
              set this for themselves with `OBJECT_MODE=64` when
              buildings. Remove this.
    
            * The subdir-objects change will need to be made due to
              upstream autotools making it mandatory in the future, but
              that isn't my decision to make.

commit a634b34ba48d7e050bb125d86205e58a5dc00c3d
Author: Calvin Buckley <calvin@cmpct.info>
Date:   Sun Nov 25 14:50:47 2018 +0000

    Rename cap_* funcs to irc_cap_*
    
    Some systems often "namespace" cap_ for themselves, and so irssi's
    usage can conflict with their own. Bump ABI for this.

commit 10f41e067eef33e30a211279d69160b5c7721f96
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Nov 25 14:19:57 2018 +0100

    fix backward completion

commit 88b16491956f0a882cc61fffa6a76d469006a87d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Nov 25 14:16:08 2018 +0100

    add keep_word setting to completion

commit 257cb2f5f91cbc08b20199f92a5d1923bc5ca4f2
Merge: 6c40567d c1fb9a84
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Nov 19 16:07:00 2018 +0100

    Merge pull request #971 from ailin-nemui/paste-join-lines
    
    fix paste_join_multiline

commit 795e7ec16240613dd13e8378128bb5fa66b6dc93
Author: Calvin Buckley <calvin@cmpct.info>
Date:   Mon Nov 19 14:18:34 2018 +0000

    Fix build on IBM i
    
            * Lots of warnings about subdirectories. Set an automake
              option to deal with this.
    
            * Set an ar flag for explicit 64-bit when on IBM i, due to
              it defaulting to 64-bit output with official gcc by default.

commit 4380f3820e5504b039d4a1ed0853c4442fa251b1
Author: Calvin Buckley <calvin@cmpct.info>
Date:   Mon Nov 19 13:58:51 2018 +0000

    Fix compilation of irc/core on AIX and IBM i
    
    There's a function in the standard library of these OSes that conflict
    with this function. Prefix it with `irc_`.

commit 288f220f875d4e4f00e86dd809c04aa805b49991
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Nov 13 00:14:15 2018 +0100

    fix width of byte codepoints

commit deaa1da55e3250badbdb3a769989cf5525b301e2
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Nov 12 14:11:27 2018 +0100

    cast to unsigned char

commit 9e5e5d8625714c58546fad00b9d95bce7f3a1afb
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Nov 12 13:14:02 2018 +0100

    expose wcwidth and related to perl

commit 6c40567dab5298d2452ecb5438ffe11997055dfd
Merge: 60d23649 4537d85b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Nov 12 13:02:41 2018 +0100

    Merge pull request #957 from ailin-nemui/rawlog
    
    Improve rawlog performance

commit 4537d85b0b1e3bbd5240e379d015752423381e9a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Nov 9 11:32:00 2018 +0100

    reverse queue

commit 60d2364989b50ed8b76076022dde39690dc95416
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Nov 9 11:11:10 2018 +0100

    run syncscripts.sh
    
    sync buf.pl to version 3.00
    sync usercount.pl to version 1.20

commit c1fb9a840201131982f2c2e1ff8737436f495841
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Nov 9 11:06:13 2018 +0100

    fix paste_join_multiline

commit 83e98da2ffa295723b10f63ec41211f70ea87153
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Nov 9 11:05:52 2018 +0100

    add test for paste_join_multiline

commit 9d2429c027770a711aa6ea6be86545e7966ec1ba
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Nov 9 10:57:37 2018 +0100

    test line joining

commit 2847b751e359bde8eb5dc3d89f57575c3b5f0948
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Oct 29 17:51:48 2018 +0100

    design.txt is now sourced from website
    
    also run syncdocs, fixes missing placeholder in startup-HOWTO

commit 8054b5c2bd41497485a9abe1b198b7366f413078
Merge: 275e0e84 ec577f92
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Oct 29 10:35:08 2018 +0100

    Merge pull request #967 from vague666/hide_targets_no_item
    
    allow activity_hide_targets to hide activity in itemless windows

commit 275e0e84ad8d085bb3515934c96b4b5b87e3c257
Merge: 524f31b0 3061f5d8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Oct 29 10:33:50 2018 +0100

    Merge pull request #968 from vague666/only_log_saved_channels
    
    Only log saved channels

commit ec577f9265fff6b36b0e25c3e1a04ef8f0aee9d6
Author: vague666 <jari.matilainen@gmail.com>
Date:   Sat Oct 27 20:52:14 2018 +0200

    typo

commit f7966d9c081641ff5b1adca2bd8c217a331bcaa6
Author: vague666 <jari.matilainen@gmail.com>
Date:   Sat Oct 27 20:51:29 2018 +0200

    allow activity_hide_targets to hide activity in itemless windows

commit 3061f5d848f6f487e8c73a5d5846b7a860ca5466
Author: vague666 <jari.matilainen@gmail.com>
Date:   Sat Oct 27 20:00:15 2018 +0200

    make sure only channels are checked

commit 2093530e7590f91608d43f4617d8faf76ebf56ee
Author: vague666 <jari.matilainen@gmail.com>
Date:   Sat Oct 27 16:08:36 2018 +0200

    Make it possible to only autolog saved channels

commit 524f31b026051a9692b8978d5013f9e43efcfa82
Merge: bc1d82a7 f11b629b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Oct 19 02:08:08 2018 +0200

    Merge pull request #965 from ailin-nemui/fix-signal-emit
    
    Fix wrong signal emission arg count

commit f11b629b2fa65ce355ce122c7c1482e8cba229db
Author: Doug Freed <dwfreed@mtu.edu>
Date:   Sun Sep 30 05:54:22 2018 +0000

    Fix issues pointed out by e38774cc

commit bc1d82a757ffbc56c7faabfe5aa60140ccc4d4fc
Merge: 6ca13dd5 cbc27062
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Oct 18 15:15:50 2018 +0200

    Merge pull request #964 from ailin-nemui/fixes
    
    fix duplicate include guard and link libs of test

commit 6ca13dd5cda0b6dbbdfb4c0e63ec161c2609bd40
Merge: 8bbf9c69 8b1afbd3
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Oct 17 12:31:52 2018 +0200

    Merge pull request #905 from horgh/horgh/topic-regression
    
    Add tests for topic events

commit cbc27062e7f7d501623ee52614bc8012f1d5a97a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Oct 17 00:58:49 2018 +0200

    fix duplicate include guard

commit da15279fa3ce8a965f6d77e4483811ce94a8f9ea
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Oct 17 00:58:39 2018 +0200

    fix flood test libs

commit 8bbf9c696c2d2a896e2dd45c0b12ec7758f23e28
Merge: 4eff3f15 81f3d6db
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Oct 9 17:16:21 2018 +0200

    Merge pull request #962 from horgh/horgh/comments-and-indentation
    
    Fix some indentation and add some comments

commit 81f3d6dbc1133bc72ec1f3211e7eef7027bae157
Author: Will Storey <will@summercat.com>
Date:   Mon Oct 8 20:23:36 2018 -0700

    Comment colour code meaning

commit 08b4d6c031fbc816f35e2cd1d57adfbb6ba4e3db
Author: Will Storey <will@summercat.com>
Date:   Mon Oct 8 20:23:22 2018 -0700

    Fix some space indentation

commit 4eff3f154d8f8511e38113ae485c584a8f61d1b5
Merge: a30fbd6c cdcb50f4
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Oct 8 18:18:54 2018 +0200

    Merge pull request #959 from ailin-nemui/notice-routing
    
    Route notices intended for channels into the channel

commit cdcb50f413537177ff50478b766b570fb7bae057
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Oct 8 17:41:46 2018 +0200

    add a setting

commit a30fbd6cfb647a06a7f0341703ad7b00dcd05dbc
Merge: 3257ce3b 80f9f169
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Oct 7 10:23:19 2018 +0200

    Merge pull request #961 from ailin-nemui/no-topic-glitch
    
    Show the proper TXT when topic was unset

commit 3257ce3b13fe8607876b9ef650ef0f761170b69f
Merge: 49d83b59 2200bd36
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Oct 7 10:21:29 2018 +0200

    Merge pull request #958 from ailin-nemui/window-number-cmd
    
    Make /1/2/3/... a setting

commit 49d83b5945f0628a17561371161067d94a8b69b9
Merge: cee9d09d ff7f4a22
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Oct 7 10:19:02 2018 +0200

    Merge pull request #956 from irssi/ailin-nemui/kill-cubes
    
    Remove cubes from irssi.conf

commit 80f9f16939b65536c5fc3ae1fedb885b84c82855
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Oct 6 20:14:49 2018 +0200

    Show the proper TXT when topic was unset

commit 8b1afbd3557e605f35cf4dab16d49cb4c89ca496
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Oct 6 19:26:36 2018 +0200

    revert core changes

commit 08ac2ee5beebdfd374caccf76a7e63da67b40798
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Oct 5 16:13:47 2018 +0200

    refactor cnotice test into function

commit d2dbcc19993a8cf33258d0989b05305be34336a4
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Oct 5 15:37:27 2018 +0200

    Route notices intended for channels into the channel

commit 2200bd3656f0790554bf3c949cce5224ec588a44
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Oct 5 13:46:39 2018 +0200

    Make /1/2/3/... a setting

commit cee9d09debc176ac6a4f3c310b04001644588f40
Merge: d815c880 ca1ec21d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Oct 5 10:49:50 2018 +0200

    Merge pull request #955 from ailin-nemui/split-width-bug
    
    fix and document window width on screen width dependency

commit d815c88050562ba15dcbccccb4cd2e0460e681a4
Merge: b96a41cf c4bf228e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Oct 5 10:48:25 2018 +0200

    Merge pull request #953 from dwfreed/fix-printtext.h
    
    Use ##__VA_ARGS__ extension to allow for argument-less ...

commit b96a41cf3daff342ae04fa59d8f2c903dffe0f2b
Merge: f207e844 b264540f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Oct 5 10:47:12 2018 +0200

    Merge pull request #951 from dwfreed/patch-1
    
    fe-text: clear hidelevel in layout if default

commit 1e2547eb92e8a681540925a0da3867a879afd696
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Oct 4 09:33:07 2018 +0200

    fixup perl side

commit ff0daf5870909b250e377ffa438c4fe0ebc2f8ce
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Oct 4 09:31:08 2018 +0200

    actually create the queue, too

commit 95692d4d86c4a39697d16e937a452a662e6ba448
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Oct 4 09:21:54 2018 +0200

    up abi

commit 05fd64dd1611610e2efe596718c657343db839e1
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Oct 4 09:21:46 2018 +0200

    improve rawlog perf

commit ff7f4a2207c19c2d5e67edc61c24b1f9781fe1c5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Oct 2 16:27:28 2018 +0200

    Remove cubes from irssi.conf
    
    This is long and ugly and better done externally (script)

commit f207e844f1299933b6e508c54804e27f42844547
Merge: 011372ec 04daf62d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Oct 2 00:09:01 2018 +0200

    Merge pull request #949 from ailin-nemui/help-narrow
    
    Fix insufficient size of help column when the window width is small

commit 011372ecdd966531c1fd6638a3c5b239c27112ed
Merge: f5e587a8 8684ccb4
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Oct 2 00:08:30 2018 +0200

    Merge pull request #948 from ailin-nemui/invalid-startline
    
    invalidate startline and bottom_startline when hidden

commit ca1ec21dc21563e63a91d4e307dc5ad0490e6cc4
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Oct 1 09:13:15 2018 +0200

    fix and document window width on screen width dependency

commit c4bf228e6c2a045f4906b38e9eaf2591cc4f984e
Author: Doug Freed <dwfreed@mtu.edu>
Date:   Sun Sep 30 05:38:13 2018 +0000

    Fix check for C99 in printtext.h

commit f5e587a83b0f3569a8024b54713667d55e157370
Author: Doug Freed <dwfreed@mtu.edu>
Date:   Sat Sep 29 18:37:10 2018 -0400

    Fix 01f961c

commit 7ab52e73c6492ef65b61eba40ee04fbd330765e5
Merge: 630c6f7e 76b934d1
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Sep 29 22:03:06 2018 +0200

    Merge pull request #947 from ailin-nemui/rsplit-collapse
    
    Fix broken display after resizing many windows very small

commit 630c6f7e1448bf5bccd476eb820189db9fc343b0
Merge: 116e202d db005007
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Sep 29 22:02:29 2018 +0200

    Merge pull request #946 from ailin-nemui/resize-freeze
    
    fix irssi being stuck when resized very small

commit 116e202d2221fe4019886a830b2d3296d64f1e07
Merge: cdfd75da 01f961cd
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Sep 29 22:02:10 2018 +0200

    Merge pull request #938 from ailin-nemui/hide-hidden-act
    
    Don't trigger activity on hidden lines by default

commit b264540f4ed5e273835a2d5feb10decb18a4fed6
Author: Doug Freed <dwfreed@mtu.edu>
Date:   Sat Sep 29 07:13:32 2018 -0400

    fe-text: clear hidelevel in layout if default
    
    This is required, otherwise setting the hidelevel to the default will
    not be written in the layout and so won't persist.

commit 04daf62dbf9a1668b5eb12b64f90701b11f374ca
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Sep 28 14:30:39 2018 +0200

    Fix insufficient size of help column when the window width is small

commit 8684ccb45c267fdeaaa779fce9323047aa5a9e38
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Sep 28 11:40:50 2018 +0200

    invalidate startline and bottom_startline when hidden
    
    this was overlooked when adding hidden line support. if the lines are
    removed, Irssi has to update the startline. It does that by "scrolling"
    the lines to the proper place. The scroll function was adjusted to
    calculate 0 for hidden lines, thus it would miss them.

commit 76b934d18e81ffbfa1e7480396d47fcced9394e8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 26 15:19:44 2018 +0200

    Fix broken display after resizing many windows very small

commit db005007cf3c951ace57b1810b30248fe371e4be
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 26 14:16:09 2018 +0200

    fix irssi being stuck when resized very small

commit 01f961cdf1d009ea4a8adc55fd6688f81dbb76c6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Sep 17 12:56:06 2018 +0200

    Don't trigger activity on hidden lines by default
    
    This is controlled by a new activity_hide_window_hidelevel setting.

commit cdfd75da9803ec54520b08fc6219f889d60c6bdf
Merge: 57857856 cad79f1d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Sep 23 11:22:46 2018 +0200

    Merge pull request #941 from dwfreed/window_default_hidelevel
    
    Add window_default_hidelevel setting

commit 57857856a66f9923c656a7d1ad777530c6b77832
Merge: ee92e3af f231a59e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Sep 23 11:22:31 2018 +0200

    Merge pull request #937 from ailin-nemui/hidden-ignores
    
    correctly separate ignore flags (no_act, hidden) from level

commit f231a59e81a7487dc46ad58fbdbde90d3b750435
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Sep 20 17:50:35 2018 +0200

    properly document the ignore_match_level so I understand it next time

commit ee92e3aff289788208c0e71d9b318640577b4c4b
Merge: 708ba06d 20dcf4e5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Sep 20 17:38:03 2018 +0200

    Merge pull request #939 from ailin-nemui/fix-modules
    
    some header fixes for C modules

commit 708ba06dbc30dcec99cf057a1f36fc9857308b72
Merge: a7af259d 74e8371b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Sep 20 17:37:50 2018 +0200

    Merge pull request #930 from ailin-nemui/fix-928
    
    fix accessing unallocated text when checking entry position

commit a7af259dd1ded503460458bf8042c47060fa153d
Merge: 90165c0c 3f0a4ef1
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 18 21:14:55 2018 +0200

    Merge pull request #929 from ailin-nemui/oddcommands
    
    Remove incorrectly copied automake commands from fuzzer

commit cad79f1db74787c68951e166cdc68af21ec67301
Author: Doug Freed <dwfreed@mtu.edu>
Date:   Mon Sep 17 14:34:06 2018 +0000

    Fix compilation warning

commit 074e6cf768b9c153b64a916b4b2d332d8ba6bef4
Author: Doug Freed <dwfreed@mtu.edu>
Date:   Mon Sep 17 14:26:25 2018 +0000

    fe-text: only save non-default window hidelevel
    
    This will only save the window hidelevel in the layout if it differs
    from window_default_hidelevel.

commit cb6279c63bbb98a419f9f72495b8a8232a3e7529
Author: Doug Freed <dwfreed@mtu.edu>
Date:   Mon Sep 17 13:28:46 2018 +0000

    fe-text: add window_default_hidelevel setting
    
    Allows specifying the hidelevel that new windows get by default.

commit 011d9437d158ae815cfab55a5e2c0b0a57430353
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Sep 17 13:08:43 2018 +0200

    oops

commit 7e9f8c694b38ae785771fb837fb0a4a434b614d3
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Sep 17 12:48:42 2018 +0200

    simplify ignore hidden/no_act code

commit b9a274a81d4020b4a1c5809b150ec869c897f17b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Sep 17 12:26:13 2018 +0200

    correctly separate ignore flags (no_act, hidden) from level

commit 20dcf4e53e05f61ed6e901f203e6f1ab90bc2bea
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Sep 14 12:44:41 2018 +0200

    fix compilation of python module

commit c174247502ebffe615f1e55ba7a5010856db41d3
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Sep 14 11:59:05 2018 +0200

    fix compilation of theme-indent module

commit 90165c0ceca996b1b95dc15de6f85051b4555365
Merge: 7f14d4d7 c80946bc
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Sep 7 23:05:11 2018 +0200

    Merge pull request #931 from ailin-nemui/fix-629
    
    Disconnect SASL properly in case the sasl module got unloaded from server

commit c80946bcf5f1a9c48213fd718a8c8bffc6dd1307
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 4 15:50:58 2018 +0200

    Disconnect SASL properly in case the sasl module got unloaded from server
    
    stops from getting on the network when sasl is unavailable
    
    fixes #629

commit 74e8371bde8143535da46a833835313d75ae8f4e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 4 14:12:03 2018 +0200

    fix accessing unallocated text when checking entry position
    
    fixes #928

commit 3f0a4ef1970a164d7bce64e2fa887036fd162236
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 4 10:17:20 2018 +0200

    Remove incorrectly copied automake commands from fuzzer

commit 7f14d4d74409889e153efa8f0eaea289d9ef5400
Merge: d93cd632 10f63266
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 4 10:02:52 2018 +0200

    Merge pull request #896 from phillid/winch-redraw
    
    Don't ignore SIGWINCH when window size is unchanged

commit d93cd63243afccc454594bffcc944f02f45a8554
Merge: e5759a7f 32944893
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 4 09:52:21 2018 +0200

    Merge pull request #917 from dequis/wcwidth-wrapper
    
    Add a wrapper of wcwidth() that picks the best implementation

commit e5759a7fb708fe461a35bf3bf37852cfbbaa2498
Merge: afb3daaf af1e4d6e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 4 09:37:10 2018 +0200

    Merge pull request #914 from ailin-nemui/textbuffer_lineinfo
    
    properly record line info on empty lines

commit 329448939ba8f9cc9803d4b3045d517b0ab0f9aa
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 4 09:36:45 2018 +0200

    Fix gnu wcwidth

commit afb3daaf65095447f0b0ce64f68363f6f17dcd34
Merge: 73573029 e450a7f8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 4 09:35:47 2018 +0200

    Merge pull request #919 from ailin-nemui/uafs
    
    Use-after-frees

commit 735730299385c6e9173f1f46e7f8d529634dd1fa
Merge: 8261b2a7 82702de0
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 4 09:35:32 2018 +0200

    Merge pull request #920 from irssi/ailin-nemui-urchlay
    
    Add information about crash on unload to perl.txt

commit 8261b2a7c892c032690124abd7babb262df3a96b
Merge: d5b43003 3351c54a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 4 09:35:21 2018 +0200

    Merge pull request #922 from dequis/fix-new-config-file-write
    
    Fix /save not working if the config didn't previously exist

commit d5b43003f03b6a98774221963fd28e98d45ad558
Merge: 03466385 e2e27d18
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 4 09:34:31 2018 +0200

    Merge pull request #925 from dequis/mkdir-config-strerror
    
    Improve error message when failing to create the config dir

commit 0346638547adb63f5a1d9c74be0c77106ad6cfa9
Merge: 1bbd9f39 04497ed6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 4 09:34:14 2018 +0200

    Merge pull request #927 from DomT4/perl_mojave
    
    configure: fix Perl detection on macOS Mojave

commit 04497ed69d35cf44b0700437bf427f48dbc42871
Author: Dominyk Tiller <dominyktiller@gmail.com>
Date:   Mon Sep 3 00:30:48 2018 +0100

    configure: fix Perl detection on macOS Mojave
    
    Apple has significantly changed the way `perl` is structured in macOS
    Mojave/10.14, which is due to ship stable this month. The `perl`
    restructuring has been an issue for a while but I recently obtained
    confirmation from Apple the changes were intentional & consequently not
    something that was going to be walked back before Mojave reaches its
    stable release.
    
    As of 10.14 the Perl headers are moving inside the SDK, instead of
    residing in `/System` directly. There's a flag to tell Clang to look
    inside the SDK without projects having to explicitly locate the SDK &
    fiddle with the location themselves, which is `-iwithsysroot`, and
    that's what `perl` outputs now when `configure` checks
    `perl -MExtUtils::Embed -e ccopts`:
    
    ```
      -g -pipe -fno-common -DPERL_DARWIN -fno-strict-aliasing -fstack-protector  -iwithsysroot /System/Library/Perl/5.18/darwin-thread-multi-2level/CORE
    ```
    
    The latter bit of that was previously
    `-I/System/Library/Perl/5.18/darwin-thread-multi-2level/CORE`. The
    problem here is that `configure` filters out flags that start with a
    lowercase `i` and consequently the Perl elements fail to build. This
    tiny patch fixes that issue, restoring Perl support to `irssi` when
    built on macOS 10.14.

commit e2e27d1809684a6745d7b449561aeb5f30a42a74
Author: dequis <dx@dxzone.com.ar>
Date:   Sun Sep 2 01:20:09 2018 -0300

    Improve error message when failing to create the config dir

commit 3351c54a2f8ac2add41ba7ce829c215a65d3c923
Author: dequis <dx@dxzone.com.ar>
Date:   Sat Sep 1 19:12:17 2018 -0300

    Fix /save not working if the config didn't previously exist
    
    realpath() was supposed to resolve symlinks but it also fails with
    ENOENT (no such file or directory) if the file just isn't there.

commit 82702de047237550d1299cb9b7461a952e6cc74d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Aug 29 09:09:58 2018 +0200

    Add information about crash on unload to perl.txt
    
    reported by urchlay: http://urchlay.naptime.net/repos/misc-scripts/tree/selfunload.pl

commit 7b09cac9ec0ce7e549ae8fecf4db8b8d811c18b1
Author: Will Storey <will@summercat.com>
Date:   Mon Aug 27 21:04:54 2018 -0700

    Call functions via signals rather than directly
    
    This allows us to leave functions static.

commit b11932d24f01703d07eb0f7a0de6c226ebcde195
Author: Will Storey <will@summercat.com>
Date:   Mon Aug 27 21:04:23 2018 -0700

    Make channel event functions static again

commit 0edb64c4dc731065705f3303307f20b3ccb5674a
Author: Will Storey <will@summercat.com>
Date:   Sat Aug 11 10:52:39 2018 -0700

    Add test files to .gitignore

commit 6f38d67d87f2ef443172cca4d9ee82300d9f5ca4
Author: Will Storey <will@summercat.com>
Date:   Sat Aug 11 10:49:47 2018 -0700

    Add tests for channel change events

commit 2ccb312b8b56db9585a4801184c064bfd3e3ff90
Author: Will Storey <will@summercat.com>
Date:   Sat Aug 11 10:49:26 2018 -0700

    Expose functions for testing

commit 2d6033542e0e47072d61ef442430c3014e3b430f
Author: Will Storey <will@summercat.com>
Date:   Sat Aug 11 10:48:00 2018 -0700

    Add functions to override irssi dir and config
    
    Setting up to test is easier this way.

commit 04db359a6d0f6d8630c2439fb26b7420ecc48582
Author: Will Storey <will@summercat.com>
Date:   Thu Aug 9 13:49:46 2018 -0700

    Handle topic info numeric separately from topic & topic numeric
    
    As we called the same function for the topic info numeric, we ended up
    losing the topic as that numeric does not include it. We now call a
    different function to handle this case more carefully. Fixes #903.

commit bbca1a5a0fa59567fc3082263dc5e9b087e02da6
Author: Will Storey <will@summercat.com>
Date:   Mon Aug 27 20:50:17 2018 -0700

    Revert "Revert "Flag topic as unset if it is zero length""
    
    This reverts commit 817179a7606b616795cf67e24505526dded34381.

commit 1bbd9f393cef1dd3cd785aa59584564be1270314
Merge: 73a89c2a 7d3eb47a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Aug 27 10:13:20 2018 +0200

    Merge pull request #909 from meribold/master
    
    Fix `/save` replacing symlinks with regular files

commit 7b70d051da10e6ea54cc118e8f7f254ddd07f6c1
Author: dequis <dx@dxzone.com.ar>
Date:   Mon Aug 27 00:14:01 2018 -0300

    wcwidth-wrapper: avoid cast with a tiny wrapper, julia_wcwidth()

commit 92804cb1aa753fa1f5e9b588a4bd7125bc98ce49
Author: dequis <dx@dxzone.com.ar>
Date:   Mon Aug 27 00:01:47 2018 -0300

    gui-windows: make the wcwidth_impl global var into static

commit 73a89c2a6ddfc60bc5560063e4f238021a4deec5
Merge: 19d84bc1 24f1ed7e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Aug 26 21:27:12 2018 +0200

    Merge pull request #918 from dequis/unhandled-cap-subcommand-list
    
    irc-cap: Don't show warning on CAP LIST response

commit e450a7f8c1c74132625d0a884f0ca851abd69197
Author: dequis <dx@dxzone.com.ar>
Date:   Fri Aug 24 02:27:45 2018 -0300

    modules_deinit: Fix -Werror=declaration-after-statement

commit ade2f87fe599773886a044b7c29a482622dfaea4
Author: dequis <dx@dxzone.com.ar>
Date:   Fri Aug 24 02:19:42 2018 -0300

    Fix use after free introduced by the use after free patch

commit 9dd836b87663929ae540b6b3c724c53b24e512ba
Author: dequis <dx@dxzone.com.ar>
Date:   Fri Aug 24 02:11:22 2018 -0300

    Fix "discards ‘const’ qualifier" warnings

commit 071ada830bd77055107220a420c96b41702f8cc2
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Aug 23 14:21:37 2018 +0200

    up abi

commit 610ab2dafac4668732733009b079ebcf585dee9f
Author: coypu@sdf.org <coypu@sdf.org>
Date:   Sat Aug 11 22:28:14 2018 +0000

    Use-after-frees
    
    Hi folks!
    
    I tried clang-static-analyzer on irssi 1.1.1, it seems like it
    finds some things. Here's a diff, but there might be more that you would
    want to check, or choose to work differently.
    
    (in special-vars.c, ret is commands->data sometime)
    
    I hope it's not too much trouble if reported as a confidential bug.
    Thanks.

commit b2a429bfb45c63d6518ff8af5d8861618434bdae
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Aug 23 14:03:53 2018 +0200

    update line cache on switching wcwidth implementation

commit 3ef0b9b3d06ae1c004fa1e140042eefe00acb9c0
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Aug 23 14:03:16 2018 +0200

    move "auto" to default instead

commit b95ce3e812b1d7218b6e5cea47084160cce84da7
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Aug 23 13:16:50 2018 +0200

    add julia's utf8proc wcwidth implementation

commit 24f1ed7edb7d8498fdc6ec34e7727bca93fde74d
Author: dequis <dx@dxzone.com.ar>
Date:   Thu Aug 23 03:22:30 2018 -0300

    irc-cap: Don't show warning on CAP LIST response

commit 0d8632943d8fb526fbd4d853c86294d0037c43f6
Author: dequis <dx@dxzone.com.ar>
Date:   Thu Aug 23 02:02:33 2018 -0300

    Add a wrapper of wcwidth() that picks the best implementation
    
    This adds a i_wcwidth() function that replaces mk_wcwidth(), and a
    'wcwidth_implementation' setting to pick which one it wraps.
    
    Values:
    
    - old: uses our local mk_wcwidth() which implements unicode 5.0
    - system: uses the libc-provided wcwidth(), which may be better or worse
      than ours depending on how up to date the system is.
    - auto: tests the system one against two characters that became
      fullwidth in unicode 5.2 and 9.0 respectively. If either of them pass,
      pick the system implementation, otherwise pick ours.
    
    It defaults to auto.
    
    mk_wcwidth() is still preferable in some cases, since the way it uses
    ranges for fullwidth characters means most CJK blocks are covered even
    if their characters didn't exist back then.
    
    The "system" implementation is also wrapped to never return -1, but to
    assume those unknown characters use one cell. Quoting the code:
    
        /* Treat all unknown characters as taking one cell. This is
         * the reason mk_wcwidth and other outdated implementations
         * mostly worked with newer unicode, while glibc's wcwidth
         * needs updating to recognize new characters.
         *
         * Instead of relying on that, we keep the behavior of assuming
         * one cell even for glibc's implementation, which is still
         * highly accurate and less of a headache overall.
         */

commit af1e4d6e34317452ac32380bed795aecb00f5d88
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Aug 21 09:21:23 2018 +0200

    initialise the line to zeros

commit a19b503a31fa4fb31c2e6ee79ffdc18bf4a87db0
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Aug 21 00:31:12 2018 +0200

    properly record line info on empty lines

commit 19d84bc16e80268f0df2a09b56022c5273f6fc95
Merge: 22ce5423 4f5f62ac
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Wed Aug 15 14:26:43 2018 -0400

    Merge pull request #913 from josephbisch/server-fuzz
    
    Add server-fuzz to fe-fuzz

commit 4f5f62ac63697d23e8a4d432f181a85c45a49d5e
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Wed Aug 15 11:11:09 2018 -0400

    Add server-fuzz to fe-fuzz
    
    Based on test-796.c in the tests directory.

commit 22ce54231e8299afa850b0fb38a9f7ffea2f8604
Merge: 85df01d1 817179a7
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Aug 13 14:59:55 2018 +0200

    Merge pull request #911 from irssi/revert-897-horgh/topic-unset
    
    Revert "Flag topic as unset if it is zero length"

commit 817179a7606b616795cf67e24505526dded34381
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Aug 13 14:43:25 2018 +0200

    Revert "Flag topic as unset if it is zero length"

commit 7d3eb47ab51a93defb267912704e84b3241b4db6
Author: Lukas Waymann <meribold@gmail.com>
Date:   Sun Aug 12 10:55:47 2018 +0000

    Fix potential `rename(3)` across file systems
    
    Make sure the temporary file in the `config_write` function is created
    on the same file system as the file we `rename` it to later.

commit 764f8215a9dad09b93832fdbb0c87eb1b0e6e773
Author: Lukas Waymann <meribold@gmail.com>
Date:   Sun Aug 12 07:22:14 2018 +0000

    Fix `/save` replacing symlinks with regular files
    
    A side-effect of 8deb618 is that `/save` may replace configuration files
    that are symlinks with regular files.  Fix this by resolving all
    symlinks before renaming the temporary file.

commit 85df01d1338e759b7cac18414ff98a7dce98e2c4
Merge: 0c94d44f f3909b8b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Aug 6 14:36:20 2018 +0200

    Merge pull request #901 from dwfreed/patch-1
    
    core/ignore: fix #900

commit 10f632664989117afe6d4496a419f712fbb4c3b6
Author: David Phillips <david@sighup.nz>
Date:   Tue Jul 24 19:31:45 2018 +1200

    Redraw on SIGWINCH when screen size hasn't changed
    
    Some programs and users send SIGWINCH as a request for the client to redraw
    in the event of session detachment/reattachment (e.g. abduco). A well-formed
    terminal will only send SIGWINCH when the window size has changed, so there
    is no need to optimise this case out.

commit f3909b8bcb509bbb57d685ec5a2b9f93097b5755
Author: Doug Freed <dwfreed@mtu.edu>
Date:   Fri Aug 3 17:07:06 2018 -0400

    core/ignore: fix #900

commit 0c94d44f52a3689e36887df836e4c3fbf67ff77e
Merge: ffd7ecc8 d84a2444
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Aug 2 13:42:24 2018 +0200

    Merge pull request #892 from dwfreed/fix-ignore-flags
    
    core/ignore: fix ignore_match_level handling of flag levels

commit ffd7ecc8bf470eb08cd48ad9ba3c5692266890e7
Merge: c7e50f48 b114b11e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jul 31 09:34:15 2018 +0200

    Merge pull request #897 from horgh/horgh/topic-unset
    
    Flag topic as unset if it is zero length

commit b114b11e36598157b7b014cc8d4325fbf04c9b1e
Author: dequis <dx@dxzone.com.ar>
Date:   Mon Jul 30 23:45:56 2018 -0300

    channel_change_topic: change one strlen == 0 to *str == '\0'

commit c7e50f48e5434a1732b9e6e6745bc7dc58e22235
Merge: 88f77cb6 1ab679bf
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jul 25 11:32:06 2018 +0200

    Merge pull request #886 from vague666/set_item_format
    
    remove = from format because people get confused by it

commit 15840ac27bd05e710ae13afe1a3c29853d2d6a0b
Author: Will Storey <will@summercat.com>
Date:   Tue Jul 24 18:31:57 2018 -0700

    If we receive a 0 length topic, record it as unset
    
    Fixes #888.
    
    Previously we showed that there was a topic set when using /topic, just
    an empty one. This was different than how we show such topics when
    initially joining a channel. Now we say that the topic is unset in both
    cases.

commit b9e301362db545a4108b5d08c7eda45441a475f5
Author: Will Storey <will@summercat.com>
Date:   Tue Jul 24 18:30:51 2018 -0700

    Ignore vim editor files

commit 0e187cf9cfb99c19f3dc9cf532fb5bac92dd1145
Author: Will Storey <will@summercat.com>
Date:   Tue Jul 24 18:29:31 2018 -0700

    Fix typo in comment

commit 88f77cb6f8fbbd553dfe45db9aede8a6d8905b49
Merge: b382bd12 4f45828f
Author: LemonBoy <LemonBoy@users.noreply.github.com>
Date:   Tue Jul 24 09:38:02 2018 +0200

    Merge pull request #895 from janikrabe/master
    
    Keep errstr set to NULL if errno is not set

commit 4f45828ff3de2952fa2d6be8515e67986213e7a8
Author: Janik Rabe <info@janikrabe.com>
Date:   Wed Jul 18 21:12:38 2018 +0300

    Keep errstr set to NULL if errno is not set
    
    Don't use errno if it is not set and show the default error message
    instead. This prevents messages like "SSL handshake failed: Success"
    from being shown.

commit d84a24444fbef8af6ae72888cfc3a539e0a1f005
Author: Doug Freed <dwfreed@mtu.edu>
Date:   Fri Jun 29 09:00:38 2018 -0400

    core/ignore: fix ignore_match_level handling of flag levels

commit b382bd12328c794b038a3dfd66adeec17f0b9324
Merge: daf6ce86 ba2554dd
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jun 15 14:28:09 2018 +0200

    Merge pull request #884 from vague666/ignore_hidden
    
    Added HIDDEN level to ignores

commit 1ab679bf32028b175c14f977659af540550bba47
Author: vague666 <jari.matilainen@gmail.com>
Date:   Thu Jun 14 20:02:30 2018 +0200

    remove = from format because people get confused by it

commit ba2554dd1485259b95b4b37f281c989086b24739
Author: vague666 <jari.matilainen@gmail.com>
Date:   Sat Jun 9 05:55:25 2018 +0200

    missing space

commit d2e1caf7205220c9fd73861604de8248eb07f0d6
Author: vague666 <jari.matilainen@gmail.com>
Date:   Thu Jun 7 15:17:46 2018 +0200

    simplifying code

commit 1547248e9448c22476a56c630ee18d95a57dc05f
Author: vague666 <jari.matilainen@gmail.com>
Date:   Wed Jun 6 11:03:44 2018 +0200

    simplify code

commit ac3af3fb56d98b884d03646e3c15435c8a435bf3
Author: vague666 <jari.matilainen@gmail.com>
Date:   Wed Jun 6 10:00:38 2018 +0200

    these were bitflags

commit db3b671328d0e6890b17c23baf9d4280d086e89b
Author: vague666 <jari.matilainen@gmail.com>
Date:   Tue Jun 5 14:43:37 2018 +0200

    Added HIDDEN level to ignores

commit daf6ce86cb668d24f278dca91846fc7b8619757d
Merge: 0a0c755b 631650bd
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue May 8 07:17:10 2018 +0200

    Merge pull request #878 from irssi/revert-873-empty_lines
    
    Revert "record line info on empty lines"

commit 631650bd8ab467af8347b5d9b51b2b0193adfe63
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon May 7 21:22:43 2018 +0200

    Revert "record line info on empty lines"

commit 0a0c755b89c932f058899011d73bedf3a516a8d5
Merge: e19d6ee2 3075cbc6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Apr 24 16:21:58 2018 +0200

    Merge pull request #875 from irssi/ailin-nemui-compile-oldtest
    
    Fix test compilation on old glib

commit 3075cbc6fb383024b87563611021f9fb712182fd
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Apr 24 14:00:30 2018 +0200

    Fix test compilation on old glib
    
    e.g. Debian 7

commit e19d6ee21930a4892b922d751477c4dabad15050
Merge: 0caf884e 34b31e84
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Apr 24 13:58:25 2018 +0200

    Merge pull request #873 from ailin-nemui/empty_lines
    
    record line info on empty lines

commit 0caf884e9231656b80aa244d04146c27193dd9f2
Merge: 13b2f349 8deb6182
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Apr 24 13:58:15 2018 +0200

    Merge pull request #871 from dequis/atomic-config-write
    
    Make config_write more atomic to prevent truncation when out of space

commit 13b2f349b68bbef2550238c62519ab2acf013855
Merge: 68302f2d d0151fd5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Apr 24 13:58:04 2018 +0200

    Merge pull request #870 from dequis/fe-cap
    
    Add fe-cap to show messages for CAP-related events in the UI

commit 34b31e8451829e7b515a60cf12183203a059d1c4
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Apr 16 16:19:54 2018 +0200

    record line info on empty lines

commit 68302f2d1fb1908ccac56b50ddf70abdb02f9aa5
Merge: b2b1ac67 8607a5fa
Author: dx <dx@dxzone.com.ar>
Date:   Wed Apr 11 19:25:25 2018 -0300

    Merge pull request #869 from dequis/missing-cap-3-2-signals-doc
    
    signals.txt: add missing 'server cap new|delete' signals

commit 8deb6182c692904733544568479035b31fe1007e
Author: dequis <dx@dxzone.com.ar>
Date:   Sun Apr 8 15:52:09 2018 -0300

    Make config_write more atomic to prevent truncation when out of space
    
    This is modeled after glib's g_file_set_contents. It doesn't use that
    function directly because the writing is done with GIOChannel
    streaming-like writes and g_file_set_contents expects the whole thing to
    be in-memory.
    
    Main differences with g_file_set_contents:
    
    - complete lack of win32 special casing (cygwin/WSL should work though)
    - no fallocate() (linux only, but we don't know the size upfront, anyway)
    - always calls fsync (glib skips it on btrfs or when not overwriting)
    
    Other than that, it's the same old mkstemp + fsync + rename.

commit d0151fd5a21cf026afa67239ad79f23bc26f0a10
Author: dequis <dx@dxzone.com.ar>
Date:   Sun Apr 8 01:26:11 2018 -0300

    Add fe-cap to show messages for CAP-related events in the UI
    
    Replaces cap.pl

commit af5ee997e7544eb59ed509ef8fb79ec449756e90
Author: dequis <dx@dxzone.com.ar>
Date:   Sun Apr 8 01:24:48 2018 -0300

    Add "server cap req" signal, emitted before requesting caps

commit 8607a5fa78ba44db51cc75a020e1a53c4e04a057
Author: dequis <dx@dxzone.com.ar>
Date:   Sat Apr 7 21:47:38 2018 -0300

    signals.txt: add missing 'server cap new|delete' signals
    
    Emitted by cap_emit_signal in irc/core/irc-cap.c, added as part of the
    CAP 3.2 PR merged recentlyish.

commit b2b1ac670879ed49ebf87acc4e33212a21e8df66
Merge: 4d5a7507 c08685a1
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Apr 6 10:50:58 2018 +0200

    Merge pull request #866 from ailin-nemui/reconnects
    
    This is a simple change which might fix #130
    
    The lookup_servers are also disconnected if the lookup/SSL handshake doesn't succeed in time. I'm not perfectly sure if this is the master fix but it does seem to be an issue that servers can be stuck in lookup, especially for SSL. See the issue for a reproducer

commit 4d5a7507196c7f5337c846417650bb3c54d523b2
Merge: 8bf21620 407680ef
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Apr 3 09:10:16 2018 +0200

    Merge pull request #868 from dequis/libgcrypt-m4
    
    Add libgcrypt.m4 so autogen doesn't require libgcrypt-dev

commit 407680efdc662787ecbd1297d1f4781acdb5168c
Author: dequis <dx@dxzone.com.ar>
Date:   Mon Apr 2 12:30:59 2018 -0300

    Add libgcrypt.m4 so autogen doesn't require libgcrypt-dev

commit 8bf2162053df088e3327245e2e2681591b7b8ecc
Merge: 0c1db8f2 138eca07
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Apr 2 08:36:53 2018 +0200

    Merge pull request #858 from ailin-nemui/sbar
    
    change the statusbar commands so that no accidential status bars are created

commit 0c1db8f2aee4aa5040a16518adb71f57dc953985
Merge: 9fa8c32b 0b2f5b0a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Mar 31 13:04:35 2018 +0200

    Merge pull request #854 from irssi/ahf/otr
    
    OTR support, take 2

commit 0b2f5b0a1e30932b07245c508a673eb0e9b6ab37
Author: dequis <dx@dxzone.com.ar>
Date:   Sat Mar 31 01:51:47 2018 -0300

    otr: fix blatant lies in help text

commit 4501917cae4523d11fb049a5d20e5582bb0893ea
Author: dequis <dx@dxzone.com.ar>
Date:   Sat Mar 31 01:46:10 2018 -0300

    otr: rename module.c to otr-module.c

commit c08685a1a3e4a719fcfe8f30a338a91db8c3b8d1
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Mar 19 16:06:46 2018 +0100

    also reconnect lookup_servers

commit 2830d91a89277052ee8e6978a41a7773c9fe5025
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Mar 29 22:41:12 2018 +0200

    use precompiled libotr

commit a3b9e2370fd02eb6a400744e31d7db27c8fe92b8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Mar 29 22:00:40 2018 +0200

    up abi

commit 7d7c6975edc13d6f285c00dfc8a4f1a98ffa6702
Author: dequis <dx@dxzone.com.ar>
Date:   Wed Mar 28 23:36:03 2018 -0300

    otr: add target param to the unencrypted 'message private' signal
    
    Same case as the previous commit.

commit dd7dc7ca7d0b04ae2d522a209845c453bfd9aab5
Author: dequis <dx@dxzone.com.ar>
Date:   Wed Mar 28 23:06:47 2018 -0300

    otr: fix missing 'target' param in 'message private' signal
    
    Fixes warnings like these on '/msg yourself'
    
    -!- Irssi: critical privmsg_get_query: assertion 'nick != NULL' failed
    -!- Irssi: critical query_find: assertion 'nick != NULL' failed

commit b52cf1015eaa4d759c9377df35a56988655dce89
Author: dequis <dx@dxzone.com.ar>
Date:   Wed Mar 28 22:40:17 2018 -0300

    otr: add KEY_GEN_STARTED state to avoid starting it twice
    
    Fun race condition there, got this when testing with the jabber
    xmlconsole open in bitlbee

commit 9fa8c32b9e2f80e308d1ed780490f6d2dfd6bb05
Merge: 7fc59d2d 17920ab5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 27 06:47:25 2018 +0200

    Merge pull request #865 from woohooyeah/master
    
    fix build with LibreSSL 2.7.0/2.7.1

commit 17920ab5aa11be86dc15c83fce8f5d879f104ed8
Merge: 25a44dac 7fc59d2d
Author: Dorian Harmans <dorian@woohooyeah.nl>
Date:   Mon Mar 26 22:50:54 2018 +0200

    Merge remote-tracking branch 'upstream/master'

commit 7fc59d2d1016e28eced6dbcaddc1e1865fe0ebe8
Merge: 191e0ac8 c7ca8102
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Mar 26 12:46:04 2018 +0200

    Merge pull request #862 from ailin-nemui/line_is_null
    
    fix a crash when trying to append to a NULL line

commit 25a44dacf4114f33f3a887f358c02f4fd9938427
Author: Dorian Harmans <dorian@woohooyeah.nl>
Date:   Fri Mar 23 21:35:35 2018 +0100

    fix build with LibreSSL 2.7.0

commit 138eca0749dd05a4a16df9e43d87af2143b224f2
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 20 18:11:12 2018 +0100

    fix build

commit ee04cd503ff70a1aed79cdb2c9f787c98b075182
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 20 17:59:11 2018 +0100

    add disabled txt

commit 977c2c0a0d911e3b7b43387ed19c5bfee565c617
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 20 17:53:03 2018 +0100

    refactor common parts

commit 501c150ec21b1dceeecc0c201d22fc1bad161cf4
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 20 17:39:08 2018 +0100

    make new status bar actually work

commit 191e0ac84ed42b51395ff9659b4f6169a1fcb3aa
Merge: 7d99ff05 6b0e1409
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 20 10:30:39 2018 +0100

    Merge pull request #802 from ailin-nemui/test-796
    
    Test for segfault on disconnect during signal processing

commit 7d99ff05cd9f15c4fbdfc54de58abdc2bc5b7778
Merge: 6ffbd0ab 6e6a96d8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 20 10:30:01 2018 +0100

    Merge pull request #803 from ailin-nemui/bug-796-test
    
    Postpone server cleanup until after unref

commit 6ffbd0ab546218145a82befe0871e6ccafabe9db
Merge: 3f217ae1 77a671c0
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Mar 19 16:23:27 2018 +0100

    Merge pull request #859 from ailin-nemui/delkeys
    
    make default keybinds deletable

commit c8191b33155ae7ee1ebb07d87b8e001f75188eeb
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Mar 12 09:41:53 2018 +0100

    abi bump

commit 61c58b7690e9eec159ba32e5ea40809ed17ef424
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Mar 19 10:35:39 2018 +0100

    actually check which of add or modify was called

commit d845ee7361886599f6ffa4f403b44a3f45fd88db
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Mar 19 09:18:42 2018 +0100

    change the statusbar commands so that no accidenal status bars are created

commit 77a671c03726969525367f36429c448a3a0aaae8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Mar 19 09:11:02 2018 +0100

    update bind help

commit c7ca8102c002287f492ca71f2193ee9b269f5bf5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Mar 17 13:36:38 2018 +0100

    fix a crash when trying to append to a NULL line
    
    reported by @vague666

commit 65a139aa9e8a7cb7a7a123ab57ee05836c9e89ea
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Mar 16 12:44:04 2018 +0100

    move no window printing code

commit 3f217ae14951afac8a98ec7bb1a497b3a1c0cf8b
Merge: 575daf4a b7906b87
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Mar 15 17:23:40 2018 +0100

    Merge pull request #861 from ailin-nemui/stay-hidden
    
    in fact hidden levels should not be re-set when you run /set

commit 8d07f52bae6fa7e85988125293f08a72e39de8c3
Author: Alexander Færøy <ahf@irssi.org>
Date:   Thu Mar 15 14:01:50 2018 +0100

    Add ABI check for otr_core module.

commit b7906b87065829029f3b7ea21eb29699f7dc21fc
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Mar 15 10:06:29 2018 +0100

    in fact hidden levels should not be re-set when you run /set

commit 7ec6c500b4abed6f3a93a7afaba26ba08ca09be9
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Mar 12 17:46:26 2018 +0100

    make default keybinds deletable

commit 575daf4af7680c537e6d1cba513b3fb6307cd292
Merge: 6a3a3873 097a9f49
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Mar 10 13:11:39 2018 +0100

    Merge pull request #852 from dequis/document-cat-seek
    
    Document second parameter (seek position) of /cat command

commit 6a3a3873e9a8d905a9ed3a2656792cb94223155f
Merge: 1178f753 76d958a8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Mar 10 13:11:09 2018 +0100

    Merge pull request #857 from LemonBoy/config-case
    
    Compare channels/networks fields case-insensitively

commit 76d958a87fea1d744f45a9e022cf980752c7ea73
Author: LemonBoy <thatlemon@gmail.com>
Date:   Fri Mar 9 17:36:28 2018 +0100

    More g_strcmp0 -> g_ascii_strcasecmp

commit fb9f5174c2f85c113dac8dbc1d146fe530e53e44
Author: LemonBoy <thatlemon@gmail.com>
Date:   Thu Mar 8 20:35:00 2018 +0100

    Compare channels/networks fields case-insensitively
    
    Fixes #856

commit 1178f753cf07cbbfd000d6b0fccf5a5dd7b54b5b
Merge: ad4324d2 0b057b4f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Mar 7 07:33:10 2018 +0100

    Merge pull request #855 from ailin-nemui/sync
    
    run syncdocs.sh and syncscripts.sh

commit 0b057b4ff43cfc560f67fe8312830289534de7d5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Mar 7 02:22:58 2018 +0100

    run syncdocs.sh and syncscripts.sh
    
    Sync startup howto to fd1ed2227d529a7ee00d6206caa871ee40c08b69
    Sync scriptassist to (2003020806) 211cd515ec87cf9a5d893e97894c2e4b58952f19

commit 7a4bfc16021e7762bd8e6c5d11d0f913101dc5b4
Author: Alexander Færøy <ahf@irssi.org>
Date:   Tue Feb 27 00:04:56 2018 +0100

    Better wording.

commit 016b42baea9d7dcd2a284f873246c06259c560dd
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Sun Jan 4 01:57:21 2015 +0100

    Add OTR support.
    
    This patch adds support for the OTR protocol to irssi. This is an import
    of the external irssi-otr project that we are now taking over
    maintership for.
    
    Major thanks to the original authors of Irssi-OTR: Uli Meis and David
    Goulet. Thanks to the OTR community in #OTR on OFTC, thanks to everyone
    who have helped testing the patches and submitted UI suggestions.

commit 097a9f4988333b1d445ba70df006da6ef26bfaa9
Author: dequis <dx@dxzone.com.ar>
Date:   Fri Feb 16 10:09:48 2018 -0300

    Document second parameter (seek position) of /cat command

commit ad4324d24210f30646575b8bcbae8b50d2149224
Merge: a72e7066 203f6c53
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Feb 16 13:57:05 2018 +0100

    Merge pull request #851 from ailin-nemui/theme-block-tree
    
    unblock theme elements when processing finished

commit 203f6c532947e8b7c7e30fad91220aad083c7f08
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Feb 16 13:46:29 2018 +0100

    also unblock theme elements when processing finished

commit a72e706667e963a013ca8c8fd02af1c74ffbd40d
Merge: 0b9beeb0 5c60e72b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Feb 15 19:46:32 2018 +0100

    Merge pull request #849 from ailin-nemui/news-update
    
    add additional notes to NEWS

commit 0b9beeb01d4ff3890120ace913884fcd915e4b26
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Feb 15 01:17:11 2018 +0100

    Merge tag '1.1.1' into integrate/1.1.1

commit 666ddc2ecdd9ad7bc966c78565a5fd9985e099c8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Feb 15 00:55:30 2018 +0100

    Merge tag '1.0.7' into integrate/1.0.7

commit 5c60e72b118b9efb09639ea26e2a70d06899431f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Feb 15 00:44:19 2018 +0100

    add additional notes to NEWS
    
    (synced back from github releases)

commit dd2e3e6d1c619e7ff2fae5bef4e31fe3c9342722
Merge: a2bc308d e289d34b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Feb 14 21:21:24 2018 +0100

    Merge pull request #848 from ailin-nemui/align-exhaust
    
    limit alignment padding to a screenful

commit e289d34b9a50b46f57698980e899b71f0069abda
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Feb 14 15:04:16 2018 +0100

    limit alignment padding to a screenful
    
    Credit to Oss-Fuzz

commit a2bc308dca885c294d6f63e12b6353115a0f38fe
Merge: c01f6df9 a6fcd543
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Feb 13 12:58:07 2018 +0100

    Merge pull request #846 from ailin-nemui/padding
    
    improve padding performance

commit a6fcd5432e495aea416ebae28d44111eadf19b82
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Feb 13 12:31:22 2018 +0100

    improve padding performance
    
    Credit to Oss-Fuzz

commit c01f6df9573f3a5596bdb4c319faa109567f4221
Merge: b0d9cb33 3cbcb4fe
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Feb 13 11:10:21 2018 +0100

    Merge pull request #844 from CatboxParadox/perms
    
    dcc get shouldn't fail when file attrs can't be changed

commit b0d9cb33cd9ef9da7c331409e8b7c57a6f3aef3f
Merge: c2c879e8 12483c68
Author: Nei <ailin.nemui@gmail.com>
Date:   Tue Feb 13 09:51:22 2018 +0000

    Merge branch 'security' into 'master'
    
    Security
    
    See merge request irssi/irssi!34

commit c2c879e8c55afcb8a737e4535c8d878407807040
Merge: ccfb2dab adc812b6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Feb 13 10:09:06 2018 +0100

    Merge pull request #845 from ailin-nemui/funny-bug
    
    warn if there is non-portable code in the test-driver

commit 3cbcb4fe85ec3233aa36b56a047470df5d4221f3
Author: Staron, Martin <martin.staron@mavenir.com>
Date:   Mon Feb 12 12:04:46 2018 +0100

    dcc get shouldn't fail when file attrs can't be changed

commit adc812b6b6ed2df2c670586e5308cb767955dddd
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Feb 13 00:03:17 2018 +0100

    add a peculiar bug check to autogen

commit ccfb2dabcf5eed702ce28245ba8e7de81c1ec6bb
Merge: 946876b1 5c5ed641
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 12 10:54:42 2018 +0100

    Merge pull request #832 from ailin-nemui/netsplit-crash
    
    try to make sure the server is still good enough to call ischannel when printing netsplit/join

commit 5c5ed64180a6b76315ee7b8c6000ee64ad5877a7
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Jan 25 15:33:24 2018 +0100

    try to make sure the server is still good enough to call ischannel when printing netsplit/join

commit 946876b1e9db5d764cecb3f884fc3075765dc94d
Merge: 7c31f7ad 16912e1a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Feb 9 11:49:23 2018 +0100

    Merge pull request #843 from ailin-nemui/glib238
    
    restore compat with glib <2.40

commit 7c31f7adc5685074d25a32737c9743089850675c
Merge: 02712942 e32e9d63
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Feb 8 22:25:03 2018 +0100

    Merge pull request #842 from ailin-nemui/themeoob
    
    Fix oob in escaped theme string

commit 16912e1a911a503d1ee83ea42dd20c0d5b543e9a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Feb 8 14:41:02 2018 +0100

    restore compat with glib <2.40

commit e32e9d63c67ab95ef0576154680a6c52334b97af
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Feb 8 14:11:23 2018 +0100

    Do not read beyond end of escaped string
    
    Credit to OSS-Fuzz

commit 02712942e033c467da1c473c34fb4d631e0a0d23
Merge: 538bd914 4c662acf
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Feb 7 21:23:39 2018 +0100

    Merge pull request #835 from ailin-nemui/theme-stack
    
    protect theme recursion

commit 538bd9148e1afa6ac2e251528425064fe8940e4b
Merge: f8fbc1e1 1e6d7874
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Feb 7 21:22:18 2018 +0100

    Merge pull request #840 from ailin-nemui/caps
    
    ensure cap_supported is existent yet

commit 1e6d787401b548cf3d5cc57d9a0d0f25f1254bf7
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Feb 7 11:07:22 2018 +0100

    ensure cap_supported is existent yet

commit 12483c688ae231ce5367d080720c22253855a5ce
Merge: a73659e0 84f03e01
Author: Nei <ailin.nemui@gmail.com>
Date:   Tue Feb 6 06:46:11 2018 +0000

    Merge branch 'sasl-timeout' into 'security'
    
    Fix Sasl timeout error
    
    See merge request irssi/irssi!33

commit a73659e0ea5d50c4da7a4da805cda13068098646
Merge: 41e2b535 0909d47e
Author: Nei <ailin.nemui@gmail.com>
Date:   Tue Feb 6 06:45:54 2018 +0000

    Merge branch 'soperise' into 'security'
    
    Soperise
    
    See merge request irssi/irssi!32

commit 41e2b535ef13d23f71d7e99c19afa913e9c257c3
Merge: c25e1221 e91da9e4
Author: Nei <ailin.nemui@gmail.com>
Date:   Tue Feb 6 06:45:32 2018 +0000

    Merge branch 'nonick' into 'security'
    
    please give us nicks
    
    See merge request irssi/irssi!31

commit f8fbc1e1ab9b01c651c7da0652eac8631894c44c
Merge: 81831806 26073347
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 5 22:29:35 2018 +0100

    Merge pull request #775 from LemonBoy/caps_kv
    
    CAP 3.2 support

commit 81831806132608d5111ffb24efd2a2469c62d197
Merge: cfcc021c 2185c4dd
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 5 22:28:08 2018 +0100

    Merge pull request #764 from GinjaNinja32/colorful-input
    
    Add color support for input bar

commit cfcc021c81eea84bd982a64764f62e163128acf3
Merge: 3c1bc5f9 a4f99ae7
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 5 22:26:32 2018 +0100

    Merge pull request #824 from dequis/more-netsplit-revert
    
    Revert more of the netsplit print optimisation to fix crashes

commit 3c1bc5f9162c90aa247d024422699710419658f6
Merge: 442f6f08 b33ce255
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 5 22:25:33 2018 +0100

    Merge pull request #836 from ailin-nemui/resize
    
    Fix resizing of windows when used incorrectly

commit 442f6f08b4d99e86c3961be71638abec0f0f8070
Merge: c25e1221 5b5bfef0
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 5 22:24:17 2018 +0100

    Merge pull request #837 from ailin-nemui/no-show
    
    check the error condition of mainwindow_create

commit b33ce255a9df6e951d90f3d3c519b005dacb7010
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Feb 4 11:18:22 2018 +0100

    check for negative bound

commit c25e1221494e20cb96b4a541b9027dbfd8836711
Merge: 9c494a88 12d08f79
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Feb 4 11:28:25 2018 +0100

    Merge pull request #822 from Manishearth/autocomplete-colon
    
    Insert colons after completing nicks preceded by a list of other autocompleted nicks

commit 9c494a88a306d386870cd5fc78c9527bd66c1c7a
Merge: 17aafe97 af087e11
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Feb 4 11:27:02 2018 +0100

    Merge pull request #831 from ailin-nemui/openssl-x509
    
    Do not use X509_STORE on OpenSSL < 1.0.2

commit 2185c4ddb36e1b53548674c2e6ebf95448f2c587
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Feb 3 23:19:27 2018 +0100

    up abi

commit 17aafe974b6251fecff4198d3dd3ab9cf1620b78
Merge: 6d42c4f9 5bae9a94
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Feb 2 14:09:10 2018 +0100

    Merge pull request #818 from ailin-nemui/test-tap-backward-compat
    
    add backwards compatible code for running tap tests

commit 9072e988194a36186bd98db844b8285e3f37069a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 10 17:49:32 2018 +0100

    change color -> extents (malloc based)

commit 84f03e01467b90a4251987b32b2813ee976b357c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Feb 2 10:27:51 2018 +0100

    do not reuse sasl timeout

commit 5b5bfef03596d95079c728f65f523570dd7b03aa
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Feb 2 10:05:37 2018 +0100

    check the error condition of mainwindow_create

commit f0bd434eb0b0fbeaecc10c3cc355100fbf90947a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Feb 2 09:50:08 2018 +0100

    stop the madness

commit 4c662acf957502af186aa631d185d6edca709e15
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Feb 1 13:52:12 2018 +0100

    another replaces fix
    
    Credit to OSS-Fuzz

commit 12360fb2c06b8f11db6a7348426851fac8de8a93
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Feb 1 10:21:31 2018 +0100

    protect theme recursion

commit 6d42c4f949ab7d3d403d2f31d6a816961a180e2b
Merge: 8028dcff 7f4de37f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 30 17:39:13 2018 +0100

    Merge pull request #834 from williamjacksn/patch-1
    
    Fix typo in help text for /ISON command

commit 7f4de37fbfc3a052f46619b629d7a2ea8b03ebb3
Author: William Jackson <william@subtlecoolness.com>
Date:   Tue Jan 30 10:31:13 2018 -0600

    Fix typo in help text for /ISON command

commit 8028dcff93b2d51a7938451082d7d71e750b7e58
Merge: b5380fff 6dfe5bc8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 30 11:20:40 2018 +0100

    Merge pull request #830 from g-elfling/master
    
    Add Shift-Tab completion to gui-readline

commit b5380fff53241168cd0de4e8fc1cbfa38b1c4cb9
Merge: 243ae4be 126189bb
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 30 11:20:02 2018 +0100

    Merge pull request #833 from ailin-nemui/rrrreplaces
    
    we probably should not try to replace replaces

commit 126189bb374d436280885f0f878a5075feed2fbc
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Jan 25 15:54:20 2018 +0100

    we probably should not try to replace replaces
    
    Credit to OSS-Fuzz

commit a4f99ae746efb121185fe76c392a64d743a9eb92
Author: dequis <dx@dxzone.com.ar>
Date:   Sat Jan 20 19:58:05 2018 -0300

    Revert more of the netsplit print optimisation to fix crashes
    
    Now iterating over all servers to avoid crashes on server_ischannel(),
    which is a macro for server->ischannel(), so it dies horribly when it's
    null. Doesn't help that IS_IRC_SERVER() always returns true on null.

commit 0909d47e5b5ab08cd07970a374e311f7f54be547
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Jan 25 16:10:21 2018 +0100

    Check that server is still existent when using /oper

commit e91da9e4098e449dc36eaa15354aff67650e7703
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Jan 25 16:05:47 2018 +0100

    please give us nicks

commit af087e110373090e65184aebc3515555f64f4a33
Author: Ailin Nemui <ailin@z30a.localdomain>
Date:   Thu Jan 25 15:08:26 2018 +0100

    fix sequence error

commit f5aa829bd084d279f9ae7eb27a52ea674adfed5d
Author: Ailin Nemui <ailin@z30a.localdomain>
Date:   Thu Jan 25 15:01:34 2018 +0100

    Do not use X509_STORE on OpenSSL < 1.0.2

commit 6dfe5bc8361dab212653f19d611286ac93a32638
Author: Niklas Luokkala <niklas.luokkala@gmail.com>
Date:   Wed Jan 24 22:12:09 2018 +0200

    modified gui-readline based on the suggestions made to the pull request

commit 260733475c2b701c35024a3b4fbe900751b45341
Author: LemonBoy <thatlemon@gmail.com>
Date:   Wed Jan 24 10:55:20 2018 +0100

    Accept CAPs with an empty value (KEY=)

commit b0b40be82e046785562fdb18dca3b1afb1b08a2b
Author: LemonBoy <thatlemon@gmail.com>
Date:   Wed Jan 24 10:47:40 2018 +0100

    Deprecate gslist_remove_string
    
    It is not used anymore and it leaks memory.

commit 474ee8ee70c9ff9c69487746a9740355f38a01b2
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sun Jan 7 12:44:28 2018 +0100

    Address some minor stylish nits

commit 0ba1b1f2a4f0b2be6bb1077d54dda546f3db46ad
Author: Niklas Luokkala <niklas.luokkala@gmail.com>
Date:   Wed Jan 24 01:49:28 2018 +0200

    removed unnecessary repetition

commit d14dbbd09338f5cd8d14c1ec15bcf3c7fd43a3c7
Author: Niklas Luokkala <niklas.luokkala@gmail.com>
Date:   Wed Jan 24 00:15:29 2018 +0200

    Add Shift-Tab completion to gui-readline

commit 12d08f79bbec3582fe079ec5a5d0f91002f62037
Author: Manish Goregaokar <manishsmail@gmail.com>
Date:   Fri Jan 19 18:34:30 2018 +0530

    Insert colons after completing nicks preceded by a list of other autocompleted nicks
    
    When pinging two people, typing `nick1<tab> nick2<tab> message` for
    autocompletion will get you `nick1: nick2 message`, which is kinda
    confusing.
    
    We only insert the colon after the first autocompleted nick,
    because if a nick is used in the middle of the sentence it's mentioning
    the person but not targeting the message at them.
    
    However, this breaks down when we try to ping a list of people. There
    should be a colon in front of each separating the names from the
    message. only having a colon at the end of the nick list works too,
    but it seems like the IRC convention is to just use multiple colons.
    
    This patch makes it so that autocompleting a nick after a list of
    existing autocompleted nicks at the beginning of the message
    will include a colon.

commit 5bae9a94c83b8ce21e21b18963db1aa43807c932
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Jan 18 12:02:29 2018 +0100

    add backwards compatible code for running tap tests

commit 0f1b3873fe5b99cf8af9bc58d1a982dd5f0f66bd
Author: GinjaNinja32 <ginjaninja32@gmail.com>
Date:   Sat Oct 7 13:59:46 2017 +0100

    Don't accept pos<0 or len<0 in gui_entry_set_color

commit 13b93c8c05dafd4f45ca7153ae165d6afd0ba157
Author: GinjaNinja32 <ginjaninja32@gmail.com>
Date:   Fri Oct 6 20:35:29 2017 +0100

    Apply changes based on review feedback

commit 925ae6e6adfae0b8924cfeca2a2b0ac99b042bce
Author: GinjaNinja32 <ginjaninja32@gmail.com>
Date:   Fri Oct 6 18:36:42 2017 +0100

    Add color support for input bar

commit 243ae4be84d422322f20be1b715dc0b00ef9c32d
Merge: 1b7f3283 d983ad1a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 17 11:05:01 2018 +0100

    Merge pull request #814 from l2dy/website
    
    Update Irssi website URLs to use https

commit 1b7f32838557a4805029cfb17710148a948b11bf
Merge: ef8111ee e7c9b3af
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 16 19:12:00 2018 +0100

    Merge pull request #816 from ailin-nemui/fix-test-libs
    
    fix test builds on some platforms

commit d983ad1a878103448231c8fd56fbc9c4b8f7f501
Author: Zero King <l2dy@icloud.com>
Date:   Tue Jan 16 15:23:54 2018 +0000

    Update Irssi website URLs

commit e7c9b3afb82f4db3958f4f08cb706aadcbd12d2c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 16 11:05:47 2018 +0100

    fix test builds on some platforms

commit ef8111eebe3c9d35ef9754f68c9f7df0aea7058e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 15 21:54:52 2018 +0100

    Merge branch 'maint/1.1.0' into integrate/1.1.0

commit fd711d708366dae86d97ea25a42a93227181ee13
Merge: 4512e268 182673ed
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Mon Jan 15 12:26:48 2018 -0500

    Merge pull request #813 from josephbisch/fuzz-theme-load
    
    Add theme_load to fe-fuzz

commit 182673ed05a5b5cb79d104df83f34fcc163a9c7e
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Mon Jan 15 11:59:01 2018 -0500

    Add theme_load to fe-fuzz

commit 4512e2683ab2e9c680d7fa7e68906225ea266e91
Merge: 7de1378d 15705432
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Mon Jan 15 10:53:21 2018 -0500

    Merge pull request #780 from josephbisch/fuzz-event-get-params
    
    Add event_get_params to fe-fuzz

commit 7de1378dab8081932d9096e19ae3d0921e560230
Merge: b3b68a4a fa850840
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Jan 14 20:51:25 2018 +0100

    Merge pull request #812 from ailin-nemui/tape-netsplit
    
    revert netsplit print optimisation

commit fa8508404f4c4a02749cae5148662e2322c2abf0
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 10 20:08:15 2018 +0100

    revert netsplit print optimisation
    
    this reverts part of #465
    
    unfortunately we need to further refine the initial patch
    
     - when filtering by channel, the whole split is cleaned up nevertheless
     - something similar happens for the netjoins
     - furthermore, we cannot wait only for PUBLIC msgs, j/p/q are equivalently relevant for temporal integrity

commit b3b68a4ae79c83b68f72dfe2b7f3c21ed5463c9e
Merge: d4bd0d02 4041f297
Author: LemonBoy <LemonBoy@users.noreply.github.com>
Date:   Wed Jan 10 12:15:24 2018 +0100

    Merge pull request #808 from vague666/perl_hidden_level
    
    Add perl access to hidden_level in TEXT_BUFFER_VIEW_REC

commit 4041f29711e5a6745175d0ae046e68e34f034bf4
Author: Jari Matilainen <jari.matilainen@istone.se>
Date:   Tue Jan 9 23:16:26 2018 +0100

    Changed spaces to tab

commit f2e73a7046358ed948b14180c70bab5dba5364cc
Author: Jari Matilainen <jari.matilainen@istone.se>
Date:   Tue Jan 9 23:15:08 2018 +0100

    Add perl access to hidden_level in TEXT_BUFFER_VIEW_REC

commit d4bd0d02fb7ea076e9431123445d76638c7b76ad
Merge: 2e286066 3b1ee8e7
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 8 14:33:39 2018 +0100

    Merge pull request #807 from ailin-nemui/fix-real-length-test
    
    fix format_real_length expected test result

commit 2e28606635495f903a3f24cdf1c248e60e802866
Merge: a6663c58 b8e3c5d0
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 8 14:33:12 2018 +0100

    Merge pull request #806 from ailin-nemui/fix-tests-old-glib
    
    only use nonfatal assertions for GLib that actually supports it

commit 3b1ee8e7e7e9d01190d906ae5af6d3dd7dbd9a63
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 8 13:47:25 2018 +0100

    change expected format_real_length test result
    
    This change from 0 -> 4 was introduced by #697 and is thus expected

commit b8e3c5d00e80a2bf24cfbb063e2e4916ef01147d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 8 13:33:40 2018 +0100

    only use nonfatal assertions for GLib that actually supports it
    
    Fixes tests on Debian 7 and RHEL 6

commit a6663c58d4364c371e82d718f0ed5460df6d8b36
Merge: f83ba5a5 ded4e4d9
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 8 12:20:20 2018 +0100

    Merge pull request #697 from ailin-nemui/rsplit
    
    sideways split support for Irssi

commit f83ba5a5bb1f42384ba06710fc074e960f0a662f
Merge: 2e0815bf f9c83659
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 8 12:19:46 2018 +0100

    Merge pull request #779 from vague666/activity_hide_target_only_channels_v2
    
    Allow selection of what kind of activity targets to ignore v2

commit 2e0815bfd76fae223131ec27f844e10dbbab5075
Merge: d85f8672 063c85da
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 8 12:19:30 2018 +0100

    Merge pull request #726 from dequis/term-environment-check
    
    Add a startup warning if the TERM var is wrong inside tmux/screen

commit 063c85da6c4e73a292525aa01b5cad70ed6bf82b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Jan 7 20:01:00 2018 +0100

    Fix space in message

commit fed791ed9100552edbe643d8b3d0e0bc271e88d4
Author: LemonBoy <thatlemon@gmail.com>
Date:   Mon Oct 30 17:41:16 2017 +0100

    Fix a problem with multiline responses
    
    Do not clear the whole table every time a response is received.

commit 4b9fcbc15ae3561c34944e30e24fd1d54346bb99
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sun Oct 29 16:06:36 2017 +0100

    Nicer error message when a duplicate CAP in LS

commit f3a535564880d73b75263b685794a7165e56f9bd
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sun Oct 29 16:03:28 2017 +0100

    Match LS instead of checking the first letter only

commit 6c45ab0493e42bca08016ad70a54bb523282b7b8
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sun Oct 29 15:59:51 2017 +0100

    Command names may be in lower-case
    
    Do not take the string case into account when comparing the command
    name.

commit c00132ac4cf78702b4f72fc6a0085432bcef2fac
Author: LemonBoy <thatlemon@gmail.com>
Date:   Tue Oct 24 15:47:06 2017 +0200

    Simplify the code
    
    Early exit, simpler code.

commit 9160ddaffd45b03c523320ef8f71bb3a8a9fb87a
Author: LemonBoy <thatlemon@gmail.com>
Date:   Mon Oct 23 21:23:59 2017 +0200

    Keep processing the CAPs on error
    
    If an invalid CAP is found we keep going by parsing the next one.

commit cd107deb463934f7a8611cdc8d17b861a93d97f9
Author: LemonBoy <thatlemon@gmail.com>
Date:   Mon Oct 23 21:19:51 2017 +0200

    Prevent a memory leak
    
    When a CAP DEL is received the key/val pair is not stored in the
    hashtable at all so just free them when we're done.

commit 74409aa85071390a3969fffa21c08a6736efe314
Author: LemonBoy <thatlemon@gmail.com>
Date:   Mon Oct 23 20:08:19 2017 +0200

    Miscellaneous fixes
    
    Stylistic stuff, please ignore.

commit f683e81880ac4408693582df3ec11d640684c78d
Author: LemonBoy <thatlemon@gmail.com>
Date:   Mon Oct 23 12:42:37 2017 +0200

    Prevent a NULL pointer deference
    
    Always create the cap_supported table when a CAP event is received.

commit 432368bdc6b941c1ff6319748b357bd5bae1bb6e
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sat Oct 21 17:40:45 2017 +0200

    Use strcmp instead of g_strcmp0
    
    There's no need to use the latter.

commit cfc8c9f8e2d982ee3ebff7afa1d1bdeb04003029
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sat Oct 21 17:38:06 2017 +0200

    Properly dispose the GSList chains
    
    We forgot to free the link and the data, oops.

commit f4d811ddf51ce03e90e0417a6c25baeb9aa48353
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sat Oct 21 17:11:43 2017 +0200

    Handle CAP {ADD,DEL} from cap-notify
    
    This is the last piece of the puzzle.

commit 8c87766132b7dbb75d8a49548ff7c97037ea983b
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sat Oct 21 11:23:44 2017 +0200

    Parse multiline responses to CAP LS
    
    The parsing logic isn't too elegant because of the optional parameter
    used for signaling if a response has a continuation one.

commit 57827ca743e95a6b6ad830fab03f46efaf1d9069
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sat Oct 21 10:44:53 2017 +0200

    Don't free the hash table if there's none
    
    Glib doesn't like that and shows a harmless warning.

commit d21706e1cc78284d5e7b2d69ebe4873e459d0e9b
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sat Oct 21 10:35:49 2017 +0200

    Factor out the parsing function
    
    This is also needed for CAP NEW and CAP DEL.

commit 98836f8b7ee058c32d54562903676c4d16f83aa4
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sat Oct 21 10:21:03 2017 +0200

    Parse the K/V form in CAP LS
    
    This is a prerequisite for the IRC v3.2 compliance.

commit 0d5e353ef1be253106ed66417b270d03b2b91ed3
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Jan 7 11:43:13 2018 +0100

    Reword warning message
    
    Include multiplexer name in TERM recommendation

commit d85f86726115a2f80d878254dd9773470d6dd9c1
Merge: e7cce90e b111f038
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Jan 7 11:24:00 2018 +0100

    Merge pull request #805 from ailin-nemui/exec-empty
    
    fix /exec -o for blank lines

commit e7cce90ec07d2a65d2f5aa561c30b464a88f646f
Merge: e75ee2f7 3c7185c5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Jan 7 11:23:42 2018 +0100

    Merge pull request #804 from ailin-nemui/patch-1
    
    handle an already used nick different from the one we send

commit e75ee2f74cd8b3de2f28e7b9b8e8b3da90f5c608
Merge: c8012b2e 466d0742
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Jan 7 11:23:22 2018 +0100

    Merge pull request #746 from ailin-nemui/hide-lines
    
    Add method to hide lines in a view

commit f9c8365999c5319be6970dcf27f21190b0481314
Author: dequis <dx@dxzone.com.ar>
Date:   Sun Jan 7 01:44:48 2018 -0300

    fe-common-core: fix redeclaration of server_tag_len

commit 0aafd011c0adc58ddf43783764b96fdd74578243
Author: dequis <dx@dxzone.com.ar>
Date:   Fri Jun 23 21:53:16 2017 -0300

    Add a startup warning if the TERM var is wrong inside tmux/screen
    
    One of the most common and confusing issues we get in #irssi,
    this should help identifying and mitigating it.

commit 121a4971e61176e326ee3d2f71867e87732f4519
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Jan 6 20:17:51 2018 +0100

    Update fe-common-core.c
    
    fix mixed decls

commit 4d5982f07d7f32585c00f1d6cca3fb425183140f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Jan 6 20:02:31 2018 +0100

    Update fe-common-core.c

commit ded4e4d98df3c8df20119574c145fe1a736ee994
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Jan 6 01:05:35 2018 +0100

    fix redraw

commit 63d8e884ddb970d6a8b5c6a7a546f0283d38a055
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue May 9 15:05:03 2017 +0200

    fix some more

commit 4e71a1f485d9a546cb92ad94e8918a2363a88b03
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Apr 25 00:42:53 2017 +0200

    sideways split support for Irssi
    
    warning:
    
    * may be buggy
    
    This commit adds support for sideways splits into Irssi. To that regard,
    there are a number of new commands available
    
    the "R" commands:
            /window new rsplit - make a new sideways split
            /window rshow - show an existing window to the right
            /window rgrow/rshrink/rsize/rbalance
             - manipulate the size of your sideways split windows
    
    the "D" commands:
            /window dup/ddown/dleft/dright
             - navigate the windows directionally, as an alternative to
               /window up/down that you can bind to some key
            /window move dleft/dright - the same for moving
    
    Enjoy!

commit 451019d05dfabbac2463f0d835c5113ac140c5c4
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri May 5 14:45:13 2017 +0200

    make format_real_length left-collecting

commit 6e6a96d8c1eb8a51404d34809382e54eea46a9f7
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jan 5 23:05:39 2018 +0100

    fix uaf in signal path

commit b111f038ddb7b5079f9901dd282fd4733390b1ba
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jan 5 23:15:24 2018 +0100

    fix /exec -o for blank lines
    
    since it is not allowed to send nothing, instead of spamming the status window
    with error, send " " instead
    
    Fixes FS#902

commit eb18904840cc7d4a6830bf0711f4682af50f1abc
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jan 5 22:13:23 2018 +0100

    fix crash in notifylist

commit 3c7185c5ad61de24f9d1bc39240c8145665fba44
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jan 5 00:38:54 2018 +0100

    Update irc-nicklist.c
    
    move altnick check before the nick correction code

commit c8012b2e574c6e1e25cf20ed31182323a492a98e
Author: Ailin Nemui <ailin@z30a.localdomain>
Date:   Fri Jan 5 00:32:03 2018 +0100

    Merge tag '1.0.6' into integrate/1.0.6

commit 9df3d92598108b6e68fcc5521cd1fab8462d7ec5
Merge: e405330e 7bed7816
Author: Nei <ailin.nemui@gmail.com>
Date:   Thu Jan 4 22:29:29 2018 +0000

    Merge branch 'security' into 'master'
    
    Security
    
    Closes GL#18, GL#19, GL#20, GL#21
    
    See merge request irssi/irssi!29

commit 7bed781622c8e336bc7c739109c0a07bf3a9c8e3
Merge: f5c3995f 54d45362
Author: Nei <ailin.nemui@gmail.com>
Date:   Thu Jan 4 22:19:39 2018 +0000

    Merge branch 'fix-gl-20' into 'security'
    
    do not record topic change time when sender is blank
    
    See merge request irssi/irssi!25

commit f5c3995feaf70b06225f6af4a126ba33adcd4f6c
Merge: 94f0cbe3 7a83c637
Author: Nei <ailin.nemui@gmail.com>
Date:   Thu Jan 4 22:19:34 2018 +0000

    Merge branch 'fix-gl-21' into 'security'
    
    check if \\c is complete in eval
    
    See merge request irssi/irssi!26

commit 94f0cbe34a2089d00ba1bf61e9c2b28318f953b9
Merge: cf70fcd4 2361d4b1
Author: Nei <ailin.nemui@gmail.com>
Date:   Thu Jan 4 22:19:29 2018 +0000

    Merge branch 'fix-gl-19' into 'security'
    
    rewrite completion code and check for direct match of separator
    
    See merge request irssi/irssi!27

commit cf70fcd4b9b035e600462e8e5fa895c82741e721
Merge: e405330e cc17837a
Author: Nei <ailin.nemui@gmail.com>
Date:   Thu Jan 4 22:19:21 2018 +0000

    Merge branch 'fix-gl-18' into 'security'
    
    disable variable arguments code
    
    See merge request irssi/irssi!28

commit c9b3d87eb7ef2ce99f659d7e567fc83629439142
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 3 12:26:02 2018 +0100

    Postpone server cleanup until after unref
    
    Add a new signal, server destroyed, that is supposed to run the clean up
    tasks of server disconnected. This is so that some structures will stay
    around longer.

commit 6b0e14099655bf4d94a19dff252cce89b2858c93
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Jan 4 23:01:28 2018 +0100

    show destroyed event

commit bffced54981c191f5bac4f9611e4691fe442e58c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Jan 4 21:11:00 2018 +0100

    Update test-796.c
    
    odd space

commit 3b7b868bb11faf74c872ecf606c4eef189e31725
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Jan 4 16:43:58 2018 +0100

    finish test case

commit c7cd49f8d7e83302c0f21f4449cddac528d28eea
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Jan 4 16:18:07 2018 +0100

    first bug case, exposes broken server object in chat-completion

commit 5bddfe7b7336f6b48408c72955dbcb664cc4dc97
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Jan 4 14:29:57 2018 +0100

    add new test skeleton

commit cc17837a9b326ec9100a35981348fa0f5d6316fa
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 3 15:51:51 2018 +0100

    disable variable arguments code

commit 2361d4b1e5d38701f35146219ceddd318ac4e645
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 3 15:35:18 2018 +0100

    rewrite completion code and check for direct match of separator

commit 7a83c63701b7395ee6cc606905314318eef77971
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 3 14:09:48 2018 +0100

    check if \\c is complete in eval

commit 54d453623d879ea83d0818a80bd14151192953ec
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jan 3 12:45:43 2018 +0100

    do not record topic change time when sender is blank

commit e405330e04dc344797f00c12cf8fd7f63b17e0e4
Merge: 48e909dd 7605f67f
Author: Nei <ailin.nemui@gmail.com>
Date:   Wed Jan 3 10:35:58 2018 +0000

    Merge branch 'uaf-modify' into 'master'
    
    Prevent a UAF error during the execution of some commands
    
    See merge request irssi/irssi!24

commit 15705432e1fb88d9f784cb3fc12c89f8f9164043
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Tue Jan 2 20:22:38 2018 -0500

    Remove outdated comment

commit ef07b3c60c80a828f529a2075246185d7d0b5b25
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Tue Jan 2 20:21:07 2018 -0500

    Remove redundant if case

commit 48e909dde758efe19d4cd707b742370a042d0559
Merge: ba6681de b0637ad6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Dec 11 23:48:23 2017 +0100

    Merge pull request #766 from horgh/horgh/mode-parsing
    
    Fix MODE parameter parsing

commit ba6681de84f1a237484eb42691ac64897c3b380e
Merge: 02aa8ee8 58557d18
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Dec 8 12:03:13 2017 +0100

    Merge pull request #793 from ailin-nemui/tests
    
    Add tests for mode parsing

commit 58557d18c49c11cd4a4de44c5a9e7c00f2d8f880
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Dec 7 12:08:20 2017 +0100

    add separator in travis.yml

commit 8b34871ea67c420b045ead9e317b67a247c02aae
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Nov 29 14:40:40 2017 +0100

    make travis pass despite failures

commit eb9e2ed6fdacc3fa262b4907de51dea3f12be5fe
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Nov 28 11:00:46 2017 +0100

    Update test-irc.c
    
    Fix wrong array (missing an s)

commit d6458304d7dba0644fb4b682e09baf0acebdbb97
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Nov 26 21:23:51 2017 +0100

    mess with travis

commit d932e6e4b78383e0874721a76a8480a9a7e03667
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Nov 26 21:10:49 2017 +0100

    add test case for format_real_length

commit 43d06369bf8e5c5e470dc2b00656ddcdb9ee0480
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Nov 26 21:10:07 2017 +0100

    move fixtures to outer scope

commit c20eddeb385974d6f46494e71ab63d4493df119b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Nov 26 16:19:31 2017 +0100

    add glib testing TAP utilities

commit 1328e1ba08430b0eaa589919272d732bb84a6921
Author: Will Storey <will@summercat.com>
Date:   Sat Oct 21 20:01:04 2017 -0700

    Add a test program to test mode parsing
    
    This uses GLib's testing framework. It is to test the changes to the
    mode parsing for #603.

commit b0637ad6ea8784d3b2be829ca40f9dddf0c049fc
Author: Will Storey <will@summercat.com>
Date:   Sat Dec 2 10:09:52 2017 -0800

    Update NULL comparison style and be C89 compatible

commit 02aa8ee8bb7befc3c91f4b0fdfa17e4d721ba8d0
Merge: 117f6662 2b918fd9
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Nov 30 14:33:51 2017 +0100

    Merge pull request #795 from ailin-nemui/no-mixed-decl
    
    check for declaration-after-statement on travis

commit 117f6662588332a56e0b1b9f2089cb4e2be5c8dd
Merge: 5637a8df ba3c5801
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Nov 30 11:41:19 2017 +0100

    Merge pull request #784 from LemonBoy/clangfmt
    
    Turn the style guide into a clang-format file

commit 2b918fd9b8438eeef8f33556723140263e36f731
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Nov 30 11:17:05 2017 +0100

    move decls before code

commit b332d448f7e3c7e4b40ea4a08932d0bd46007bbf
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Nov 30 11:15:47 2017 +0100

    fix comments

commit b2ca8c04778866bd07cf1b612adf0df55f45b78e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Nov 29 15:53:12 2017 +0100

    check for declaration-after-statement on travis

commit 1a49787ef25103d1a393c81e35fb949322fe0523
Author: Will Storey <will@summercat.com>
Date:   Mon Nov 27 19:37:11 2017 -0800

    Revert initializing pointers to NULL
    
    To maintain C89 compatibility

commit 5637a8df4305576a402f2dd272252835d4e84bb5
Merge: 3792bc9b 47400d40
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Nov 26 15:18:43 2017 +0100

    Merge pull request #790 from ailin-nemui/mirc-colour
    
    reset colour at comma, like mIRC

commit 466d074200e4893f57c4c716c746e8549af65339
Merge: 8dfeca57 3792bc9b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Nov 26 00:31:01 2017 +0100

    Merge branch 'master' into hide-lines

commit 3792bc9ba95b8b9fd12ad60b86b8bbb06e913dc1
Merge: 4e8c1548 5da0b73a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Nov 26 00:28:58 2017 +0100

    Merge pull request #762 from ailin-nemui/global-history
    
    allow access to global command history when using a specifc history

commit 47400d405a0680bfe4d69ce8b06ecbfd09931999
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Nov 20 14:17:15 2017 +0100

    Update formats.c
    
    remove now useless check for ,

commit ba3c5801a4bb175fe1e0d0fd273ae15318dd2b03
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Nov 16 13:50:48 2017 +0100

    Update .clang-format
    
    do not indent case deeper

commit 3acc72f842a021ffcff8809c1f245ca614f68598
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Nov 15 16:33:06 2017 +0100

    reset colour at comma, like mIRC
    
    Fixes #742 and #740

commit 4e8c1548e01c15a9934b1a2d02ce2396ab859957
Merge: 933fac7e 02c677f4
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Nov 15 16:28:22 2017 +0100

    Merge pull request #786 from ailin-nemui/show-inital-nick
    
    show initial nick and name on first start

commit 933fac7e9d4d1cea93887cb38bab51c938a8c687
Merge: 7e619ed9 66b2c9bc
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Nov 14 08:50:06 2017 +0100

    Merge pull request #788 from LemonBoy/fix-787
    
    Keep a copy of the strings coming from the config

commit 7605f67f95b6ee1ac26dd8fb7f3121f319497943
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sat Nov 11 12:37:51 2017 +0100

    Prevent a UAF error during the execution of some commands
    
    Some arguments were free'd first and then printed, leading to gibberish
    being output to screen or a crash.
    
    Found by Joseph Bisch.
    Closes: !GL17

commit 596fa6b51ed2ab6be80041684ad805f7b22256ac
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sat Nov 11 09:14:41 2017 +0100

    Take into account Nei's suggestions

commit 02c677f467b398f8b91b1e90544502ff98a6e0da
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Nov 10 22:02:36 2017 +0100

    use enum

commit 66b2c9bc91a3b6e34ba59491c95747db75d21c6b
Author: LemonBoy <thatlemon@gmail.com>
Date:   Fri Nov 3 16:37:04 2017 +0100

    Keep a copy of the strings coming from the config
    
    The "HILIGHT_REC" structure used to keep a pointer to the "servertag"
    string, owned by the "CONFIG_NODE", causing a double-free.

commit 532527ffa6a5eaccdbf607a2dc3d0e6ef884fce9
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Thu Nov 2 11:56:53 2017 -0400

    Use gchar and g_strndup in fe-fuzz

commit f4b89044f075038d29089435f7620a068507d80e
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Thu Nov 2 11:48:30 2017 -0400

    Fix malloc parameter in fe-fuzz
    
    It is fairly safe to assume that sizeof(char) will always be 1 anyway
    and replace the size calculation with a comment explaining the
    calculation.

commit f9d69597ef1e204640d5ce104061717aca0d213a
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Thu Nov 2 11:44:57 2017 -0400

    Remove unnecessary malloc cast in fe-fuzz
    
    We compile this as C code, so the cast is unnecessary.

commit 60c31219a278330498e695e4d7fca05ea69962e4
Author: Jari Matilainen <jari.matilainen@istone.se>
Date:   Tue Oct 24 12:02:30 2017 +0200

    Allow selection of what kind of activity targets to ignore
    
    Initialize tagtarget on declaration
    
    move code around for better flow, extra checks for uninitialized values
    
    remove unnecessary item->type checks
    
    don't strdup sign
    
    add braces around if statements, use strcmp0 with single characters and remove g_str_has_prefix
    
    refactoring
    
    changed g_ascii_strcasecmp to g_strcmp0
    
    Add networktag/ shorthand
    
    fixed memory leaks
    
    changed from #@= to ::channels, ::queries and ::dccqueries
    
    check for empty string and continue; if found
    
    fixed bug with empty string check
    
    Clean up code

commit 56013367983b61d8ee4d2e905767ce50b25ffb82
Author: LemonBoy <thatlemon@gmail.com>
Date:   Mon Oct 30 09:39:16 2017 +0100

    Turn the style guide into a clang-format file

commit 4d6822b1c43d876856a5df07ce69fb4e67c3591a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Nov 1 15:52:45 2017 +0100

    up abi

commit b0fa4dd46d8bf1cf63880fabf2105dd9134100df
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Nov 1 15:48:35 2017 +0100

    show initial nick and name on first start

commit 7e619ed990503faf45fc1ae1e28a3a6062dc7532
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Oct 30 16:54:32 2017 +0100

    Update README.md

commit ac642806b98f6dd51624b7cda2fa2bd561fbf347
Merge: cfa51c5a 96c7f68b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Oct 26 16:35:57 2017 +0200

    Merge pull request #781 from ailin-nemui/syncdocs
    
    remove lynx from autogen and make a separate syncdocs script

commit 96c7f68b3579ae5f83b635d946dc705d6322a16c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Oct 26 16:15:25 2017 +0200

    clean up file path after move

commit 8c0e0c81ee79684201020f843eeb0a4d656ed14c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Oct 25 16:23:14 2017 +0200

    run syncscripts.sh

commit ca3498d42d29383024382b0eb983f97ab4e6b614
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Oct 25 16:22:57 2017 +0200

    move some files into subdirs

commit 8843d4f77d8e829135e2ff9b354990134c58c46a
Author: Will Storey <will@summercat.com>
Date:   Sat Oct 21 20:00:25 2017 -0700

    Strip : from <trailing> parameters
    
    This is to fix #601. The function used to extract the mode string
    assumed that ":" would only occur in a particular spot. This lead to the
    possibility that ":" could be treated as part of things like nicknames
    or mode arguments, where it should have been stripped as part of
    protocol escaping.

commit 9a3c0bce48d3f172d5638ecb37967528812129b1
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Oct 24 22:22:39 2017 +0200

    add a script to sync scripts as well

commit 245bd5579cc680e8eeba4769da87bccb8a4d0de3
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Oct 24 22:12:34 2017 +0200

    remove lynx from autogen and make a separate syncdocs script

commit 87550541e745627cc78507ce573d68b8453959c9
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Oct 24 22:04:13 2017 +0200

    fix key length checker to actually do some work

commit 84fc92635acd4d513049794fdbc574b79ac1c5d5
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Tue Oct 24 13:27:11 2017 -0400

    Add event_get_params to fe-fuzz

commit cfa51c5ae2c06f4b93f443c986ec0bc316c860a4
Merge: 816df6d1 233be9f5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Oct 23 14:29:34 2017 +0200

    Merge pull request #770 from horgh/horgh/rm-unused-function
    
    Remove a couple unused functions

commit 816df6d153e937734bdac258ad6bf43173361451
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Oct 22 15:38:54 2017 +0200

    Merge tag '1.0.5' into integrate/1.0.5

commit d17d71f5472bcf76270fbc23122a1ce5d47107f2
Merge: 54aceeca 0557a2cb
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Oct 22 15:32:27 2017 +0200

    Merge branch 'master' into HEAD

commit 54aceeca089f6a97a6b7324b9107ff35192af31c
Merge: 28d0b8c7 956bc592
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Oct 22 10:59:50 2017 +0200

    Merge pull request #777 from horgh/horgh/readme-typo
    
    Fix a typo in the readme

commit 956bc592a94d5f4cce03f5762f1976d98de637ef
Author: Will Storey <will@summercat.com>
Date:   Sat Oct 21 22:00:11 2017 -0700

    Fix a typo in the readme
    
    Also uppercase Irssi in a couple places, and escape an argument not
    shown due to looking like an HTML tag

commit 0557a2cb7c03483012b1557ccb0b23fe0becc264
Merge: 28d0b8c7 495bdd11
Author: Nei <ailin.nemui@gmail.com>
Date:   Fri Oct 20 13:31:26 2017 +0000

    Merge branch 'security' into 'master'
    
    Security
    
    Closes GL#12, GL#13, GL#14, GL#15, GL#16
    
    See merge request irssi/irssi!23

commit 495bdd11cf37630547647ebc751693ace351dddf
Merge: c46bed1e 45dfe2ba
Author: Nei <ailin.nemui@gmail.com>
Date:   Fri Oct 20 13:23:28 2017 +0000

    Merge branch 'fix-16' into 'security'
    
    Prevent a OOB read when parsing IRCNet ! channels
    
    See merge request irssi/irssi!22

commit c46bed1e17185d4a20a0f382cf5253bf91829543
Merge: 3c2ae680 0840eaec
Author: Nei <ailin.nemui@gmail.com>
Date:   Fri Oct 20 13:16:27 2017 +0000

    Merge branch 'fix-gl-15' into 'security'
    
    Don't proceed with cmd_msg if there was an error splitting msg
    
    See merge request irssi/irssi!21

commit 3c2ae68073de310063e43408e46f8d67cbc9aabd
Merge: f4c8018c 9f0dc476
Author: Nei <ailin.nemui@gmail.com>
Date:   Fri Oct 20 13:14:47 2017 +0000

    Merge branch 'fix-dcc' into 'security'
    
    fix dcc
    
    See merge request irssi/irssi!20

commit 0840eaec7bf56740029aae614e393f8cf76f6946
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Wed Oct 18 14:52:04 2017 -0400

    Make split functions return an array with NULL instead of NULL
    
    This avoids undefined behavior in functions that call these split
    functions and expect an array back instead of just a NULL pointer.

commit f4c8018cfbd92ebf98a3bfbdd7e146e1e60130cc
Merge: e37d9b24 2edd816e
Author: Nei <ailin.nemui@gmail.com>
Date:   Fri Oct 20 13:12:27 2017 +0000

    Merge branch 'fix-gl-13' into 'security'
    
    Fix use after free when channel is destroyed inbetween being synced
    
    See merge request irssi/irssi!19

commit beb2beba3b4802c6969a5595197e25e7a5483fa3
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Wed Oct 18 14:33:02 2017 -0400

    Revert "Don't proceed with cmd_msg if there was an error splitting msg"
    
    This reverts commit bd83852d646de28f2e0fe01efe7c9236aa4074d4.

commit e37d9b24979e20d03478a9d355eb7fc7ff8d246f
Merge: 28d0b8c7 00c80cb6
Author: Nei <ailin.nemui@gmail.com>
Date:   Fri Oct 20 13:10:39 2017 +0000

    Merge branch 'fix-gl-12' into 'security'
    
    fix out of bounds read in compress_colors
    
    See merge request irssi/irssi!18

commit 73d7b9d7753d35c63f24defe6d26c7c06ffa3cce
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Mon Oct 16 16:21:10 2017 -0400

    Don't proceed with cmd_msg if there was an error splitting msg
    
    There may be cases (such as if target or server->nick is very long)
    where the split_message function returns NULL, indicating an error. To
    avoid a potential segfault, we now check to see if splitmsgs is NULL.

commit 9f0dc4766c7aa80e34aa2cde94323fb49971abdf
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Oct 13 17:54:57 2017 +0200

    fix dcc issue

commit 45dfe2ba3889c5dc23a9bea3214f158cc651a043
Author: LemonBoy <thatlemon@gmail.com>
Date:   Thu Oct 19 11:17:56 2017 +0200

    Prevent a OOB read when parsing IRCNet ! channels
    
    Make sure the string has enough data.
    Fixes #16

commit 28d0b8c74602db0474c78ccbe17ae1ba03fcf665
Merge: 7b97edf9 7b94015f
Author: LemonBoy <LemonBoy@users.noreply.github.com>
Date:   Wed Oct 18 12:00:56 2017 +0200

    Merge pull request #771 from paultownsend/issue-120
    
    Add alternate_nick as a network-specific property

commit 7b94015f8f3a7f9f9348a57243632a98cb5e2a56
Author: Paul Townsend <pt@mindvox.org>
Date:   Sat Oct 14 17:42:45 2017 +0100

    Changes based on comments in pull #771.

commit 233be9f580290ff3efa66e6256e46303b01781da
Author: Will Storey <will@summercat.com>
Date:   Fri Oct 13 18:30:57 2017 -0700

    Mark net_ip_compare() deprecated

commit da59fd7c2dd0641f623db2c67a244ddca3013d65
Author: Will Storey <will@summercat.com>
Date:   Fri Oct 13 18:28:26 2017 -0700

    Revert "Delete unused function net_ip_compare()"
    
    This reverts commit cb5f3cba1f2b5dbad67bcc107f3fe4a1875cc52d.

commit 7b97edf9d1de8c270e4482c85d142303e07525c9
Merge: b2865d6b 174adee9
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Oct 13 17:14:47 2017 +0200

    Merge pull request #769 from horgh/horgh/error-check-server-connect
    
    Set host to an empty string on error

commit b2865d6bcc5a18841cf1aaf9b05b56e9717026c0
Merge: 016fd344 711b2d7d
Author: Edward Tomasz Napierała <trasz@freebsd.org>
Date:   Fri Oct 13 10:33:43 2017 +0100

    Merge pull request #772 from trasz/capsicum
    
    Merge a bunch of Capsicum-related tweaks.

commit 711b2d7df7da4a3010214909ed1b260c55f6befa
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Wed Oct 11 23:53:41 2017 +0100

    Document that one needs to change the awaylog_file path for "/away"
    to work with Capsicum.

commit 9895e7b28a3767bbe4430cbffd3662b4ef92b37f
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Wed Oct 11 23:52:36 2017 +0100

    Silence down a warning that would appear on "/away" in Capability mode.

commit 5c0b4aeb0572827877654b65bb05fb7b37a3117a
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Wed Oct 11 23:31:26 2017 +0100

    Sort Capsicum headers.

commit 1e66cbd62e231f8ae47589cf4f1c0c6c62bb7ca8
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Wed Oct 11 23:13:06 2017 +0100

    Improve Capsicum stdio limits to fix terminal state on exit.

commit 87955b69cb82314becf1aa9f66c707705f517d0f
Author: Paul Townsend <pt@mindvox.org>
Date:   Wed Oct 11 21:33:14 2017 +0100

    Add alternate_nick as a network-specific property.

commit 17b195021dc35b95b24c1cce6f2e891e0e6b85ec
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Wed Oct 11 14:34:38 2017 +0100

    Bump default capsicum_port_max to 9999.
    
    This is needed for servers like ssl.efnet.org, which, per default
    config, listen on 9999.

commit 174adee9dd91c23615f79b979b3b3c5f72ad1240
Author: Will Storey <will@summercat.com>
Date:   Tue Oct 10 18:21:05 2017 -0700

    Always initialize the host string
    
    This also removes a wordy comment

commit b8b90c76d4ea87d7e50c2a34fbc36ab732e3e89e
Author: Will Storey <will@summercat.com>
Date:   Mon Oct 9 13:20:44 2017 -0700

    Delete unused function net_connect()

commit 3b3939b146bb2f80182d572a2afc08ba405037a1
Author: Will Storey <will@summercat.com>
Date:   Mon Oct 9 13:14:59 2017 -0700

    Delete commented out CYGWIN define

commit cb5f3cba1f2b5dbad67bcc107f3fe4a1875cc52d
Author: Will Storey <will@summercat.com>
Date:   Mon Oct 9 13:14:34 2017 -0700

    Delete unused function net_ip_compare()

commit 4ccff71f678f79da71713a29d8528812379bb584
Author: Will Storey <will@summercat.com>
Date:   Mon Oct 9 12:50:04 2017 -0700

    Set host to an empty string on error
    
    While investigating #317, I noticed that it was possible we would access
    an uninitialized buffer due to failing to check the return value of
    net_ip2host(). This is done in several places. To make such uses safe,
    set the host buffer to an empty string on error. It is possible callers
    could be improved by handling the error in each spot, but this gives us
    some safety.

commit 2edd816e7db13b4ac0b20df9bf7fe55ee7718215
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Sun Oct 8 22:02:44 2017 -0400

    Fix segfault in query_remove_all
    
    It is possible for rec to be NULL in query_remove_all, resulting in a
    segfault. So return without doing anything if rec is NULL.

commit 49ace3251b79a9e97c6e4d0bc640f9143dc71b90
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Oct 8 19:47:50 2017 +0200

    fix uaf in chanquery module
    
    the chanquery needs to be removed in any case if a channel rec is
    destroyed, regardless of any state
    
    Fixes GL#13

commit 016fd344362ddcc4b1a0781df9ac2416acc54e69
Merge: 92dbb189 4b42eca7
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Oct 8 18:50:19 2017 +0200

    Merge pull request #763 from rbisewski/master
    
    Improvements to statusbar documentation and help text.

commit 00c80cb6fcca40cfc421fe3fc181115ac4907191
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Oct 7 20:45:13 2017 +0200

    fix out of bounds read in compress_colors
    
    Reported by Hanno Böck.
    
    Fixes GL#12

commit 40ae8f5fa67cb7ec529f9fea5816fb8804c9bba8
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Sat Oct 7 03:28:02 2017 +0100

    Limit capsicum rights to stdio.
    
    This requires FreeBSD fix (https://reviews.freebsd.org/D12622)
    to work properly.

commit 5da0b73a12b3b319a2c7d6b18657ec13d52b6476
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Oct 6 15:31:59 2017 +0200

    up abi

commit deac66f33c0fb1d6914d15ce63bde3f030a9c06d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Oct 6 15:31:52 2017 +0200

    add a key binding to erase history entries
    
    it is possible to delete the current history entry using the
    erase_history_entry key binding

commit 16d68a86ca75b73c53aa81fe6d3d36361cb35b99
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Oct 6 15:02:15 2017 +0200

    add two XSFuncs to manipulate command history entries
    
    it is possible to use Irssi::UI::Window::get_history_entries to save the
    history entries, load_history_entries to load entries into the command
    history and delete_history_entries to remove history entries (for example
    to remove history selectively)

commit 1fd285dccfd43b740e88f7f4e168132387d39843
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Oct 6 14:58:47 2017 +0200

    refactor history to use history_entries list
    
    this allows access to the global history even when a using /window history
    named or /set window_history on, and you want to recall something from one
    of the other windows' histories.
    
    usage (default): ctrl+up/down

commit 4b42eca7c57fdd3d5ded8d5b1d4c75d01fc28569
Author: Robert Bisewski <bisewskr@med.umanitoba.ca>
Date:   Fri Oct 6 07:58:27 2017 -0500

    minor word correction

commit 84bfea52af8776e13d754e2ee20387f07556fc90
Author: Robert Bisewski <bisewskr@med.umanitoba.ca>
Date:   Fri Oct 6 07:54:54 2017 -0500

    adjusting text content as per the pull-request discussion

commit 0883ff8d320be47336e05aa38cf11427bd79b3af
Author: Robert Bisewski <contact@ibiscybernetics.com>
Date:   Fri Oct 6 07:13:30 2017 -0500

    reverting changes to startup HOWTO

commit e1e632d31e1d8efc3370db76ddcc4bda200e4d31
Author: Robert Bisewski <contact@ibiscybernetics.com>
Date:   Thu Oct 5 22:47:15 2017 -0500

    correcting and expanding content of statusbar help text

commit 92dbb1895b84bc9412bea62ce11473daf4dd2618
Merge: fc8c15fc 1f7de4c3
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Oct 5 11:31:44 2017 +0200

    Merge pull request #754 from ailin-nemui/fix-752
    
    add new function to set the position in bytes

commit 1f7de4c3bd8cb03af76c14aff71fc535ce9f23de
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Oct 5 11:31:33 2017 +0200

    up abi

commit 32f33e7bb34598e8603b9f6a931ef063f6bd31f2
Author: Robert Bisewski <contact@ibiscybernetics.com>
Date:   Tue Oct 3 22:49:21 2017 -0500

    improving HOWTO document

commit 8dfeca57ede1e726de07522a87203ce13676882d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Sep 8 15:19:40 2017 +0200

    hidden lines

commit 0468c5d912fc8a89bd552611ef6243bd1c889df7
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 13 13:58:00 2017 +0200

    add new function to set the position in bytes
    
    fixes #752

commit fc8c15fcd75bf271cddf8e1d6c0db77c225dc5e5
Merge: ca1172b4 624ef4a6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Sep 15 13:40:17 2017 +0200

    Merge pull request #755 from trasz/capsicum
    
    Get rid of the zombies in Capsicum capability mode.

commit ca1172b4d0871ed23eadfe36243dd4bedde939f7
Merge: 24ad8017 36d8b974
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 13 10:32:38 2017 +0200

    Merge pull request #751 from LemonBoy/ssl-refcnt
    
    Increment the X509_STORE refcount during the connection

commit 624ef4a696fc736779c6b7af94c7e376b7033590
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Tue Sep 12 14:19:17 2017 +0100

    Get rid of the zombies in Capsicum capability mode.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 36d8b974fc42ed8eb1ff88811e09d0910ae61187
Author: LemonBoy <thatlemon@gmail.com>
Date:   Mon Sep 11 17:07:50 2017 +0200

    Restore compatibility with old OpenSSL versions
    
    Let's implement X509_STORE_up_ref on our own.

commit 96d5a4669d696d57a511119963ae5c651346e167
Author: LemonBoy <thatlemon@gmail.com>
Date:   Mon Sep 11 16:32:36 2017 +0200

    Increment the X509_STORE refcount during the connection
    
    OpenSSL doesn't increment the reference count when the store is assigned
    to a SSL_CTX.

commit 24ad80177b10093544ec07a5d6b3ed4b1bfc6fb8
Merge: be70fa5e b529e1a9
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Sep 10 19:43:59 2017 +0200

    Merge pull request #735 from trasz/capsicum
    
    Add Capsicum support

commit b529e1a9df134bbc5618752abcf19af0110b6868
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Fri Sep 1 10:39:14 2017 +0100

    Fix /back in Capsicum capability mode.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit be70fa5eb750ed337a55463c68d5a51b47d1efcd
Merge: 13471013 7086eae6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 5 10:17:22 2017 +0200

    Merge pull request #741 from LemonBoy/complete
    
    Complete filenames ending with a slash

commit 7086eae650a616615bc81e688cdfa44d444463e0
Author: LemonBoy <thatlemon@gmail.com>
Date:   Tue Aug 29 21:03:42 2017 +0200

    Complete filenames ending with a slash

commit 245a3fd4c1afb86b38eb17477a42c60c52cef793
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Mon Aug 28 06:13:28 2017 +0100

    Add docs/capsicum.txt.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 13471013f31be1e2f459dfce9bc7425800b2824b
Merge: 1ad38b27 947682e5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Aug 10 16:49:32 2017 +0200

    Merge pull request #737 from ailin-nemui/fix-733
    
    Revert "Merge pull request #452 from LemonBoy/terminfo-cup"

commit edee0ba587069a860eac43f9219f8ecfa49fe1fa
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Thu Aug 10 14:35:34 2017 +0100

    Don't error out on failure to load default certificate store.
    
    This restores the previous behaviour.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 1ad38b27e49c8d9ed32aa21ae0c8e0fb6f2d8123
Merge: 7051bd74 4bcbb411
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Wed Aug 9 10:29:10 2017 -0400

    Merge pull request #738 from trasz/master
    
    Fix indentation; no functional changes.

commit 4bcbb41113bf23b1d121ad6fbd7b86473f7fa89d
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Wed Aug 9 14:36:06 2017 +0100

    Fix indentation; no functional changes.
    
    (Take two.)
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 0c49a84ffb8d74506a13653183bfa1ef8ffd2554
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Wed Aug 9 11:06:36 2017 +0100

    Add back some ifdefs.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 7051bd744e748adb0df5d4fd1bfa15660390a3fa
Merge: 663a8e71 788e4703
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Aug 7 15:53:32 2017 +0200

    Merge pull request #736 from paultownsend/issue-684
    
    Update /CONNECT and /SERVER syntax tags (-ssl -> -tls).

commit 947682e5dde85aa5e0277c01d7fb4afc1032ea04
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Aug 7 15:24:07 2017 +0200

    Revert "Merge pull request #452 from LemonBoy/terminfo-cup"
    
    Fixes #733. The fix outlined in #452 had adverse effects for the
    following reason. The code removed the restoration path that would go on
    the code path from kill SIGTSTP. The problem is this: When Irssi is not
    running in a controlling parent (like a shell), the TSTP will in fact be
    ignored. In that case, there is no process sending a CONT either and
    thus the screen state never gets restored. Luckily, the patch in #457 is
    sufficient to prevent the problem in #450 (which lead to the development
    of #452). To that end, we do end up with potentially calling
    terminfo_cont twice but that is better than not calling it at all.
    
    This reverts commit b1ffd5f6472584aa3966746da9728c5afefcc4ce, reversing
    changes made to 9cb0419435d1ad331c1f55361a003d9682fae9a8.

commit 788e47032f9f6b7eea188a1a6e7fc1a19531c1b0
Author: Paul Townsend <paul@plik.org>
Date:   Sat Aug 5 21:02:35 2017 +0100

    Update /CONNECT and /SERVER syntax tags (-ssl -> -tls).

commit 5db6caee0d17eb125d8c7f3090c325ffbee35920
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Tue Aug 1 01:50:16 2017 +0100

    Attempt to fix build by adding the forgotten header.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 96f4fe10c6081cf441122039c39eb6422eef13e8
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Tue Aug 1 01:47:45 2017 +0100

    Change the way we load default CA certificates so it works with Capsicum.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit aeaa420ad330a528391ed149371b55581a808655
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Tue Aug 1 01:15:25 2017 +0100

    Clean up includes a bit.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 5551b4fe9504f5d5b4e81a680741cab72bec82e9
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Sun Jul 30 11:47:08 2017 +0100

    Update copyrights.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 663a8e71543787256ba4a58956521a1103be9909
Merge: 437fbef6 2907a82b
Author: LemonBoy <LemonBoy@users.noreply.github.com>
Date:   Sun Jul 30 10:06:38 2017 +0200

    Merge pull request #734 from trasz/master
    
    Don't compute log_dir_create_mode in three different places.

commit 8bb392a3f47d74cccb9e2d7e3633e3e534306968
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Sun Jul 30 01:27:33 2017 +0100

    Hook up capsicum.h and fe-capsicum.h to autotools.
    
    This hopefully fixes Travis build.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit a29eeaa9f2e85630b08fc46b3a2b8749b9719efd
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Sat Jul 29 20:04:28 2017 +0100

    Fix trailing slash handling for capsicum_irclogs_path.
    
    This is mostly an anti-footshooting measure, but still.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 7f2697d30744d1f33cf67430aa48013b8f4ae9cd
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Sat Jul 29 12:38:06 2017 +0100

    Cosmetics.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 8c04c2be14fc053bd7b5ff03b8e4ba8cb5023700
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Sat Jul 29 12:30:27 2017 +0100

    Fix build without Capsicum.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 12e2c46d6a778f131c1ca6a7134af1cd5e722dbe
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Sat Jul 29 12:28:49 2017 +0100

    Add wrappers to reduce #ifdefs.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit c00d4753aee732b5a815f12dda3c9fced41ef1f5
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Sat Jul 29 11:41:56 2017 +0100

    Restrict port range available in capability mode.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit e777ae986d64863a444132885b160ab2e9c7458e
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Sat Jul 29 10:32:24 2017 +0100

    Working autolog.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 241dd66ac11d54b37c671cd56f1320fe5b83803d
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Fri Jul 28 05:08:34 2017 +0100

    Working /log and /rawlog.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 939371aa1dfdbf11fe98648e1eafc4c95e80bb9e
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Fri Jul 28 18:44:18 2017 +0100

    Fix warnings.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 1f57ceec4c4e7c3d42f341921e36fe4aab612e57
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Fri Jul 28 18:10:45 2017 +0100

    Prevent the user from calling "/capsicum enter" twice.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 509eca76f0755e94b5981f464f9f9a882499180a
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Fri Jul 28 02:21:40 2017 +0100

    Make DNS work in capability mode.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit f4546be7ecb8a0801fb0d30415586c15d721494a
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Thu Jul 27 15:35:14 2017 +0100

    Reorder functions.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 925240155e5c0c20569bcb5fafe4d3047055768a
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Thu Jul 27 14:56:35 2017 +0100

    Config file support for "capsicum" parameter.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit cec68557aa436b4f16505d2095af02f83d154eda
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Thu Jul 27 14:20:47 2017 +0100

    /connect works - although only with IP addresses.

commit 3200c381dbcb02e99c7667bd955c90ee859d15a0
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Wed Jul 26 02:11:46 2017 +0100

    Rename to "/capability enter" and "/capability status".
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit d5d45c29b8e00c304a6b6656983cafee84fe6bc8
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Wed Jul 26 01:00:25 2017 +0100

    Add capability mode error/success messages.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 56c94570b420dea28b253af5f2c91184423acee1
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Tue Jul 25 20:15:14 2017 +0100

    Implement /cap_enter.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit f468008b25c7218a03cc0b327082d4d69d5481ef
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Tue Jul 25 19:39:15 2017 +0100

    Make autotools detect Capsicum.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 2907a82b446d9d0a25157aa4ab560b49853f80d2
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Sat Jul 29 12:32:15 2017 +0100

    Fix vertical alignment in ./configure --help output.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 2914498b291ea0ca432a320004aa3d2499e50eb5
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Sat Jul 29 10:42:53 2017 +0100

    Consistency: use FALSE instead of 0.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 08dc6734b90389c357c73544023ec614e43b0860
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Sat Jul 29 09:25:51 2017 +0100

    When rawlog open fails, there's no point in trying to write.  Don't.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 42b5e89f6e9fba17111f67441e25db38a737a3bd
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Fri Jul 28 04:49:14 2017 +0100

    Add missing diagnostics for rawlog open().
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit e08e2bd87aceafc2a34d72ca3fd362f2f2ea90eb
Author: Edward Tomasz Napierala <trasz@FreeBSD.org>
Date:   Fri Jul 28 03:56:02 2017 +0100

    Don't compute log_dir_create_mode in three different places.
    
    Signed-off-by: Edward Tomasz Napierala <trasz@FreeBSD.org>

commit 437fbef6eb8f605320841cba119d3abbb3571a75
Merge: 6552fe4c d971c029
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jul 26 10:57:05 2017 +0200

    Merge pull request #719 from LemonBoy/sasl-disable-none
    
    Setting sasl_mechanism to '' disables the auth

commit d971c0292082823182f333a412207a9a8f6ad008
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sat Jun 17 17:01:42 2017 +0200

    Allow the user to clear the sasl-related fields
    
    There was no easy way for the user to disable the SASL authentication or
    to clear the username/password once the network was created.
    Closes #718

commit 6552fe4c6cdf8ba98ee9ca33d533ba9d1765cedf
Merge: 91ec153c 2bc10386
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Jul 22 12:50:11 2017 +0200

    Merge pull request #731 from tpepin96/master
    
    Clarified ambiguous autogen.sh error

commit 2bc10386610eba0fe5741228f143e89e1acd2a7d
Author: Tristan <tpepin96@gmail.com>
Date:   Fri Jul 21 20:40:29 2017 -0400

    Clarified ambiguous autogen.sh error
    
    autogen.sh now instructs the user to install elinks or lynx if needed

commit 91ec153c7f89ed96fa592ebae7a931fe50a4bb42
Author: Ailin Nemui <ailin@z30a.localdomain>
Date:   Wed Jul 5 21:30:59 2017 +0200

    Merge tag '1.0.4' into integrate/1.0.4

commit b12f86e5e6fe576e731feab2a73325c74e980924
Merge: 5e263253 8b82d741
Author: Ailin Nemui <ailin@z30a.localdomain>
Date:   Wed Jul 5 21:18:22 2017 +0200

    Merge pull request #729 from irssi/clear-help
    
    More accurately describe clear

commit 8b82d741b79e1cbb68c9e01d85d344fa0dc817ca
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jul 5 19:39:17 2017 +0200

    Update clear.in

commit 5e26325317c72a04c1610ad952974e206384d291
Merge: 1656dc1e f67e7669
Author: Nei <ailin.nemui@gmail.com>
Date:   Wed Jul 5 14:47:30 2017 +0000

    Merge branch 'security' into 'master'
    
    Security
    
    Closes #10
    
    See merge request !17

commit f67e7669341bfe2962623a3e9bbb46f9cd9d60e7
Merge: fc361512 73b851c3
Author: Nei <ailin.nemui@gmail.com>
Date:   Wed Jul 5 14:46:42 2017 +0000

    Merge branch 'fix-11' into 'security'
    
    Correct GHashTable usage
    
    See merge request !16

commit fc3615120d7a7f48afa012159acd3dc224ecf4e3
Merge: 1656dc1e 29ebac98
Author: Nei <ailin.nemui@gmail.com>
Date:   Wed Jul 5 14:46:24 2017 +0000

    Merge branch 'fix-10' into 'security'
    
    Check return value of localtime
    
    See merge request !15

commit 5d7e54cd998ab48b1dc5d82aa74896bc9a91b705
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jul 5 14:30:11 2017 +0200

    More accurately describe clear

commit 73b851c39c11d01199e6c040749fb20e468f6c8d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jul 4 16:10:55 2017 +0200

    correct GHashTable usage

commit 1656dc1e549cfbbe330aafcd8b92177aa9a5555f
Merge: 2b209348 1fc170ee
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jul 3 09:53:09 2017 +0200

    Merge pull request #653 from ailin-nemui/regexex
    
    Enable UTF8 in GRegex

commit 29ebac987da1da2c892aed5ed329256b7bc94bca
Author: Nei <ailin.nemui@gmail.com>
Date:   Thu Jun 29 13:48:44 2017 +0000

    Check return value of localtime
    
    Fixes #10

commit 2b209348bd2a90afbe1782b0b321d99892b7002b
Merge: 28d82c8f 7354a74c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jun 23 18:00:52 2017 +0200

    Merge pull request #722 from dequis/back-to-the-future
    
    parse_time_interval: Allow negative time in settings

commit 28d82c8f639d08eac17030dba47b3e02a9158167
Merge: 9d32636e 12d671a0
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jun 23 18:00:04 2017 +0200

    Merge pull request #709 from osm/master
    
    Escape nicks during nick completion when expand_escapes is enabled

commit 9d32636ebe99d13a752cb8dad23a2c36881b0578
Merge: c5691976 f28c64a3
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jun 23 17:59:02 2017 +0200

    Merge pull request #703 from vague666/server_modify_port
    
    Allow -port <num> or irc.host.tld <num> in /server add

commit c56919768e1072985aab1377714ea5038417cd4d
Merge: 1ff2f61f 4b1c60b2
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jun 23 17:58:40 2017 +0200

    Merge pull request #721 from dequis/unexpected-exits
    
    term-terminfo: Avoid switching out of alt screen on unexpected exits

commit 1ff2f61f090a61f3bdf0bdee5c52a7907d56acfd
Merge: b483ec5f bbf8b860
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jun 23 17:58:08 2017 +0200

    Merge pull request #723 from ailin-nemui/odd_expand_escapes
    
    fix weird n-fold unescaping in expand_escapes

commit b483ec5faa76dc38f2e338f89c54a6e4cd06c764
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jun 23 12:03:05 2017 +0200

    test trusty container

commit bbf8b860747c13a478657b9070c191735d35e00a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Jun 22 09:33:33 2017 +0200

    remove const

commit 12d671a05645d67e811264d5be06d9758458452f
Author: Oscar Linderholm <osm@recv.se>
Date:   Wed Jun 21 10:40:01 2017 +0200

    Escape nicks during nick completion when expand_escapes is enabled
    
    Fixes #693

commit 02a5d1a00b4f484b4b2422785944e022810bbbb0
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jun 19 14:09:02 2017 +0200

    fix weird n-fold unescaping

commit 1fc170ee11c308fae14a06aa29f2d8e3882cf9ce
Merge: 4edfccfc 9d3cfe10
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jun 19 11:06:24 2017 +0200

    Merge branch 'master' into regexex

commit 7354a74c654f1717d08a37c2b118141655974bc0
Author: dequis <dx@dxzone.com.ar>
Date:   Sat Jun 17 14:30:37 2017 -0300

    parse_time_interval: Allow negative time in settings
    
    This splits sign parsing out of parse_time_interval_uint() so that the
    negative sign is applied outside of the unsigned context where the
    number parsing is done, and after all the checks that it's lower than
    (1 << 31)
    
    This fixes issues with settings like `server_reconnect_time`,
    `server_connect_timeout` and `lag_max_before_disconnect`, which accepted
    -1 as a valid value.

commit 4b1c60b2ecb030550716647bffb0f9dd7e97c31a
Author: dequis <dx@dxzone.com.ar>
Date:   Sat Jun 17 13:47:13 2017 -0300

    term-terminfo: Avoid switching out of alt screen on unexpected exits
    
    Perl sucks and kills the whole process when there's a version mismatch
    in Perl_xs_handshake(). Our atexit handler catches the exit and
    deinitializes the terminal, removing the error.
    
    This commit uses the 'quitting' global variable which is set when irssi
    is voluntarily quitting, and avoids sending TI_rmcup, which restores the
    original screen and makes the error invisible.

commit 9d3cfe1069b5cfaf0efb972e36695b781ecf93de
Merge: 3246001f 601be187
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jun 7 00:20:11 2017 +0200

    Merge pull request #712 from irssi/extend-list-help
    
    Update list.in

commit 3246001fb4e6800d9385b2e3e0314abd20118ce7
Merge: 5e9a3ad8 e4982653
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jun 7 00:15:45 2017 +0200

    Merge pull request #715 from dequis/lastlog-glist-performance
    
    Performance improvements for /lastlog

commit 5e9a3ad80cb1bb5b8655d5fff6ee9d1dfc4419a1
Merge: fc67fd51 52bb06cc
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jun 7 00:15:05 2017 +0200

    Merge pull request #714 from dequis/dcc-fname-gcc-warnings
    
    fe-dcc-(get|send): Fix some -Wpointer-compare with newer gcc

commit fc67fd5111ac84cd101d961fc9a5b0bc1b25613b
Author: Ailin Nemui <ailin@z30a.localdomain>
Date:   Tue Jun 6 21:06:35 2017 +0200

    Merge tag '1.0.3'

commit e498265328bd619b231ea4c985734ea43bf89696
Author: dequis <dx@dxzone.com.ar>
Date:   Mon Jun 5 18:04:20 2017 -0300

    Performance improvements for /lastlog -before
    
    This avoids the use of g_list_find() to find if a match was already
    added to the list of results, by checking the last two added matches
    instead.
    
    Checking just the last match isn't enough because a NULL match is added
    as a separator (shown as -- in the UI)

commit 0e44ea891645044f47bf3754e141045ee3b24324
Author: dequis <dx@dxzone.com.ar>
Date:   Mon Jun 5 16:05:00 2017 -0300

    Performance improvements for /lastlog with big result sets
    
    This applies to "/lastlog" with no filters (or with filters that don't
    filter a lot) and with large amounts of text in the scrollback.
    
    Test case:
    
        /exec seq 1 500000
        /lastlog -file log.txt
    
    Thanks to morning for reporting this.

commit 52bb06ccd9f9bd639a454045eba1235e4133b034
Author: dequis <dx@dxzone.com.ar>
Date:   Mon Jun 5 15:58:43 2017 -0300

    fe-dcc-(get|send): Fix some -Wpointer-compare with newer gcc
    
    The warning itself:
    
    >warning: comparison between pointer and zero character constant [-Wpointer-compare]
    
    Harmless stuff as far as I can tell.
    
    The fix adds a null check that probably isn't needed. The old code that
    compared against '\0' worked a lot like a null check so it makes sense
    to keep that, while also adding the intended check for empty string.
    
    This was visible with "/dcc close send a" showing an empty filename.
    The equivalent for get didn't show the filename in the format string.

commit fb08fc7f1aa6b2e616413d003bf021612301ad55
Merge: 31b9d115 200eb592
Author: Ailin Nemui <ailin@z30a.localdomain>
Date:   Mon Jun 5 15:12:16 2017 +0200

    Merge remote-tracking branch 'gitlab/security'

commit 4edfccfce794d4c10b2a92c02fe982bb089c6629
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jun 5 11:41:50 2017 +0200

    get rid of new_text

commit 48899a123d68051fbc73acb8ad151e89fdcb6b31
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jun 5 10:23:16 2017 +0200

    Update iregex-gregex.c
    
    add 2 comments about new_string

commit 00354c365187cecb9bc3ce3c3b3482e32d04729a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jun 5 10:10:38 2017 +0200

    Update iregex-gregex.c
    
    make helper functions static

commit f28c64a3dc1e66f9d1e49650d5b2ab15795b9e53
Author: Jari Matilainen <jari.matilainen@istone.se>
Date:   Sun Jun 4 19:47:30 2017 +0200

    Make backward compatible with ssl flags

commit 78a390f4796a97a3624feee2728018484c8485f8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Jun 4 19:03:40 2017 +0200

    abi up

commit e84adeca15084a82c04ff6c3b5c7b8941c297322
Author: Jari Matilainen <jari.matilainen@istone.se>
Date:   Sun Jun 4 17:41:38 2017 +0200

    change ternary operator to if/else statements, add default ssl port support

commit 79bbca4644cad7f2dee89c7ac6b8f9acc2c8b427
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Feb 16 22:48:13 2017 +0100

    Refactor regex and implement UTF8 mode for GRegex
    
    - with non-unicode byte to Private Use Area A mapping
    - move all ifdefs to iregex.h file only

commit 31b9d115b065570020ce9be1a1d8cd49212f70a9
Merge: 78435863 632b0ce5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jun 2 14:47:38 2017 +0200

    Merge pull request #706 from dequis/parse-uint
    
    Add parse_uint function to improve integer overflow handling

commit 784358632371008591731879f5ae20e3a0afb3db
Merge: 2d0a9b4c 1ce9e07b
Author: dx <dx@dxzone.com.ar>
Date:   Fri Jun 2 01:53:09 2017 -0300

    Merge pull request #713 from josephbisch/fix-fe-fuzz-link
    
    Use CXX for fe-fuzz linking

commit 1ce9e07be0ad33fbdac9413e9045c45e66afff37
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Thu Jun 1 23:59:19 2017 -0400

    Use CXX for fe-fuzz linking

commit 200eb5922e23050d19e0a6cf88b1d3dbc8c93110
Merge: 84503427 528f51bf
Author: Nei <ailin.nemui@gmail.com>
Date:   Tue May 30 19:39:06 2017 +0000

    Merge branch 'fix-gl9' into 'security'
    
    Fix dcc_request where addr is NULL
    
    See merge request !13

commit 84503427b072e5bb2830cd6a5b63849785587f41
Merge: 10cea616 30a92754
Author: Nei <ailin.nemui@gmail.com>
Date:   Tue May 30 19:38:19 2017 +0000

    Merge branch 'fix-gl8' into 'security'
    
    Fix oob read of one byte in get_file_params_count
    
    See merge request !12

commit 2d0a9b4ca30ab09ccf5a84d267a824e2a2059d70
Merge: aac20b15 d61c54c3
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue May 30 13:14:10 2017 +0200

    Merge pull request #711 from ailin-nemui/24bit-reset
    
    do not reset true colour bit on colour reset

commit 528f51bfbe5c65c5b24546faa244009dd5b3c586
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Wed May 17 10:08:51 2017 -0400

    Fix dcc_request where addr is NULL

commit 30a92754bb650c3dedd507d41110443142899a65
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Mon May 29 14:43:24 2017 -0400

    Fix oob read of one byte in get_file_params_count{,_resume}
    
    We can use continue to handle cases such as:
    "ab<space><space>c"

commit 601be187746234c36c407a17ca54b17c82264e1b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon May 29 11:07:06 2017 +0200

    Update list.in
    
    Add a more detailed paragraph about service bots
    
    Fixes #699
    
    I would like to add another paragraph about how freenode is
    broken and spits at you the whole list instead of empty list
    if you attempt to use network side filtering......

commit d61c54c32b6383186a8f32d852594cc4e10240d9
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat May 27 00:12:54 2017 +0200

    do not reset true colour bit on colour reset
    
    fixes #710

commit aac20b15132e0facee14bd9b721d6bfa9251a172
Merge: 10cea616 5045f476
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu May 18 15:39:02 2017 +0200

    Merge pull request #707 from mh-source/patch-1
    
    dcc.in: fixed typo 'resolved' -> 'resolves'

commit 632b0ce5e68ce32ade90382cb64fbb8d1e75090d
Author: dequis <dx@dxzone.com.ar>
Date:   Wed May 17 06:18:49 2017 -0300

    Add parse_uint function to improve integer overflow handling
    
    Originally found by oss-fuzz (issue 525) in get_ansi_color using ubsan.
    After a lot of analysis I'm 99% sure this isn't security relevant so
    it's fine to handle this publicly.
    
    The fix is mainly adding a function that does it right and use it
    everywhere. This is harder than it seems because the strtol() family of
    functions doesn't have the friendliest of interfaces.
    
    Aside from get_ansi_color(), there were other pieces of code that used
    the same (out*10+(*in-'0')) pattern, like the parse_size() and
    parse_time_interval() functions, which are mostly used for settings.
    Those are interesting cases, since they multiply the parsed number
    (resulting in more overflows) and they write to a signed integer
    parameter (which can accidentally make the uints negative without UB)
    
    Thanks to Pascal Cuoq for enlightening me about the undefined behavior
    of parse_size (and, in particular, the implementation-defined behavior
    of one of the WIP versions of this commit, where something like signed
    integer overflow happened, but it was legal). Also for writing
    tis-interpreter, which is better than ubsan to verify these things.

commit 5045f4766a72f18a3d682d1c9eeeffb40ab32569
Author: mh <mh-source@users.noreply.github.com>
Date:   Wed May 17 12:17:27 2017 +0200

    dcc.in: fixed typo 'resolved' -&gt; 'resolves'
    
    n/t

commit 0c26aeb9fc716416aa7dde2356cc59643f7cc793
Author: Jari Matilainen <jari.matilainen@istone.se>
Date:   Mon May 15 23:07:01 2017 +0200

    Make sure port is only set on /server modify if specified

commit 10cea6169694808ab2bf2caf9451cfac2db0d9da
Merge: 476f19f1 81cf8d88
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun May 14 09:44:26 2017 +0200

    Merge pull request #702 from vague666/server_modify_notls
    
    Added support for -notls and -notls_verify

commit 81cf8d8813c4226e0d9db5f776e0f6a6904813e0
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun May 14 09:43:38 2017 +0200

    Update fe-server.c

commit 476f19f1235d7d28ede002be3c7a249952124058
Merge: 689e80c0 371eb7f5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun May 14 09:40:55 2017 +0200

    Merge pull request #705 from ailin-nemui/nicklist-performance
    
    improve nicklist performance

commit 4a6fbdbe7891859ffd7b51a87147ecb6158df141
Author: Jari Matilainen <jari.matilainen@istone.se>
Date:   Sun May 14 03:01:01 2017 +0200

    Spaces to tabs

commit 371eb7f5052b9cce7efcbcc4086cd6f6716e21fd
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri May 12 16:27:33 2017 +0200

    expand macro

commit 787e192567626dab7788e54363dbccda52d5322c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri May 12 13:36:48 2017 +0200

    improve nicklist performance

commit 783458e9ba068117089d23730add317069cf6447
Author: Jari Matilainen <jari.matilainen@istone.se>
Date:   Thu May 11 14:08:45 2017 +0200

    Added code comments

commit 25f9c71f690f9fd846a39e646fbd11f715ffbfa5
Author: Jari Matilainen <jari.matilainen@istone.se>
Date:   Thu May 11 14:02:23 2017 +0200

    Allow -port <num> or irc.host.tld <port num> in /server add and /server modify

commit f060292a9cd0835dd9cc8c24a4ede67909a2b68b
Author: Jari Matilainen <jari.matilainen@istone.se>
Date:   Thu May 11 11:17:14 2017 +0200

    Added braces

commit dbde9f0fe3c9fcd7eb8e56e9b1beffb71b0607e1
Author: Jari Matilainen <jari.matilainen@istone.se>
Date:   Thu May 11 10:57:24 2017 +0200

    Added support for -notls and -notls_verify

commit 689e80c087669aa19915fd0160f6f9f1eb7e21a5
Merge: f24ad9a3 0c760b0c
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Mon May 8 13:51:38 2017 -0400

    Merge pull request #701 from josephbisch/add-fuzz-patch
    
    Add fuzz.diff for fuzzing with afl

commit 0c760b0c1bd86134fd5f55205b2ea45ba8e2f4af
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Mon May 8 13:45:13 2017 -0400

    Add fuzz.diff for fuzzing with afl
    
    Authored by dx.

commit f24ad9a36605f54ac8583ec3e223ccdfe30bb666
Merge: c890ecaf c8a19e11
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu May 4 12:31:32 2017 +0200

    Merge pull request #698 from ailin-nemui/master
    
    detect Netbsd terminfo

commit c8a19e112499c0ca1d2b07a98d68415ca1509614
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu May 4 12:27:23 2017 +0200

    detect Netbsd terminfo
    
    fixes #694

commit c890ecafa0ce3df1a339ae201598184ab1585d36
Merge: 411ace0a 40513644
Author: LemonBoy <LemonBoy@users.noreply.github.com>
Date:   Tue Apr 11 15:19:19 2017 +0200

    Merge pull request #686 from josephbisch/remove-history-wrap
    
    Don't allow command history to wrap around

commit 411ace0a15483d44b4bd0016f586108630cd5142
Merge: 3f69e718 3297fafc
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Apr 7 21:22:48 2017 +0200

    Merge pull request #688 from josephbisch/fix-687
    
    Add syntax info for completion

commit 3297fafcd9be1fc3f48557a12023a1ef20884985
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Fri Apr 7 12:54:18 2017 -0400

    Add syntax info for completion
    
    Allows syntax info to be picked up and displayed by help command.
    
    Fixes #687

commit 405136440cbfd18a39e2d5aa01c812a1247c369d
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Fri Apr 7 08:20:28 2017 -0400

    Remove over_counter
    
    We are no longer using over_counter for any functional purpose, so
    remove it.

commit 7c86575b02d4f80539bcd2da3bef8195b963fa92
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Thu Apr 6 20:27:39 2017 -0400

    Don't allow command history to wrap around
    
    This changes the behavior of the command history to avoid wrapping back
    to the bottom once the top of the history is reached.

commit 3f69e718044ac87eeb5144be6113c2be33261cd0
Merge: 590056d3 41776d71
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Apr 6 17:37:23 2017 +0200

    Merge pull request #685 from josephbisch/fix-462
    
    Fix strange history behavior when history is empty

commit 41776d71f76924664bce1562ebe37743ba0cc9b7
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Wed Apr 5 11:00:25 2017 -0400

    Fix strange history behavior when history is empty
    
    If text is being entered and then the user presses the up arrow
    followed by the down arrow, the expected behavior is to return to the
    text being entered. Prior to this commit that was not the case.
    
    Fixes #462

commit 590056d3c33a0efc126f35c7c0a7389282158855
Merge: d5e23f97 449b8a45
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Apr 4 12:27:50 2017 +0200

    Merge pull request #677 from rrebello/openssl-misc
    
    OpenSSL support detection and documentation fixes

commit d5e23f97a7f98177bedc1842430a1199785bee20
Merge: 3d4ba86a a4cc4e0a
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Fri Mar 31 20:06:14 2017 +0000

    Merge branch 'off-by-one-fix' into 'master'
    
    Fix off by one error with char_expandos
    
    See merge request !11

commit a4cc4e0ad7278835d976aa5e75ca2b42443f5bb1
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Fri Mar 31 15:37:48 2017 -0400

    Fix off by one error with char_expandos

commit 3d4ba86a91b4f246665259c1e2100f5768e89237
Merge: 966efced 2b9be6e2
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 21 15:47:16 2017 +0100

    Merge pull request #680 from Stevie-O/slow-startup-with-glib-2.49.3
    
    Fix slow startup with glib 2.49.3

commit 2b9be6e2ed446293008d0e850fd726aad30fbcd2
Author: Stephen Oberholtzer <stevie@qrpff.net>
Date:   Tue Mar 21 10:27:39 2017 -0400

    Intentation/whitespace fixes
    
    Change several instances of space-indentation to tabs, matching the
    surrounding code.

commit 70f9db3cbdc0a3c6b622e64edbd504592f921892
Author: Stephen Oberholtzer <stevie@qrpff.net>
Date:   Tue Mar 21 09:08:42 2017 -0400

    Fix delay at startup when running against glib 2.49.3+
    
    In glib v2.49.3, an optimization was made to eliminate certain
    unnecessary wakeups.  (The specific change was made in
    e4ee3079c5afc3c1c3d2415f20c3e8605728f074). Before this change, the
    first call to g_main_iteration would always complete immediately.
    In Irssi, this effectively reversed the order of the main loop, causing
    the reload_config check and the dirty_check to run *before* the first
    blocking call to g_main_iteration.
    
    With the new logic, the first g_main_iteration call now blocks,
    preventing the screen from being refreshed until the user starts typing
    or a timer goes off.  (It also delays processing of SIGHUP, but I
    expect that is not a common situation.)
    
    This commit reorders the main loop to wait at the end of the loop,
    rather than the beginning, addressing the problem.
    
    (This closes Debian bug #856201.)

commit 449b8a4589f1fcadae44387999260ed5f8c6c2bf
Author: Rodrigo Rebello <rprebello@gmail.com>
Date:   Mon Mar 20 15:47:24 2017 -0300

    Remove outdated information from INSTALL
    
    Disabling SSL support is no longer an option.

commit a720c3b5efdcd9b580110441bb22be91a4a16732
Author: Rodrigo Rebello <rprebello@gmail.com>
Date:   Mon Mar 20 13:17:42 2017 -0300

    Get back to using pkg-config to check for OpenSSL
    
    Commit 6300dfec7 removed the option to disable SSL support from the
    configure script since it became a requirement, but it also removed the
    use of pkg-config for finding the OpenSSL library and its dependencies.
    
    This had the unfortunate consequence of breaking the correct detection
    of library flags in many static linking scenarios. In some cases, for
    example, OpenSSL might have been built with zlib, which requires `-lz`
    to be passed to the linker when doing a static link of the irssi
    executable. Thus, pkg-config becomes an invaluable tool in such
    situations, since no guessing work is needed as the OpenSSL .pc file
    provides all the necessary flags.
    
    So, this commit re-inserts the PKG_CHECK_MODULES macro in the configure
    script when looking for OpenSSL. The test using AC_CHECK_LIB remains,
    but only as a last resort in case the one using pkg-config fails.
    
    Also, because the macro AM_PATH_GLIB_2_0 contains an unconditional call
    to PKG_PROG_PKG_CONFIG, the OpenSSL checks are moved so that they come
    after the Glib ones in order to avoid doubly checking for the pkg-config
    binary (PKG_CHECK_MODULES skips that check if it has been performed
    before, but PKG_PROG_PKG_CONFIG does not).

commit 966efced3c178031f5f75a1009acc0ec8f897b4a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 14 09:54:28 2017 +0100

    up abi ver

commit e2e02160cd6d65fd653f476bf5f6187cdc233c42
Merge: 440881a1 9cae98e6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Mar 11 23:11:43 2017 +0100

    Merge pull request #645 from LemonBoy/keyboard-misc
    
    Timeout feature for keys

commit 440881a129fedf9564103a05e8922cfd6c4199d4
Merge: 22bc7fcc 3930f91e
Author: Ailin Nemui <ailin@z30a.localdomain>
Date:   Fri Mar 10 18:03:12 2017 +0100

    Merge branch 'integrate/1.0.2'

commit 3930f91edcf4b1e96c9d857233d58f7cb45c8a86
Author: Ailin Nemui <ailin@z30a.localdomain>
Date:   Fri Mar 10 17:41:04 2017 +0100

    tag as 1.0.2
    
    (cherry picked from commit 2a53853f369b47e42e32e183c8109e3d63808899)

commit 22bc7fcc3906ff3dd6e3837e049d37dc352edf94
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Feb 5 21:33:19 2017 +0100

    amend forgotten fix
    
    (cherry picked from commit 0ada284a257cfb08da984a78dab24c3ddaf09ec7)

commit 24e62b0525ac852517230fa39330042325f105a5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Mar 4 21:36:00 2017 +0000

    Merge pull request #652 from LemonBoy/trailing-arg
    
    Properly check the command arguments in tail place.
    
    commit 5a92a3926fab4def4bcb7d14642b93184eeb4f71
    Merge: 647ef193a896cc8a97d9bc664a6337b8b779f3c4 e4601b4b43af6177375c90a423546d892fbf6bfd
    Rebased: e4601b4b43af6177375c90a423546d892fbf6bfd dc99f8d7a5f90eebd4c52cef8d186bf20e2a9912

commit 77b2631c78461965bc9a7414aae206b5c514e1b3
Merge: 26187d1d 7c09b728
Author: Ailin Nemui <ailin@z30a.localdomain>
Date:   Fri Mar 10 17:18:18 2017 +0100

    Merge branch 'netjoin-timeout' into 'master'
    
    fe-netjoin: remove irc servers on "server disconnected" signal
    
    Closes #7
    
    See merge request !10

commit 26187d1d30f589d10300de2798f5a3ec4b0c1a3d
Merge: d57c64ad 93c158d8
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Mar 10 17:13:20 2017 +0100

    Merge pull request #669 from dequis/expand-double-backslash
    
    expand_escape: expand double backslash as a backslash

commit 93c158d8156293bd95e4bf5bdb75cf8d44bc4eab
Author: dequis <dx@dxzone.com.ar>
Date:   Wed Mar 8 18:57:53 2017 -0300

    expand_escape: expand double backslash as a backslash

commit d57c64adeb7b251c5347212239ed0d7b7abe5547
Merge: ddba68ad 7bd1b806
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Mar 8 09:45:40 2017 +0100

    Merge pull request #667 from ailin-nemui/fix-dcc-get
    
    fix dcc get
    
    fixes #656

commit ddba68ad77365748cd1f65fd53ea3b820ebd8567
Merge: 7f4fd603 9aaa6449
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 7 23:37:23 2017 +0100

    Merge pull request #659 from ailin-nemui/foreach_dontspam
    
    make foreach send commands

commit 7bd1b80687cc97010094de0d398b429480e0a608
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 7 23:23:54 2017 +0100

    fix dcc get
    
    fixes #656

commit 7f4fd6037046ba1192bf9612c2cecd809d25b48e
Merge: 29f27cfb 62fd3ac1
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Mar 6 11:28:26 2017 +0100

    Merge pull request #666 from irssi/revert-658-dcc-autoaccept
    
    Revert "Quote the filename when dcc requests are auto accepted."

commit 62fd3ac1804d5d45bc2302ceac9ee9c7ef372e1a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Mar 6 11:27:55 2017 +0100

    Revert "Quote the filename when dcc requests are auto accepted."

commit 29f27cfb39a86094af746c1cd654d33436d29479
Merge: dc99f8d7 027acffb
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Mar 4 21:43:21 2017 +0100

    Merge pull request #658 from LemonBoy/dcc-autoaccept
    
    Quote the filename when dcc requests are auto accepted.

commit dc99f8d7a5f90eebd4c52cef8d186bf20e2a9912
Author: LemonBoy <thatlemon@gmail.com>
Date:   Wed Feb 15 14:19:36 2017 +0100

    Properly check the command arguments in tail place.
    
    A command requiring an argument and given in tail position would not
    raise an error but silently set the value to the empty string ''.

commit 7ef22687f9291ef10072cc55bc64e3db3ad5a546
Merge: 647ef193 98ead50b
Author: Nei <ailin.nemui@gmail.com>
Date:   Sat Mar 4 20:35:17 2017 +0000

    Merge branch 'd-minor' into 'master'
    
    Prevent some potential null-pointer deferences.
    
    See merge request !9

commit 647ef193a896cc8a97d9bc664a6337b8b779f3c4
Merge: fa1a0562 5c4e6304
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Mar 2 09:46:01 2017 +0100

    Merge pull request #661 from Stevie-O/master
    
    Fix Segfault when unloading a script that registers for 'script destroyed' signals
    
    Closes #660

commit 5c4e6304ce12a3c94cc58eec01d4ef45db4dabc3
Author: Stephen Oberholtzer <stevie@qrpff.net>
Date:   Tue Feb 28 23:48:56 2017 -0500

    Don't emit the script destroyed signal before script is actually destroyed
    
    The script unloading code originally worked like this:
    
    1. Destroy package
    2. Emit 'script destroyed' signal
    3. Unhook script's signal handlers
    
    If a script added a 'script destroyed' signal handler, unloading
    that script would cause the 'script destroyed' signal to be sent to the
    (already destroyed) package.  This would cause a script error, which would
    trigger a script unload, which would start the whole process over again,
    until we run out of heap or stack space and segfault.
    
    This commit simply reorders the operations so that the 'script destroyed'
    signal is sent *after* the script is fully destroyed.

commit 7c09b72848f99886964266ff531b41c69fe138f5
Author: dequis <dx@dxzone.com.ar>
Date:   Mon Feb 27 23:42:57 2017 -0300

    fe-netjoin: remove irc servers on "server disconnected" signal

commit fa1a0562916c2c8ef8f7087a59795973bf0927ac
Merge: 540639e0 15736ba5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 27 14:45:41 2017 +0100

    Merge pull request #647 from dequis/fix-early-ison-take-2
    
    notify-ison: Don't send ison before the connection is done

commit 9aaa6449a0a554c83d40b56ce0a87bd0cba8bdbf
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 27 13:43:58 2017 +0100

    make foreach send commands

commit 027acffb4208d7e6ba8e229cbf6c3dae6f5dabaf
Author: LemonBoy <thatlemon@gmail.com>
Date:   Tue Feb 21 15:54:31 2017 +0100

    Handle file names with quotes.
    
    Let's repurpose escape_string and make it more flexible by letting us
    choose the characters to escape.

commit db85ab7c90f23e00cd444728f6a5b3d1f63254df
Author: LemonBoy <thatlemon@gmail.com>
Date:   Tue Feb 21 15:17:37 2017 +0100

    Quote the filename when dcc requests are auto accepted.
    
    PR #453 forces the user to quote the filenames given to /DCC commands
    when they contain spaces but the autoget functionality didn't get
    updated so the filename was always passed without quotes.
    
    Closes #656.

commit 9cae98e6421cb454ecc9b3b48d06cce5a042bb6a
Author: LemonBoy <thatlemon@gmail.com>
Date:   Fri Feb 10 13:59:50 2017 +0100

    Execute what's left in the input queue when the timeout expires.
    
    Similar to how vim behaves.

commit 540639e0faee2dac9ff60fcf5e2ab0334a1ad5d9
Merge: e1334651 697dd19d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Feb 15 15:49:00 2017 +0100

    Merge pull request #627 from LemonBoy/ssl-expiry
    
    Check whether the client certificate is expired.

commit e1334651682d720c21c34265fc1e9af2c53dc5b3
Merge: 653c7fb0 c067f8e9
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Feb 15 15:36:53 2017 +0100

    Merge pull request #649 from LemonBoy/issue-559
    
    Do not alias /server <hostname> to /server connect <hostname>

commit c067f8e99b9332ca485bf1e1809b745878c80f4a
Author: LemonBoy <thatlemon@gmail.com>
Date:   Tue Feb 14 22:04:35 2017 +0100

    Do not alias /server <hostname> to /server connect <hostname>
    
    Closes #559.

commit 98ead50b4eea7cda4b357f1c4b19a741205c6fa4
Author: LemonBoy <thatlemon@gmail.com>
Date:   Tue Feb 14 13:38:59 2017 +0100

    Prevent some potential null-pointer deferences.
    
    Spotted by our friend scan-build.

commit 15736ba5ab63d62bfbf8c7907835e5530ba58311
Author: dequis <dx@dxzone.com.ar>
Date:   Sat Feb 11 00:07:03 2017 -0300

    notify-ison: Don't send ison before the connection is done

commit 653c7fb05a67841acd4fcc12ce1fee3be9955453
Merge: ff5dd367 28df6370
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Feb 6 12:38:20 2017 +0100

    Merge pull request #622 from ailin-nemui/starttls
    
    provide net_start_ssl api

commit 28df637055bc6f20f26ec40158f428ed4dac3c3d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 16 20:04:11 2017 +0100

    provide net_start_ssl api
    
    fixes #615

commit ff5dd3673ee6b60d95e89dd89aa3605c79a93ac1
Merge: 6e4edbc9 73e8a065
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Feb 5 22:20:31 2017 +0100

    Merge pull request #628 from LemonBoy/openssl-compat
    
    Support OpenSSL 1.1.0.

commit 6e4edbc9b67f6f9f51a5cf5435c7e09b260be864
Merge: 1cfe9652 8ec92308
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Feb 5 22:19:19 2017 +0100

    Merge pull request #639 from ear/themes-inline-doc-consistency
    
    Make themes' docs more consistent.

commit 1cfe9652a704558fa42d87d317ec821ee91f4458
Merge: aab24cf4 99e3d8a3
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Feb 5 20:21:20 2017 +0100

    Merge branch 'integrate/1.0.1'

commit 99e3d8a30bdf68775825eb79e5c29f3af12cd255
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Feb 3 20:46:20 2017 +0100

    tag as 1.0.1

commit 8ec923082737276bce122e082998928ac038bf7f
Author: Paolo <mrtnpaolo@gmail.com>
Date:   Sun Feb 5 01:03:02 2017 +0100

    Make themes' docs more consistent.
    
    Mentioning "sb-item" was misleading in that there is no such template,
    nor any occurrence of that exact string anywhere else in the source.
    
    In going from `sb-item` to `"sb"` I am following the pattern established
    in a couple of comments above:
    
            "msgownnick" specifies the styling …
            "ownmsgnick" specifies …

commit 97b182089eec8cc158313c424b453dcaa39e05af
Author: Nei <ailin.nemui@gmail.com>
Date:   Fri Feb 3 11:49:16 2017 +0000

    Merge branch 'dub-the-wub' into 'master'
    
    Prevent a memory leak during the processing of the SASL response.
    
    See merge request !8

commit ca5e9bd623862bd9a640bf8799aafa53502b79f6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Jan 21 03:52:31 2017 +0100

    Merge pull request #624 from ailin-nemui/mail_pl
    
    sync mail.pl

commit 1f42d2aa950e4d70bf4c4aebae3a7040bd710cf3
Author: LemonBoy <LemonBoy@users.noreply.github.com>
Date:   Sun Jan 15 22:33:42 2017 +0100

    Merge pull request #619 from hannob/master
    
    perl_parse needs NULL terminated parameter list.

commit d63c93ae1dbb1254a92e8e4fafc39fe8d69d00ae
Author: LemonBoy <LemonBoy@users.noreply.github.com>
Date:   Fri Jan 13 22:36:44 2017 +0100

    Merge pull request #613 from ailin-nemui/fix_completion
    
    fix regression in completion

commit 929c9477477a4ccf03626388499192d8003b96d5
Author: LemonBoy <LemonBoy@users.noreply.github.com>
Date:   Sun Jan 8 21:55:39 2017 +0100

    Merge pull request #608 from tijko/master
    
    Follow g_strsplit with call to g_strfreev

commit 3a3b34fc633fe8e045bf4b696c41857c9f8c5ba5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jan 6 17:00:09 2017 +0100

    Merge pull request #606 from or4n/master
    
    Fix syntax on /help SERVER example

commit 8dbf186ad6e808c269fa10c22444c89df63f2d7d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jan 6 16:37:09 2017 +0100

    Merge pull request #604 from dequis/solaris
    
    Add OPENSSL_NO_EC for solaris 11.3, see issue #598

commit 7c49ed2d17d2325d7bceef632ac38b66a44e8b63
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jan 6 12:44:02 2017 +0100

    Merge pull request #602 from McDutchie/master
    
    make irssi --with-perl build with separate object directory

commit 73e8a065bd24092a03c0938eb6c93fec3ee0f4d9
Author: LemonBoy <thatlemon@gmail.com>
Date:   Mon Jan 23 16:53:30 2017 +0100

    Support OpenSSL 1.1.0.
    
    - X509_get_notBefore becomes X509_get0_notBefore
    - X509_get_notAfter becomes X509_get0_notAfter
    - ASN1_STRING_data becomes ASN1_STRING_get0_data (and drops the const)
    - The whole library is now initialized by OPENSSL_init_ssl
    
    Closes #597

commit aab24cf4a4456682e82de4eb96e44472b7e237b2
Merge: 1ee25d22 19c51789
Author: Nei <ailin.nemui@gmail.com>
Date:   Fri Feb 3 11:49:16 2017 +0000

    Merge branch 'dub-the-wub' into 'master'
    
    Prevent a memory leak during the processing of the SASL response.
    
    See merge request !8

commit 1ee25d228655e4a35114c3f9d0045c5efd5597cc
Merge: 4031b92b a39e210e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 31 14:18:48 2017 +0100

    Merge pull request #590 from LemonBoy/hi-minor
    
    Minor cleanup in the highlighting signal.

commit 4031b92b9b88a0492d5f77e4d61bf31fabaf9e96
Merge: 228f487a 98435fb4
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 31 14:17:44 2017 +0100

    Merge pull request #626 from ailin-nemui/textbuffer_monospace
    
    support storing and replaying the monospace attribute in textbuffer

commit 19c51789967a2f63da033e60f6ef08848b9cd144
Author: LemonBoy <thatlemon@gmail.com>
Date:   Tue Jan 24 22:19:50 2017 +0100

    Prevent a memory leak during the processing of the SASL response.
    
    We also get rid of an allocation in the process of doing so.

commit 697dd19d887c58930c76de68268d58f2251904d6
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sun Jan 22 21:49:37 2017 +0100

    Check whether the client certificate is expired.
    
    Right now we only warn the user, the connection keeps going.
    Fixes #211

commit 228f487a69cc032b368a0ae0daea6796b7d10d6e
Merge: cb0bbe3f 876c1dd9
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Jan 21 19:51:34 2017 +0100

    Merge pull request #625 from ailin-nemui/chirssi
    
    implement break_wide

commit cb0bbe3f2a87be5365c20444bb0a83332dd30b28
Merge: 7fd3c1f5 bc1ff509
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Jan 21 03:52:31 2017 +0100

    Merge pull request #624 from ailin-nemui/mail_pl
    
    sync mail.pl

commit 876c1dd93e06b9e627918f142f547e3deea682be
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jan 20 10:32:23 2017 +0100

    implement break_wide
    
    for more pleasant east asian mixed display

commit bc1ff509d2a9dc5592e7c2cb996d0c32cde026ff
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Jan 19 21:09:56 2017 +0100

    sync mail.pl

commit 7fd3c1f50a1842152a8a9ca652154c5350f6aed8
Merge: f8a38857 6221ce52
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 16 19:15:43 2017 +0100

    Merge pull request #621 from josephbisch/fix-glib-2.0-pkg-config
    
    Fix glib-2.0.m4 so that $PKG_CONFIG doesn't break configure script

commit f8a38857069a6de21444bafdef5d779188dcc74b
Merge: 6e36ddc6 c8dafe2a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 16 19:14:54 2017 +0100

    Merge pull request #620 from josephbisch/suppress-printf-fallback
    
    Add SUPPRESS_PRINTF_FALLBACK

commit 6221ce520644efe4095bfecbc29f11c9c6962e0f
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Mon Jan 16 13:04:54 2017 -0500

    Fix glib-2.0.m4 so that $PKG_CONFIG doesn't break configure script
    
    If $PKG_CONFIG contains a space, then the test may not work, so
    surround with quotation mark characters. (for example,
    PKG_CONFIG="pkg-config --static" breaks configure before this commit).

commit c8dafe2a76f199f35e24440ca85796454717965e
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Mon Jan 16 12:56:33 2017 -0500

    Add SUPPRESS_PRINTF_FALLBACK
    
    There are some cases (such as fuzzing with fe-fuzz) where suppressing
    printf output may be desirable.

commit 6e36ddc6b7cc1b87005743da4e58bd1d3c8182be
Merge: 305b02fc 677fb1f5
Author: LemonBoy <LemonBoy@users.noreply.github.com>
Date:   Sun Jan 15 22:33:42 2017 +0100

    Merge pull request #619 from hannob/master
    
    perl_parse needs NULL terminated parameter list.

commit 677fb1f55ca52d0e43c93f7d8361d333ff5bffd6
Author: Hanno <hanno@gentoo.org>
Date:   Sun Jan 15 22:20:23 2017 +0100

    perl_parse needs NULL terminated parameter list.

commit 305b02fc63bef37a8ddf4e8cdb6b961da07b8c66
Merge: 7732bbed 17fc7756
Author: LemonBoy <LemonBoy@users.noreply.github.com>
Date:   Fri Jan 13 22:36:44 2017 +0100

    Merge pull request #613 from ailin-nemui/fix_completion
    
    fix regression in completion

commit 7732bbed5e3cc2d964d3b54f377f150f606288b2
Merge: fcd3ec46 fe1ea4b8
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Fri Jan 13 00:16:30 2017 +0100

    Merge pull request #610 from josephbisch/fe-fuzz
    
    Add frontend for fuzzing

commit fe1ea4b80a3467c23b1ec2d30bdfe4cfaf9b94d6
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Thu Jan 12 18:11:09 2017 -0500

    Fix fe-fuzz nits

commit fcd3ec467ff0e5943f34bb3a906bbe07ba6963ff
Merge: 38ea52d0 b15c27cc
Author: dx <dx@dxzone.com.ar>
Date:   Tue Jan 10 03:10:19 2017 -0300

    Merge pull request #614 from irssi/revert-605-fix-early-ison
    
    Revert "Don't reset wait_cmd during connection registration (fixes early ISON)"

commit b15c27cc63fa967f3e8fe98fdc6d093dd8692c93
Author: dx <dx@dxzone.com.ar>
Date:   Tue Jan 10 03:09:36 2017 -0300

    Revert "Don't reset wait_cmd during connection registration (fixes early ISON)"

commit abdae2d5fcc83ef73c7233da4a169ef3305c9743
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Mon Jan 9 08:19:01 2017 -0500

    Don't duplicate module-formats.* in fe-fuzz

commit 17fc77565e3278ffc19c5294be57c2467f43974b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 9 13:19:37 2017 +0100

    fix regression in completion
    
    fixes #609

commit 38ea52d09fc3c55cbbc1840a926b8c85ac1d3ae1
Merge: 7c09b72a 5917bc6f
Author: LemonBoy <LemonBoy@users.noreply.github.com>
Date:   Sun Jan 8 21:55:39 2017 +0100

    Merge pull request #608 from tijko/master
    
    Follow g_strsplit with call to g_strfreev

commit cf4690725667211bc8a8998e362c6bda24dd7528
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Sat Jan 7 20:01:07 2017 -0500

    Add frontend for fuzzing
    
    Use the following configure command:
    
    $ ./configure --with-fuzzer --with-fuzzer-lib=/path/to/libFuzzer.a \
          CC=clang CXX=clang++
    
    Places an irssi-fuzz in src/fe-fuzz/ after build.
    
    Also can specify SANFLAGS to override the chosen sanitizer flags
    (defaults to "-g -fsanitize=address -fsanitize-coverage=trace-pc-guard").

commit 5917bc6f75dd87806807d3d526826b64e8271a5b
Author: Tim Konick <konick781@gmail.com>
Date:   Fri Jan 6 21:58:00 2017 -0800

    Follow g_strsplit with call to g_strfreev

commit 7c09b72a26884bcd9711f39e2730ab09e658eec1
Merge: 808a11a1 1831a8e1
Author: LemonBoy <LemonBoy@users.noreply.github.com>
Date:   Sat Jan 7 22:00:00 2017 +0100

    Merge pull request #605 from dequis/fix-early-ison
    
    Don't reset wait_cmd during connection registration (fixes early ISON)

commit f97d5f2648bbff1103e472b952b68ea08694886a
Merge: ea7826b0 69e112fb
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jan 6 17:08:06 2017 +0100

    Merge pull request #603 from dequis/pining-for-the-freenodes
    
    NEWS: Avoid explicitly mentioning freenode in the pinning examples

commit 808a11a15078356aad767364ed2e07a9001cb6ec
Merge: a40d4492 ef9da295
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jan 6 17:00:09 2017 +0100

    Merge pull request #606 from or4n/master
    
    Fix syntax on /help SERVER example

commit 69e112fbd1b44a6f9f3380167c12bbe0f76693a1
Author: dequis <dx@dxzone.com.ar>
Date:   Fri Jan 6 11:20:49 2017 -0300

    NEWS: Avoid explicitly mentioning freenode in the pinning examples
    
    They have proper certs, so using them as an example is wrong.
    Particularly worse since they started using letsencrypt recently so
    every server has a different cert and pubkey.
    
    We'll figure out how to link this from the release notes later.

commit 1831a8e1a710decbbcae524c60cdf6216f19a121
Author: dequis <dx@dxzone.com.ar>
Date:   Fri Jan 6 12:48:27 2017 -0300

    Don't reset wait_cmd during connection registration (fixes early ISON)

commit ef9da295cdd8af0036396e7fc772fcee8a1c7c51
Author: Lasse Toimela <lasse.toimela@protonmail.ch>
Date:   Fri Jan 6 17:47:08 2017 +0200

    Fix syntax on /help SERVER example

commit a40d4492d2c26ae5a6d8e9f37f085dd76affd888
Merge: 1d621d46 752f484c
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jan 6 16:37:09 2017 +0100

    Merge pull request #604 from dequis/solaris
    
    Add OPENSSL_NO_EC for solaris 11.3, see issue #598

commit 752f484c6ce4c2aa7284b617a59a8906b269281c
Author: dequis <dx@dxzone.com.ar>
Date:   Fri Jan 6 11:47:24 2017 -0300

    Add OPENSSL_NO_EC for solaris 11.3, see issue #598
    
    Original patch by 'Slarky'
    
    According to that ticket, the next major version of solaris won't need
    this. Consider reverting this when solaris 11.3 stops being relevant.

commit 1d621d4643c20e9619de3add9747d25537cd8e31
Merge: cbb931ed c9c45e4f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Jan 6 12:44:02 2017 +0100

    Merge pull request #602 from McDutchie/master
    
    make irssi --with-perl build with separate object directory

commit c9c45e4f89bc42fec00b71c50844a946bfcc6e0c
Author: Martijn Dekker <martijn@inlv.org>
Date:   Fri Jan 6 12:24:36 2017 +0100

    make irssi --with-perl build with separate object directory
    
    irssi 1.0.0 will not build if Perl is enabled and a separate
    object code directory is used. The problem was a relative path
    to an internal Perl dependency in four Makefile.PL.in files.

commit cbb931ed1da91b2cee36f89673edd6a526d56e9a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 3 17:21:47 2017 +0100

    continue head

commit ea7826b0ec097b9fdc29336ff7fe7074052773f5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 3 16:41:41 2017 +0100

    tag as 1.0.0

commit fdd870695ba9711800d90c7f025733654a8f8620
Merge: f852ccae 33107be7
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Jan 5 13:07:30 2017 +0100

    Merge branch 'gregex-gerror'

commit 33107be74888ea08411904193f2832fcc7747692
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 3 17:04:24 2017 +0100

    fix GRegex GError problem

commit f852ccae6855e6d2bc8952aa1d081b3fc65f9ec8
Merge: 78ba0598 a96b1e43
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 3 14:39:10 2017 +0100

    Merge branch 'integrate/0.8.21'

commit a96b1e4328e910582e39b4519fbb9bb8d976888c
Merge: 78ba0598 7cac3541
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 3 14:38:02 2017 +0100

    Merge tag '0.8.21' into integrate/0.8.21

commit 7cac354161a8914712264408347a9a2882aab22f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 3 14:24:55 2017 +0100

    tag as 0.8.21

commit 6c6c42e3d1b49d90aacc0b67f8540471cae02a1d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 3 13:44:58 2017 +0100

    Merge branch 'security' into 'master'
    
    See merge request !7

commit 78ba05985d8fed883a8b26ffef4878acdae58fff
Merge: 01163710 7a112e02
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 3 13:44:58 2017 +0100

    Merge branch 'security' into 'master'
    
    See merge request !7

commit 7a112e021724af582a06eed8f92fafb772438c13
Merge: 1b99299e 01163710
Author: Nei <ailin.nemui@gmail.com>
Date:   Mon Jan 2 17:03:31 2017 +0000

    Merge branch 'master' into 'security'
    
    Sync to master
    
    See merge request !6

commit 01163710e71318c6c2fd3f797f6b878f92b7f97b
Merge: 5787e2b4 9151f871
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 3 12:45:50 2017 +0100

    Merge pull request #585 from ailin-nemui/win_seq
    
    g_sequence backing for window list

commit 5787e2b4befb61585fc312843bd7a5efd0101dce
Merge: 91f48c6f 1f72b8e6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jan 3 12:45:27 2017 +0100

    Merge pull request #412 from LemonBoy/pcre-regexp
    
    Use GLib's regexp interface (backed by PCRE)

commit 1f72b8e66a06b484dde20b6031c766a2129e0bd2
Author: Ailin Nemui <ailin@z30a.localdomain>
Date:   Tue Jan 3 12:29:52 2017 +0100

    up abi version

commit f5cbbebc2ee858e8792ab40eea6abc9fd7865a28
Author: Ailin Nemui <ailin@z30a.localdomain>
Date:   Tue Jan 3 12:04:56 2017 +0100

    switch for gregex and regex.h

commit 1b99299ed2af2ae459edbeb96f2a7b7886cc22c9
Merge: 124bcd48 7dc2f832
Author: Nei <ailin.nemui@gmail.com>
Date:   Mon Jan 2 17:01:47 2017 +0000

    Merge branch 'percent_flag' into 'security'
    
    fix %[
    
    See merge request !5

commit 124bcd48048762de9d17ff4f46df1cbfda9c1fb5
Merge: c3cca5ec 77aab790
Author: Nei <ailin.nemui@gmail.com>
Date:   Mon Jan 2 17:01:29 2017 +0000

    Merge branch '4-use-after-free-when-receiving-numeric-432-invalid-nick' into 'security'
    
    avoid server_disconnect
    
    See merge request !4

commit c3cca5ecf3bd86da5056b8d706a300422e59594b
Merge: 24d2d039 508d2e08
Author: Nei <ailin.nemui@gmail.com>
Date:   Mon Jan 2 17:01:05 2017 +0000

    Merge branch '1-null-pointer-dereference-in-irc_nickcmp_rfc1459' into 'security'
    
    bail out if nick is NULL
    
    See merge request !3

commit 24d2d039b5bed6e42727784a15e67094dde69b1c
Merge: 7daa7a6a 8007e9e6
Author: Nei <ailin.nemui@gmail.com>
Date:   Mon Jan 2 17:00:44 2017 +0000

    Merge branch '3-out-of-bounds-read-with-invalid-utf8-in-term_addstr' into 'security'
    
    Fix oob read on invalid utf8 in term_addstr
    
    See merge request !2

commit 7daa7a6aa95fc80bc82b5de60d11d03483289400
Merge: 1c669510 7b856d62
Author: Nei <ailin.nemui@gmail.com>
Date:   Mon Jan 2 17:00:15 2017 +0000

    Merge branch '2-out-of-bounds-read-of-one-byte-with-x1b-48-in-truecolor-builds' into 'security'
    
    check for end of string in ansi 48
    
    See merge request !1

commit 5dcf291f2144564363f734dba15760d3a82b61c2
Author: LemonBoy <thatlemon@gmail.com>
Date:   Thu Jun 23 13:25:23 2016 +0200

    Use the RAW flag when building the regexps.
    
    Also, plugged a memory leak when retrieving the match position.

commit 5eaead761f1812fb9d4058b2bc38468521794693
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sun Jun 19 21:08:25 2016 +0200

    Rebase against master.

commit 3fcd3cd2b9fae07a0b7cd3e5ba91049f19cc6501
Author: LemonBoy <thatlemon@gmail.com>
Date:   Fri Jan 29 16:22:14 2016 +0100

    Remove the regexp_compiled field.
    
    It was made redundant by the introduction of the pointer to the GRegex
    structure.
    Silence the compiler warning in textbuffer.c about preg being
    initialized by setting it to NULL.

commit b5a727c87cf7db944ade9c6714385f1e8598d37e
Author: LemonBoy <thatlemon@gmail.com>
Date:   Fri Jan 29 16:08:40 2016 +0100

    Remove unused references to regex.h
    
    Also remove the prototype for regex_match since it has been removed.

commit 8e5db471e4d8b052f072ce8a351222c6edb42d19
Author: LemonBoy <thatlemon@gmail.com>
Date:   Thu Jan 14 14:10:00 2016 +0100

    Use GLib's regexp interface (backed by PCRE)

commit 91f48c6f0e03e53c0968a5433d672ea966006e59
Merge: 29ad8bae 0d6add02
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 2 14:44:07 2017 +0100

    Merge pull request #586 from LemonBoy/fix-580
    
    Process the nick changes in queries before the PRIVMSG is handled.

commit 29ad8baedcf79a9ab50c2d118750969031a35042
Merge: ae48e493 0a46a166
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 2 14:39:30 2017 +0100

    Merge pull request #593 from LemonBoy/crown
    
    Welcome TheLemonMan on board

commit ae48e493506018d4545e0d8de69588bc4bba12f0
Merge: 77ff8f5b 7e22d051
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Jan 2 14:39:01 2017 +0100

    Merge pull request #594 from LemonBoy/sasl_fail_fix
    
    Make sure SASL was actually requested before failing.

commit 7e22d051ae699467575d1feeec6d8e2e2f16721f
Author: LemonBoy <thatlemon@gmail.com>
Date:   Fri Dec 23 17:59:55 2016 +0100

    Make sure SASL was actually requested before failing.

commit 0a46a1664ab2d5c914ab378d56e0d22825f06522
Author: LemonBoy <thatlemon@gmail.com>
Date:   Thu Dec 22 15:38:43 2016 +0100

    Add myself to the core team members

commit 77ff8f5b7467dceb2e2f90e0e0aa5157cbb909ec
Merge: 07050e2a 7a7f6abc
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Dec 21 15:29:26 2016 +0100

    Merge pull request #514 from LemonBoy/sasl_fail
    
    Add an option to stop the connection when SASL fails.

commit 07050e2a3cca9688dde42a38ba4f76b02e7eed8c
Merge: 1c669510 59242cb5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Dec 21 15:28:17 2016 +0100

    Merge pull request #587 from ailin-nemui/sbar_crash
    
    add assertion to statusbar_read_group

commit 9151f87145e6c9ea40192e0e7c8266eacaaa335f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 20 21:40:18 2016 +0100

    remove some for loops

commit 9a018a782c40ed9da88ae88a7f1c01265f3342de
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 20 21:36:56 2016 +0100

    sort windows_seq helpers to top

commit 03f5dc63fee7c60bb5d5c29698c975073e365b88
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 20 21:33:51 2016 +0100

    nits

commit 9004265e5417c509e55c5141d5880ebd1e1c3281
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 20 21:01:16 2016 +0100

    clean up window_refnum_{prev,next}

commit 7dc2f832c19d8b5c682f5c9abd106ab6be53bf62
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 20 16:41:57 2016 +0100

    fix %[

commit 2f59fe206233c0f45256e9e541c121f4d63385dd
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Dec 19 22:03:46 2016 +0100

    add some sequence helper functions

commit 8007e9e61d67044a6b29a266300a936e4c86fdd9
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Mon Dec 19 09:31:38 2016 -0500

    Fix oob read on invalid utf8 in term_addstr

commit 508d2e0860992d6906b5a7b73017edbaa8c94d98
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Dec 19 16:06:13 2016 +0100

    bail out if nick is NULL in irc_query_find
    
    Closes #1

commit 77aab7905791823f6ce2c19b4aaacd4231324841
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Dec 19 21:16:37 2016 +0100

    avoid server_disconnect
    
    Closes #4

commit a39e210ea8e0b0cdccb37eae212d1ade8c036ae2
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sun Dec 18 15:46:48 2016 +0100

    Minor cleanup in the highlighting signal.

commit 7a7f6abc168b571a0db4fa65c760fe6e46edf199
Author: LemonBoy <thatlemon@gmail.com>
Date:   Thu Dec 15 22:41:57 2016 +0100

    Prevent a UaF by calling server_disconnect in a signal handler.

commit 1c6695107c09e8861a696d66b029e7df62589fcd
Merge: 618c8bd1 17e42649
Author: LemonBoy <LemonBoy@users.noreply.github.com>
Date:   Thu Dec 15 19:57:57 2016 +0100

    Merge pull request #588 from ailin-nemui/mirc_99
    
    reset background for mirc colour 99

commit 0d6add02cf1a1e0dc3905a482d259a8851b4939c
Author: LemonBoy <thatlemon@gmail.com>
Date:   Thu Dec 15 15:22:30 2016 +0100

    Process the nick changes in queries before the PRIVMSG is handled.
    
    Otherwise we end up with the message in the status window since the
    frontend knows jack shit about the casemapping option when it tries to
    find the associated window for the query.

commit 7b856d628bfd6c775dfaee2138a3542ee13b1960
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Dec 15 18:01:26 2016 +0100

    check for end of string in ansi 48

commit 17e42649bb514fa0e12e094032cb27e3289204c6
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Dec 15 17:06:40 2016 +0100

    reset background for mirc colour 99
    
    fix #571

commit 59242cb595716bf34966ee71aca81e0c9a2a5284
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Dec 15 16:59:38 2016 +0100

    add assertion to statusbar_read_group
    
    fix #564

commit 365097319f2bf57d7d01c2c4c912fca124fbedf9
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Dec 13 03:04:01 2016 +0100

    manually redraw the activity list on expose only
    
    might speed up /foreach query /unquery

commit 560283ba4e4d355daa32dc970021845260d2dca9
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Dec 12 21:07:56 2016 +0100

    g_sequence backing for window list

commit 4ccffd85ffd06325687546f78b78e3e7fce575c5
Author: LemonBoy <thatlemon@gmail.com>
Date:   Thu Oct 20 21:41:36 2016 +0200

    Expose 'sasl_success' to the perl side.

commit 91c9e871c78e203aed834edd1e1f558680a6ccfa
Author: LemonBoy <thatlemon@gmail.com>
Date:   Tue Jul 12 13:59:46 2016 +0200

    Add an option to stop the connection when SASL fails.

commit 618c8bd10e45b3132d356e2f6bec290a63b8a9fa
Merge: 964f423f 7fb84b5b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Dec 8 12:29:52 2016 +0100

    Merge pull request #581 from LemonBoy/set-contract
    
    Enforce the is_node_list contract in lib-config setters.

commit 964f423fed72914fdfc1aed9993a5c63894592bb
Merge: 955cf622 c98f5f23
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Dec 8 12:11:59 2016 +0100

    Merge pull request #570 from josephbisch/fix-issue-563
    
    enforce check that chatnets are nodelists to handle invalid config

commit 7fb84b5b7d471d62333a94bc0d6e5032ede7c2c7
Author: LemonBoy <thatlemon@gmail.com>
Date:   Tue Nov 29 23:08:45 2016 +0100

    Enforce the is_node_list contract in lib-config setters.
    
    An assertion failure is better than a segfault.

commit 955cf622a558022fbd952e07b7462206743562e8
Merge: 5efb3077 0d7b3877
Author: LemonBoy <LemonBoy@users.noreply.github.com>
Date:   Tue Nov 29 22:26:45 2016 +0100

    Merge pull request #579 from mmuman/haiku-libnetwork
    
    Check for socket() in libnetwork for Haiku

commit 5efb3077d5c055475644dac8c5e0aa48b308d456
Merge: 22ce6637 6a6196ee
Author: LemonBoy <LemonBoy@users.noreply.github.com>
Date:   Tue Nov 29 22:13:53 2016 +0100

    Merge pull request #565 from ahf/bug/524
    
    Kill bell_beeps.

commit 0d7b3877e46cda8e960cab30397f15003e9c7527
Author: François Revol <revol@free.fr>
Date:   Tue Jul 22 01:39:16 2014 +0200

    Check for socket() in libnetwork for Haiku

commit 22ce6637c7acbdda27395521cc7dce23fa98b8b9
Merge: 1c0f048d 5f0e755a
Author: LemonBoy <LemonBoy@users.noreply.github.com>
Date:   Fri Nov 25 21:52:42 2016 +0100

    Merge pull request #577 from LemonBoy/flagz
    
    Minor corrections to the netsplit code.

commit 1c0f048d2cc0184105f6e2fff835be7efa633a7b
Merge: 1aff5c2c dcffa98d
Author: LemonBoy <LemonBoy@users.noreply.github.com>
Date:   Fri Nov 25 21:52:30 2016 +0100

    Merge pull request #578 from ailin-nemui/dcc_buffer
    
    add a static buffer for dcc received data

commit 5f0e755a00c7cb0e85e167cd455bb3ce16b4d14b
Author: LemonBoy <thatlemon@gmail.com>
Date:   Wed Nov 23 22:22:37 2016 +0100

    Don't shadow the 'channel' variable when printing the netjoins.
    
    This is the root cause of #567

commit dcffa98d4629ee1810900d0dde1234050e68d39e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Nov 23 16:23:35 2016 +0100

    add a static buffer for dcc received data
    
    increased buffersize might make irssi freeze less / #159

commit 7574bed26c98069945b3fbc3938819c10e65b045
Author: LemonBoy <thatlemon@gmail.com>
Date:   Wed Nov 23 16:11:38 2016 +0100

    Minor corrections to the netsplit code.

commit 1aff5c2c97b452ffdb5c59cf62f29048731b9f40
Merge: c1a28770 4cbf279d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Nov 11 12:18:35 2016 +0100

    Merge pull request #574 from lotheac/master
    
    add completion_empty_line setting

commit 4cbf279d88248d600d22b8cff474a9dc4a455b31
Author: Lauri Tirkkonen <lotheac@iki.fi>
Date:   Tue Nov 8 16:27:38 2016 +0200

    add completion_empty_line setting

commit c1a28770fb92e26bae3a37b4b6069e8c59e6390c
Merge: 1652c8a5 43934ae9
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Nov 2 13:24:21 2016 +0100

    Merge pull request #573 from ailin-nemui/master
    
    add missing inheritance to Exec item from 3532fc46

commit 43934ae9ad00d911a0347360479f15946344ffad
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Nov 1 17:08:28 2016 +0100

    add missing inheritance to Exec item from 3532fc46

commit 1652c8a561486c630e573002af7d43a34915c871
Merge: fb78787d bc4e2c9a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Oct 31 15:15:45 2016 +0100

    Merge pull request #557 from irssi/ahf/tls-pr
    
    TLS enhancements

commit c98f5f23ea6c711898288779d1d1670b81770317
Author: Joseph Bisch <joseph.bisch@gmail.com>
Date:   Thu Oct 27 11:18:37 2016 -0400

    enforce check that chatnets are nodelists to handle invalid config

commit 6a6196eebe791e193d5f625c0a87f381b4100f30
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Sun Oct 23 21:23:52 2016 +0200

    Kill bell_beeps.
    
    Fixes #524

commit bc4e2c9ade41182ff643a94bbcb72ffe86b0e67c
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Sun Oct 23 02:51:08 2016 +0200

    Shorten the certificate chain output.

commit 322625b5487527420cae0a6a1c0da8ecdc87fd4b
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Fri Oct 21 17:58:28 2016 +0200

    Only do checks for SSL_get_server_tmp_key in network-openssl.c.

commit 0a6e66f8b794de76bd48bda199977b977a377e2e
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Fri Oct 21 17:56:29 2016 +0200

    Kill do { ... } while (0); and replace it with goto's.

commit d501a54f4f256d55ae0a3cd5272d5bb8a42daee3
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Fri Oct 21 01:22:09 2016 +0200

    Emit the TLS handshake finished signal before we do verification.
    
    This patch moves the emitted "tls handshake finished" signal to before
    we do validation of the given TLS certificate. This ensures that we
    display certificate information before we possibly error out and
    disconnects from the server.

commit 5a04430998ada5ae800aa0a88638206de51287ca
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Fri Oct 21 01:17:35 2016 +0200

    Kill support for DANE.
    
    This patch removes support for DANE validation of TLS certificates.
    
    There wasn't enough support in the IRC community to push for this on the
    majority of bigger IRC networks. If you believe this should be
    reintroduced into irssi, then please come up with an implementation that
    does not rely on the libval library. It is causing a lot of troubles for
    our downstream maintainers.

commit f533baa191428b3cbdbba151d575b69e3a783f68
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Wed Oct 19 23:38:21 2016 +0200

    Lift EC_KEY declaration onto the entry of the function.

commit 25824e2d3fb42def5efbb59ff34a51e31af04ec8
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Wed Oct 19 23:37:04 2016 +0200

    Lift ASN1_STRING declaration onto the entry of the function.

commit 4e170c52335d06456aba65b46842aa98f8aabe7b
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Sun Oct 16 15:18:47 2016 +0200

    Declare variables in the beginning of the function.

commit 53d772e48b16e34a82bd9b051f02252f900bb8ef
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Sun Oct 16 15:04:55 2016 +0200

    Make sure we clean-up after ourself upon failure.

commit 5146ce96318bc9a2513d104ea76ab3277a540074
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Sun Oct 16 14:39:00 2016 +0200

    Add x509 certificate and public key pinning support.
    
    This patch adds two new options to /CONNECT and /SERVER to let the user
    pin either an x509 certificate and/or the public key of a given server.
    
    It is possible to fetch the certificate outside of Irssi itself to
    verify the checksum. To fetch the certificate call:
    
        $ openssl s_client -connect chat.freenode.net:6697 < /dev/null 2>/dev/null | \
          openssl x509 > freenode.cert
    
    This will download chat.freenode.net:6697's TLS certificate and put it into the
    file freenode.cert.
    
    -tls_pinned_cert
    ----------------
    
    This option allows you to specify the SHA-256 hash of the x509
    certificate. When succesfully connected to the server, irssi will verify
    that the given server certificate matches the pin set by the user.
    
    The SHA-256 hash of a given certificate can be verified outside of irssi
    using the OpenSSL command line tool:
    
        $ openssl x509 -in freenode.cert -fingerprint -sha256 -noout
    
    -tls_pinned_pubkey
    ------------------
    
    This option allows you to specify the SHA-256 hash of the subject public key
    information section of the server certificate. This section contains both the
    cryptographic parameters for the public key, but also information about the
    algorithm used together with the public key parameters.
    
    When succesfully connected to the server, irssi will verify that the
    given public key matches the pin set by the user.
    
    The SHA-256 hash of a public key can be verified outside of irssi using
    the OpenSSL command line tool:
    
        $ openssl x509 -in freenode.cert -pubkey -noout | \
          openssl pkey -pubin -outform der | \
          openssl dgst -sha256 -c | \
          tr a-z A-Z
    
    It is possible to specify both -tls_pinned_cert and -tls_pinned_pubkey
    together.

commit c6c2e795376e4659810360deaa3dd28475d0f7c7
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Sun Oct 16 14:33:25 2016 +0200

    Display TLS connection information when connected to a TLS enabled server.

commit 1d101afe0d5e552f08bf87bcc242bcaf2db972f7
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Sun Oct 16 14:25:19 2016 +0200

    s/SSL/TLS/ for warning strings.

commit 13f75d49e05b4e29104ef52ee1742564c7eed8df
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Sun Oct 16 14:15:29 2016 +0200

    Simplify TLS verification error handling.

commit b630fd1703ef3a87060bb6d2acbc562b9c1c9081
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Sun Oct 16 14:14:07 2016 +0200

    Populate and emit TLS_REC after TLS handshake have completed.

commit 99d017720dd162122754bfbedc96744f4af8ce6c
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Sun Oct 16 14:07:22 2016 +0200

    Add TLS_REC.
    
    This patch adds the TLS_REC structure. This structure is used to emit
    information about the TLS handshake from the core of irssi to the
    front-end layers such that we can display connection information to the
    user.

commit 6a286a4eb284cda4dce9ed97fec2aca643a139b0
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Sun Oct 16 13:48:43 2016 +0200

    Use TLS by default for Freenode, IRC6, OFTC, EsperNet, EFnet, and Rizon.

commit 2be7289085d6969e6774ce3909f0224b1d689f93
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Sun Oct 16 13:46:58 2016 +0200

    Rename SSL to TLS.
    
    This patch changes the internal name of SSL to TLS. We also add -tls_*
    options to /CONNECT and /SERVER, but make sure that the -ssl_* versions
    of the commands continue to work like before.

commit da67d3e8e69eb5fb702a3dd39356d38a1ee9d8cd
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Sun Oct 16 13:20:14 2016 +0200

    Add function to convert a buffer to a colon-delimited hex string.
    
    This patch adds binary_to_hex(), which can take an input buffer and
    convert it to colon-delimited hex strings suitable for printing for
    fingerprints.

commit 6300dfec71d376c96351708f76a6c4ee4a187eb5
Author: Alexander Færøy <ahf@0x90.dk>
Date:   Sun Oct 16 13:13:02 2016 +0200

    Always build irssi with TLS support.
    
    This patch removes the optional checks for whether to build irssi with
    TLS support or not. This will allow us to ship a default configuration
    file where we connect to TLS enabled IRC servers out of the box.

commit fb78787d4e2098612979b45df3237b67effbbc3a
Merge: 61590f31 d02ef83d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Oct 12 09:48:09 2016 +0200

    Merge pull request #556 from koollman/master
    
    update INSTALL requirement: terminfo or ncurses for text frontend

commit 61590f31df3c93d04b056fd89c6632f9d89feb51
Merge: 0fce47a5 c0f66c95
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Oct 11 16:12:35 2016 +0200

    Merge pull request #465 from LemonBoy/netsplit-print
    
    Some small adjustments to the netsplit code.

commit 0fce47a5ad29a31400b01a80be45aa6da9d221b3
Merge: 8d4d313c 3667fd9f
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Oct 7 12:56:12 2016 +0200

    Merge pull request #555 from LemonBoy/attr-signedness
    
    Make the cap_complete field unsigned.

commit d02ef83d03d8ef1c8bd577ef3bbb8325ed3ca8d3
Author: Thomas Samson <tsamson@advanced-schema.com>
Date:   Wed Oct 5 01:01:25 2016 +0200

    update INSTALL requirement: terminfo or ncurses for text frontend

commit 3667fd9fd1decef637ef28fdc8d89fe3595e009a
Author: LemonBoy <thatlemon@gmail.com>
Date:   Fri Sep 30 19:30:43 2016 +0200

    Make the cap_complete field unsigned.
    
    Fixes a problem where the field would end up as a negative number when
    exposed to the perl scripts.
    And move it near the other bit-packed fields so we take advantage of the
    packing.

commit 8d4d313cc9853a62a2901d99b7c555e5c0d730b7
Merge: 2216ed19 60d9ec62
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Sep 26 16:43:33 2016 +0200

    Merge pull request #506 from kruton/sasl-400-byte-chunk
    
    SASL: handle fragmentation

commit 2216ed19da3dd6cd72ed93f212acee2fe08bcc2f
Merge: 31044ec0 f9fd50a3
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Sep 26 15:44:47 2016 +0200

    Merge pull request #551 from ailin-nemui/fix-550
    
    nullptr when doing module backward compat on invalid config

commit eb20a6c846373bbfba4cd80e6aef017b56409047
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Sep 22 04:27:35 2016 +0200

    Merge pull request #548 from ailin-nemui/buf-fix
    
    sync buf.pl

commit f9fd50a35711f8f5637c57c276f12410dde9ec9e
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Sep 25 23:17:20 2016 +0200

    nullptr when doing module backward compat on invalid config

commit 31044ec00477a2fc89064e6b54c933c2c59fc076
Merge: 1405a87b 0e0d9958
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Sep 22 17:10:33 2016 +0200

    Merge pull request #542 from LemonBoy/xs-add
    
    Expose the CAP fields to the perl scripts.

commit 1405a87b56c3d71e63a647f71cadcd67f8300040
Merge: c98f896d d39ad6e5
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Sep 22 04:27:35 2016 +0200

    Merge pull request #548 from ailin-nemui/buf-fix
    
    sync buf.pl

commit d39ad6e559ae91cf1654c1c8371ad75f8ae7afad
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Sep 22 04:21:15 2016 +0200

    sync buf.pl

commit c98f896dfcceaa28e9a75ca1ef7171b45bfe6d49
Merge: d9b4cb34 ac732554
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 21 16:00:04 2016 +0200

    Merge branch 'integrate/0.8.20'

commit ac73255483a42851db6a54ae4f0d5040e94608a2
Merge: 13f4026a d9b4cb34
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 21 15:59:33 2016 +0200

    Merge branch 'master' into integrate/0.8.20

commit d9b4cb34dccd7fb77e1d222333f3018ff947899c
Merge: 20b5d4d9 295a4b77
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Sep 15 09:56:32 2016 +0200

    Merge branch 'quarkslab'

commit 20b5d4d9826add4f1fc6949a0b1406953fa7bacb
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 14 13:34:39 2016 +0200

    Update NEWS for 0.8.20

commit 295a4b77f07f14602eeaa371f00ddbf09910c82b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 14 13:37:29 2016 +0200

    Patches for heap corruption and missing bounds check
    
    By Gabriel Campana and Adrien Guinet from Quarkslab.

commit b3c6cdbb9172af1de2e8572ee48edce84f9caca5
Merge: b58be939 f492ec8a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Sep 19 22:14:57 2016 +0200

    Merge pull request #540 from LemonBoy/reset-autorun
    
    /script reset can now also run the autorun scripts

commit 0e0d99587a9e2daa091d48adedfbf420cad21758
Author: LemonBoy <thatlemon@gmail.com>
Date:   Thu Sep 15 13:59:52 2016 +0200

    Expose 'cap_toggle' to the perl scripts.

commit 13f4026ae0f0d5422f3163576d4c2eff8754176a
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 14 13:55:20 2016 +0200

    tag as 0.8.20

commit 9de7a9b3284b06631a47609a83e608cfe0541de1
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 14 13:44:51 2016 +0200

    Merge branch 'quarkslab'

commit 52fedeaf0229e27f9d86b72b23f16120c92c1fea
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Sep 14 13:34:39 2016 +0200

    Update NEWS for 0.8.20

commit 7455ad51d43ad925a613ff90e3b6d3c866b2fe7b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sat Apr 30 10:19:57 2016 +0200

    Merge pull request #477 from dennisschagt/master
    
    Correct error/typo "You"->"Your" in help message

commit 2c5856d832c9cc7f2a995e9017b4436d752c68c3
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Apr 7 12:33:03 2016 +0200

    Merge pull request #467 from dequis/EAI_SYSTEM
    
    net_gethosterror: Handle EAI_SYSTEM ("System error") properly

commit 8cbf5f28f2028fd6fc58232c76f67ab574ecab11
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Mar 29 22:45:47 2016 +0200

    Merge pull request #461 from ailin-nemui/fix_squery
    
    Revert "Removed the obsolete SQUERY and SERVLIST commands"

commit e68817f82bc9dde71bb28975cee7ed70cc98ff30
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jul 12 16:11:04 2016 +0200

    Merge pull request #515 from LemonBoy/signal-proto
    
    Correct the prototype for the 'message private' signal.

commit 6b212be112e33a536d08f31abf186a699ee8da51
Author: dx <dx@dxzone.com.ar>
Date:   Sun Jul 17 12:37:57 2016 -0300

    Merge pull request #518 from vague666/hilight_help
    
    Wrong order in the arguments in /hilight example, -mask doesn't take …

commit 3c29b4440841e867fe804ec5351884d90d9d8bcf
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Aug 25 04:24:07 2016 +0200

    Merge pull request #529 from ailin-nemui/issue500
    
    fix nick->host == NULL crash

commit 31c0a9d7e8368e8cfa10356bd9dbc1f9024d9c70
Author: LemonBoy <LemonBoy@users.noreply.github.com>
Date:   Sun Sep 4 12:11:02 2016 +0200

    Merge pull request #533 from dequis/statusmess
    
    Set the default STATUSMSG to @ instead of @+ if it's missing

commit b58be939d269c72e7f00e75e18fb0619d1dae432
Merge: ae5e4a94 dab3246d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 13 23:29:09 2016 +0200

    Merge pull request #516 from LemonBoy/comp-file
    
    Fix the tab completion for paths starting with ./

commit ae5e4a94da82082188286604c3d406e15a46e4e0
Merge: d2c5939d 21539019
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Sep 13 23:27:43 2016 +0200

    Merge pull request #543 from LemonBoy/script-error-message
    
    Make sure to make a copy of ERRSV content.

commit 21539019dd46ec88a3369b53cc0069b372c6d7d1
Author: LemonBoy <thatlemon@gmail.com>
Date:   Tue Sep 13 17:11:05 2016 +0200

    Make sure to make a copy of ERRSV content.
    
    Otherwise we might end up showing an empty message.
    Fixes #522.

commit 9591afcb4b7157dd4b06b9c6390f70c725067b50
Author: LemonBoy <thatlemon@gmail.com>
Date:   Tue Sep 13 16:07:48 2016 +0200

    Expose the CAP fields to the perl scripts.

commit d2c5939de0e875806d07cce4753ccc1a10ac6252
Merge: e4f8abc9 5d9af40e
Author: dx <dx@dxzone.com.ar>
Date:   Sun Sep 11 13:17:03 2016 -0300

    Merge pull request #535 from irssi/ailin-nemui-install-local-lib
    
    Update INSTALL to reflect perl changes

commit f492ec8abfad770e2566188e7d8721d75680e28e
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sun Sep 11 17:05:03 2016 +0200

    Document the addition of the -autorun switch for /script reset.

commit b2424f31933309a0b3dfa6cb541c2917443a38d4
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sun Sep 11 16:59:21 2016 +0200

    Add a '-autorun' switch to /script reset
    
    This way we reload all the scripts in the autorun folder.

commit e4f8abc973872d5a7b2de98d269a924b97d428ab
Merge: c8630acb 3429c1a0
Author: LemonBoy <LemonBoy@users.noreply.github.com>
Date:   Sun Sep 4 12:11:02 2016 +0200

    Merge pull request #533 from dequis/statusmess
    
    Set the default STATUSMSG to @ instead of @+ if it's missing

commit 60d9ec621ff81ac68b9d2066fb77eaefc8d02ccb
Author: Kenny Root <kenny@the-b.org>
Date:   Sun Jul 3 22:02:02 2016 -0700

    SASL: handle fragmentation
    
    The IRCv3 SASL extension says that AUTHENTICATION payloads of exactly
    400 bytes in length indicate that the message is fragmented and will
    continue in a subsequent message. Handle the reassembly and splitting of
    these messages so that we are compliant with the specification.

commit 5d9af40ea761850839fc22e495e68d90663c012d
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Aug 29 23:25:26 2016 +0200

    Update INSTALL

commit c8630acbafd6341cbf908ab7d011d87a8fd68b56
Merge: 2b7f3263 681caf2b
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Aug 25 04:24:07 2016 +0200

    Merge pull request #529 from ailin-nemui/issue500
    
    fix nick->host == NULL crash

commit 3429c1a0a0dd336505e068dcea2a15efbf5a3c57
Author: dequis <dx@dxzone.com.ar>
Date:   Wed Aug 24 19:48:35 2016 -0300

    Set the default STATUSMSG to @ instead of @+ if it's missing
    
    This fixes two issues:
    
    - IRCNet doesn't have STATUSMSG, but it supports +channels, and
      including + in the default value meant processing those incorrectly
    
    - The "bahamut hack", for old servers that support but don't advertise
      STATUSMSG, didn't work since ischannel_func doesn't use the default.
    
    The choice of @ intentionally leaves out support for other STATUSMSG
    (for example, AzzurraNet's bahamut 1.4 fork seemed to support + and % in
    any order, contradicting the comment in the code).
    
    I think this is a decent tradeoff, given how those servers are uncommon
    and relying on +# or %# is even less common than @#.
    
    Fixes #531

commit 2b7f32633c07de9fc4b8751ac73cf3049976b007
Merge: 17f4bd20 251d8a68
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Aug 24 22:49:20 2016 +0200

    Merge pull request #532 from LemonBoy/x1x2
    
    Fix an OOB access in the cutbuffer implementation.

commit 251d8a686a2717c4b1ab9dfc3599eab75105c076
Author: LemonBoy <thatlemon@gmail.com>
Date:   Wed Aug 24 22:29:52 2016 +0200

    Fix an OOB access in the cutbuffer implementation.

commit 681caf2b587b88d1fcf953386b2432ce5b9bbea4
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Mon Aug 22 12:27:10 2016 +0200

    fix nick->host == NULL crash

commit 17f4bd20601eb5af59567b68c69c396e65274327
Merge: c284309d de11e0f4
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Aug 14 23:35:41 2016 +0200

    Merge pull request #526 from ailin-nemui/ax-dummy
    
    remove broken dummy mode

commit c284309d36dfa620faae5dad66a3aba78d8ad17a
Merge: 61fa6eb3 b411f943
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Sun Aug 14 23:35:23 2016 +0200

    Merge pull request #525 from ailin-nemui/issue522
    
    fix use after free in expando error

commit de11e0f4f2196d5bbb692ffe6fd0dd9afaa69e46
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Aug 12 19:33:56 2016 +0200

    remove broken dummy mode

commit b411f943a081b7c7fde0548f8c7ee5e93c0638a9
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Fri Aug 12 18:24:58 2016 +0200

    fix use after free in expando error

commit 61fa6eb35b065299e76456a3b20e6f17d15b5016
Merge: 3e28bf7a 9ee48037
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Thu Aug 11 15:41:12 2016 +0200

    Merge pull request #521 from ailin-nemui/ax_curses2
    
    remove curses terminal and ncurses macro

commit 9ee480377055c04ae687c08d17f2c6b191d34db0
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Mar 30 10:14:57 2016 +0200

    remove curses terminal and ncurses macro

commit 3e28bf7a94eea8e75bf70ef322769991b05c2a65
Merge: 8b471967 ccf1ca12
Author: dx <dx@dxzone.com.ar>
Date:   Sun Jul 17 12:37:57 2016 -0300

    Merge pull request #518 from vague666/hilight_help
    
    Wrong order in the arguments in /hilight example, -mask doesn't take …

commit ccf1ca124b780d18caad88d3c460d066c12e3eec
Author: Jari Matilainen <jari.matilainen@gmail.com>
Date:   Sun Jul 17 17:28:21 2016 +0200

    Wrong order in the arguments in /hilight example, -mask doesn't take a parameter

commit 8b471967452781d2bc355d3463ba31c2fcdf4377
Merge: 4be256fc bd418990
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Wed Jul 13 15:26:37 2016 +0200

    Merge pull request #517 from LemonBoy/unignore
    
    Minor cosmetic fix in /unignore error message.

commit bd4189907eceed6a2c3252c7099985f975fc1654
Author: LemonBoy <thatlemon@gmail.com>
Date:   Tue Jul 12 17:38:05 2016 +0200

    Minor cosmetic fix in /unignore error message.
    
    Reported here:
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=577202

commit dab3246db91a6f17a7da192c10f9b369fa057ef5
Author: LemonBoy <thatlemon@gmail.com>
Date:   Tue Jul 12 16:35:43 2016 +0200

    Fix the tab completion for paths starting with ./

commit 4be256fcf0723610e30ff30694736d2e1dec9b70
Merge: 7cf9326c 9559a8ea
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jul 12 16:11:41 2016 +0200

    Merge pull request #512 from LemonBoy/coderef
    
    Allow Irssi::signal_remove to work properly with coderefs

commit 7cf9326cad623804bba0c794ec065191c7fe0ba1
Merge: b8f7eaad 0fe81cae
Author: ailin-nemui <ailin-nemui@users.noreply.github.com>
Date:   Tue Jul 12 16:11:04 2016 +0200

    Merge pull request #515 from LemonBoy/signal-proto
    
    Correct the prototype for the 'message private' signal.

commit 0fe81cae83f1b981e6544be6fcaa924f2ce7caad
Author: LemonBoy <thatlemon@gmail.com>
Date:   Tue Jul 12 15:46:36 2016 +0200

    Correct the prototype for the 'message private' signal.

commit 9559a8ead9048433783a453ca47c63514a39b205
Author: Tom Feist <shabble@metavore.org>
Date:   Tue Jul 12 12:42:15 2016 +0200

    Allow Irssi::signal_remove to work properly with coderefs

commit c0f66c95ff00bdc22155a8ac53d887a9c1bbc90f
Author: LemonBoy <thatlemon@gmail.com>
Date:   Sun Jun 26 21:44:40 2016 +0200

    Such draft. Very wow.

commit 8f5e2005516023f5c96cf95ac5e9f917bda33172
